package com.prolog.cs.biz.outbound.service.impl;

import com.alibaba.fastjson.JSON;
import com.prolog.cs.basic.item.model.vo.WaveItemInfoVO;
import com.prolog.cs.biz.outbound.Application;
import com.prolog.cs.biz.outbound.dao.WaveBillMapper;
import com.prolog.cs.biz.outbound.model.WmsMoveTaskRef;
import com.prolog.cs.biz.outbound.model.dto.MoveTaskDODTO;
import com.prolog.cs.biz.outbound.resource.ItemClient;
import com.prolog.framework.common.message.RestMessage;
import com.prolog.upcloud.base.inventory.vo.StockWaveReplenishTaskVO;
import lombok.extern.slf4j.Slf4j;
import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;
import org.springframework.test.context.web.WebAppConfiguration;
import org.springframework.test.web.servlet.MockMvc;
import org.springframework.test.web.servlet.setup.MockMvcBuilders;
import org.springframework.web.context.WebApplicationContext;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;


/**
 * 基础测试类
 *
 * @author stylefeng
 * @Date 2017/5/21 16:10
 */
@RunWith(SpringRunner.class)
@SpringBootTest(classes = Application.class)
@WebAppConfiguration
@Slf4j
//@Transactional //打开的话测试之后数据可自动回滚
public class MoveTaskServiceImplTest {

    @Autowired
    WebApplicationContext webApplicationContext;
    @Autowired
    PickTaskAppServiceImpl PickTaskAppServiceImpl;
    @Autowired
    WorkStageServiceImpl WorkStageServiceImpl;
    @Autowired
    MoveTaskServiceImpl MoveTaskServiceImpl;
    @Autowired
    com.prolog.cs.biz.outbound.service.impl.WavesServiceImpl WavesServiceImpl;

    protected MockMvc mockMvc;

    @Autowired
    private WaveBillMapper billMapper;

    @Autowired
    private ItemClient itemClient;

    @Before
    public void setupMockMvc(){
        mockMvc = MockMvcBuilders.webAppContextSetup(webApplicationContext).build();
    }

    @Before
    public void initDatabase(){
    }

    private static Logger logger = LoggerFactory.getLogger(MoveTaskServiceImplTest.class);
    
    @Test
    public void addMoveTask() throws Exception {
//        WavesCreateDTO wavesCreateVO=new WavesCreateDTO();
//        wavesCreateVO.setWarehouseId("646346467442823168");
//        List<String> paramList = new ArrayList<>();
//        paramList.add("BHZFT000006");
//        paramList.add("BHZFT000007");
//        wavesCreateVO.setBillIdList(paramList);
//        String s="[{\"batchExpiredDateShow\":\"20220831\",\"batchId\":\"659021999129104384\",\"batchNum\":\"659021999129104385\",\"batchProductionDateShow\":\"20210901\",\"bldgCode\":\"001\",\"bldgId\":\"599581810778836992\",\"bldgName\":\"曲靖康桥仓\",\"cargoOwnerId\":\"ZDA\",\"conversionRate\":60.0000,\"destWarehouseAreaCategory\":\"LHK\",\"destWarehouseAreaId\":\"676044178572054528\",\"destWarehouseAreaNum\":\"zftlhkq001\",\"destWarehouseLocatorId\":\"676112492002414592\",\"destWarehouseLocatorNum\":\"zftlhhw001\",\"destWarehouseLocatorType\":\"1\",\"detailId\":\"678635789512478720\",\"expiredDate\":1661875200000,\"headerId\":\"678635779764916224\",\"itemCode\":\"18020014\",\"itemId\":\"SPH00001762\",\"itemName\":\"紫外线杀菌灯\",\"manufacturerLotNum\":\"2021092801\",\"moveType\":\"1\",\"productionDate\":1630425600000,\"qty\":60,\"srcFloor\":2,\"srcItemPlaceType\":\"2\",\"srcWarehouseAreaCategory\":\"ZJK\",\"srcWarehouseAreaId\":\"599642636126654473\",\"srcWarehouseAreaNum\":\"ZJ2\",\"srcWarehouseLocatorId\":\"KQLOCATOR02985\",\"srcWarehouseLocatorNum\":\"2ZJ05-010105\",\"srcWarehouseLocatorType\":\"0\",\"status\":\"0\",\"uom\":\"根\",\"warehouseId\":\"646346467442823168\"}]";
//        MoveTaskServiceImpl.addMoveTask(JSON.parseArray(s, MoveTaskDODTO.class));

        String moveTaskDODTOSStr="[{\"batchExpiredDateShow\":\"202304\",\"batchId\":\"700012858133581824\",\"batchNum\":\"700012858133581825\",\"batchProductionDateShow\":\"20201130\",\"billGroupId\":\"SKPWS400025429\",\"bldgId\":\"658952568548545236\",\"cargoOwnerId\":\"E2UXG3AVQOO\",\"conversionRate\":400,\"destFloor\":1,\"destItemPlaceType\":\"2\",\"destWarehouseAreaCategory\":\"LHK\",\"destWarehouseAreaId\":\"588715216612658951\",\"destWarehouseAreaNum\":\"LH1\",\"destWarehouseLocatorId\":\"ZTLOCATOR00487\",\"destWarehouseLocatorNum\":\"YLL02-01-1-1\",\"destWarehouseLocatorType\":\"1\",\"detailId\":\"701416422501117952\",\"enterpriseId\":\"106\",\"expiredDate\":1684425600000,\"headerId\":\"701416422488535040\",\"height\":33,\"itemCode\":\"YCYGM0103\",\"itemId\":\"0021285303\",\"length\":33,\"manufacturerLotNum\":\"B2011225\",\"moveType\":\"4\",\"productionDate\":1606665600000,\"qty\":400,\"srcFloor\":1,\"srcItemPlaceType\":\"2\",\"srcWarehouseAreaCategory\":\"ZJK\",\"srcWarehouseAreaId\":\"588715216612658954\",\"srcWarehouseAreaNum\":\"YLZJ1\",\"srcWarehouseLocatorId\":\"ZTLOCATOR01454\",\"srcWarehouseLocatorNum\":\"1YLZ04-01-4\",\"srcWarehouseLocatorType\":\"0\",\"uom\":\"盒\",\"volume\":0,\"warehouseId\":\"658952120325658545\",\"weight\":0,\"width\":33},{\"batchExpiredDateShow\":\"202308\",\"batchId\":\"698156640314200064\",\"batchNum\":\"698156640314200065\",\"batchProductionDateShow\":\"20210927\",\"billGroupId\":\"SKPWS400025428\",\"bldgId\":\"658952568548545236\",\"cargoOwnerId\":\"E2UXG3AVQOO\",\"conversionRate\":100,\"destFloor\":1,\"destItemPlaceType\":\"2\",\"destWarehouseAreaCategory\":\"LHK\",\"destWarehouseAreaId\":\"588715216612658951\",\"destWarehouseAreaNum\":\"LH1\",\"destWarehouseLocatorId\":\"ZTLOCATOR00287\",\"destWarehouseLocatorNum\":\"CWL05-02-3-5\",\"destWarehouseLocatorType\":\"1\",\"detailId\":\"701416422501117953\",\"enterpriseId\":\"106\",\"expiredDate\":1694880000000,\"headerId\":\"701416422488535040\",\"height\":0,\"itemCode\":\"YHYHX0244\",\"itemId\":\"0021285020\",\"length\":0,\"manufacturerLotNum\":\"210908\",\"moveType\":\"4\",\"productionDate\":1632672000000,\"qty\":100,\"srcFloor\":1,\"srcItemPlaceType\":\"2\",\"srcWarehouseAreaCategory\":\"ZJK\",\"srcWarehouseAreaId\":\"588715216612658954\",\"srcWarehouseAreaNum\":\"YLZJ1\",\"srcWarehouseLocatorId\":\"ZTLOCATOR01424\",\"srcWarehouseLocatorNum\":\"1YLZ03-04-4\",\"srcWarehouseLocatorType\":\"0\",\"uom\":\"瓶\",\"volume\":0,\"warehouseId\":\"658952120325658545\",\"weight\":0,\"width\":0},{\"batchExpiredDateShow\":\"202411\",\"batchId\":\"692438365106212864\",\"batchNum\":\"692438365106212865\",\"batchProductionDateShow\":\"20211228\",\"billGroupId\":\"SKPWS400025128\",\"bldgId\":\"658952568548545236\",\"cargoOwnerId\":\"E2UXG3AVQOO\",\"conversionRate\":100,\"destFloor\":1,\"destItemPlaceType\":\"2\",\"destWarehouseAreaCategory\":\"LHK\",\"destWarehouseAreaId\":\"588715216612658951\",\"destWarehouseAreaNum\":\"LH1\",\"destWarehouseLocatorId\":\"ZTLOCATOR00148\",\"destWarehouseLocatorNum\":\"CWL03-03-1-4\",\"destWarehouseLocatorType\":\"1\",\"detailId\":\"701416422501117954\",\"enterpriseId\":\"106\",\"expiredDate\":1733932800000,\"headerId\":\"701416422488535040\",\"height\":33,\"itemCode\":\"YCYGM0684\",\"itemId\":\"0021286571\",\"length\":33,\"manufacturerLotNum\":\"211229\",\"moveType\":\"4\",\"productionDate\":1640620800000,\"qty\":100,\"srcFloor\":1,\"srcItemPlaceType\":\"2\",\"srcWarehouseAreaCategory\":\"ZJK\",\"srcWarehouseAreaId\":\"588715216612658956\",\"srcWarehouseAreaNum\":\"YLZJ3\",\"srcWarehouseLocatorId\":\"ZTLOCATOR01639\",\"srcWarehouseLocatorNum\":\"3YLZ01-05-2\",\"srcWarehouseLocatorType\":\"0\",\"uom\":\"盒\",\"volume\":0,\"warehouseId\":\"658952120325658545\",\"weight\":0,\"width\":33}]";
        String wmsMoveTaskRefListStr="[{\"billId\":\"701416395010871297\",\"gmtCreate\":1647397172569,\"id\":\"701416423033663488\",\"lineBillId\":\"701416395145089024\",\"moveBillId\":\"701409012608790528\",\"refBillId\":\"701409012608790528\",\"refLineBillId\":\"701409012633956353\",\"refQuantity\":10,\"srcCode\":\"SKPWS400025423\",\"waveId\":\"701416394462064640\"},{\"billId\":\"701416395249946625\",\"gmtCreate\":1647397172569,\"id\":\"701416423046246400\",\"lineBillId\":\"701416395283501056\",\"moveBillId\":\"701157297611468800\",\"refBillId\":\"701157297611468800\",\"refLineBillId\":\"701157297628246016\",\"refQuantity\":10,\"srcCode\":\"SKPWS400025429\",\"waveId\":\"701416394462064640\"},{\"billId\":\"701416395249946625\",\"gmtCreate\":1647397172569,\"id\":\"701416423054635008\",\"lineBillId\":\"701416395308666880\",\"moveBillId\":\"701416422488535040\",\"refBillId\":\"701416422488535040\",\"refLineBillId\":\"701416422501117952\",\"refQuantity\":20,\"srcCode\":\"SKPWS400025429\",\"waveId\":\"701416394462064640\"},{\"billId\":\"701416395237363713\",\"gmtCreate\":1647397172569,\"id\":\"701416423130132480\",\"lineBillId\":\"701416395249946624\",\"moveBillId\":\"701416422488535040\",\"refBillId\":\"701416422488535040\",\"refLineBillId\":\"701416422501117953\",\"refQuantity\":16,\"srcCode\":\"SKPWS400025428\",\"waveId\":\"701416394462064640\"},{\"billId\":\"701416394964733952\",\"gmtCreate\":1647397172569,\"id\":\"701416423205629952\",\"lineBillId\":\"701416394989899776\",\"moveBillId\":\"701416422488535040\",\"refBillId\":\"701416422488535040\",\"refLineBillId\":\"701416422501117954\",\"refQuantity\":13,\"srcCode\":\"SKPWS400025128\",\"waveId\":\"701416394462064640\"}]";
        //线上20220610补数据
        //moveTaskDODTOSStr="[{\"batchExpiredDateShow\":\"202312\",\"batchId\":\"2201056674\",\"batchNum\":\"2201056674\",\"batchProductionDateShow\":\"20220126\",\"billGroupId\":\"SKPMDG00664648\",\"bldgId\":\"726788273657606144\",\"cargoOwnerId\":\"E2EDZU22HUV\",\"conversionRate\":800,\"destFloor\":4,\"destItemPlaceType\":\"1\",\"destWarehouseAreaCategory\":\"LHK\",\"destWarehouseAreaId\":\"726831119710285824\",\"destWarehouseAreaNum\":\"LH4\",\"destWarehouseLocatorId\":\"HHLOCATOR24886\",\"destWarehouseLocatorNum\":\"LY39-01-2-1\",\"destWarehouseLocatorType\":\"1\",\"detailId\":\"732574334141198336\",\"enterpriseId\":\"106\",\"expiredDate\":1701360000000,\"headerId\":\"732574334116032512\",\"height\":42.2,\"itemCode\":\"YHXYPF0046\",\"itemId\":\"0021301918\",\"length\":50.5,\"manufacturerLotNum\":\"220105\",\"moveType\":\"4\",\"productionDate\":1643126400000,\"qty\":800,\"srcFloor\":3,\"srcItemPlaceType\":\"3\",\"srcWarehouseAreaCategory\":\"ZJK\",\"srcWarehouseAreaId\":\"726831912446324736\",\"srcWarehouseAreaNum\":\"ZJ3\",\"srcWarehouseLocatorId\":\"HHLOCATOR10259\",\"srcWarehouseLocatorNum\":\"WY001\",\"srcWarehouseLocatorType\":\"0\",\"uom\":\"瓶\",\"volume\":0,\"warehouseId\":\"726788113300975616\",\"weight\":0,\"width\":42.5},{\"batchExpiredDateShow\":\"20250107\",\"batchId\":\"729398649582391296\",\"batchNum\":\"729398649582391297\",\"batchProductionDateShow\":\"20220108\",\"billGroupId\":\"SKPMDG00664433\",\"bldgId\":\"726788273657606144\",\"cargoOwnerId\":\"E2EDZU22HUV\",\"conversionRate\":300,\"destFloor\":4,\"destItemPlaceType\":\"1\",\"destWarehouseAreaCategory\":\"LHK\",\"destWarehouseAreaId\":\"726831119710285824\",\"destWarehouseAreaNum\":\"LH4\",\"destWarehouseLocatorId\":\"HHLOCATOR21717\",\"destWarehouseLocatorNum\":\"LY11-08-4-2\",\"destWarehouseLocatorType\":\"1\",\"detailId\":\"732574334141198337\",\"enterpriseId\":\"106\",\"expiredDate\":1736179200000,\"headerId\":\"732574334116032512\",\"height\":19,\"itemCode\":\"YHXYZT0591\",\"itemId\":\"0021299541\",\"length\":35,\"manufacturerLotNum\":\"ZX220105\",\"moveType\":\"4\",\"productionDate\":1641571200000,\"qty\":300,\"srcFloor\":3,\"srcItemPlaceType\":\"3\",\"srcWarehouseAreaCategory\":\"ZJK\",\"srcWarehouseAreaId\":\"726831912446324736\",\"srcWarehouseAreaNum\":\"ZJ3\",\"srcWarehouseLocatorId\":\"HHLOCATOR10408\",\"srcWarehouseLocatorNum\":\"PJ008\",\"srcWarehouseLocatorType\":\"0\",\"uom\":\"瓶\",\"volume\":0,\"warehouseId\":\"726788113300975616\",\"weight\":0,\"width\":35},{\"batchExpiredDateShow\":\"202402\",\"batchId\":\"22031315338\",\"batchNum\":\"22031315338\",\"batchProductionDateShow\":\"20220328\",\"billGroupId\":\"SKPMDG00664497\",\"bldgId\":\"726788273657606144\",\"cargoOwnerId\":\"E2EDZU22HUV\",\"conversionRate\":60,\"destFloor\":4,\"destItemPlaceType\":\"1\",\"destWarehouseAreaCategory\":\"LHK\",\"destWarehouseAreaId\":\"726831119710285824\",\"destWarehouseAreaNum\":\"LH4\",\"destWarehouseLocatorId\":\"HHLOCATOR23404\",\"destWarehouseLocatorNum\":\"LY25-01-1-4\",\"destWarehouseLocatorType\":\"1\",\"detailId\":\"732574334141198338\",\"enterpriseId\":\"106\",\"expiredDate\":1706716800000,\"headerId\":\"732574334116032512\",\"height\":30,\"itemCode\":\"YHYXH0228\",\"itemId\":\"0021306070\",\"length\":55,\"manufacturerLotNum\":\"2203131\",\"moveType\":\"4\",\"productionDate\":1648396800000,\"qty\":60,\"srcFloor\":2,\"srcItemPlaceType\":\"3\",\"srcWarehouseAreaCategory\":\"ZJK\",\"srcWarehouseAreaId\":\"726831831441731584\",\"srcWarehouseAreaNum\":\"ZJ2\",\"srcWarehouseLocatorId\":\"HHLOCATOR10151\",\"srcWarehouseLocatorNum\":\"KF004-02\",\"srcWarehouseLocatorType\":\"0\",\"uom\":\"盒\",\"volume\":0,\"warehouseId\":\"726788113300975616\",\"weight\":0,\"width\":28},{\"batchExpiredDateShow\":\"20250105\",\"batchId\":\"202201067233\",\"batchNum\":\"202201067233\",\"batchProductionDateShow\":\"20220106\",\"billGroupId\":\"SKPMDG00664635\",\"bldgId\":\"726788273657606144\",\"cargoOwnerId\":\"E2EDZU22HUV\",\"conversionRate\":1800,\"destFloor\":4,\"destItemPlaceType\":\"2\",\"destWarehouseAreaCategory\":\"LHK\",\"destWarehouseAreaId\":\"728596927000080384\",\"destWarehouseAreaNum\":\"LH-FYP\",\"destWarehouseLocatorId\":\"HCLOCATOR30475\",\"destWarehouseLocatorNum\":\"FC003\",\"destWarehouseLocatorType\":\"1\",\"detailId\":\"732574334141198339\",\"enterpriseId\":\"106\",\"expiredDate\":1736006400000,\"headerId\":\"732574334116032512\",\"height\":50,\"itemCode\":\"FQXSL0208\",\"itemId\":\"0021296255\",\"length\":60,\"manufacturerLotNum\":\"20220106\",\"moveType\":\"4\",\"productionDate\":1641398400000,\"qty\":1800,\"srcItemPlaceType\":\"整件地堆\",\"srcWarehouseAreaCategory\":\"ZJK\",\"srcWarehouseAreaId\":\"726832737340092416\",\"srcWarehouseAreaNum\":\"ZJ4\",\"srcWarehouseLocatorId\":\"HCLOCATOR30265\",\"srcWarehouseLocatorNum\":\"FYP003\",\"srcWarehouseLocatorType\":\"0\",\"uom\":\"支\",\"volume\":0,\"warehouseId\":\"726788113300975616\",\"weight\":0,\"width\":50},{\"batchExpiredDateShow\":\"20231104\",\"batchId\":\"202111057278\",\"batchNum\":\"202111057278\",\"batchProductionDateShow\":\"20211105\",\"billGroupId\":\"SKPMDG00664635\",\"bldgId\":\"726788273657606144\",\"cargoOwnerId\":\"E2EDZU22HUV\",\"conversionRate\":10,\"destFloor\":4,\"destItemPlaceType\":\"2\",\"destWarehouseAreaCategory\":\"LHK\",\"destWarehouseAreaId\":\"728596927000080384\",\"destWarehouseAreaNum\":\"LH-FYP\",\"destWarehouseLocatorId\":\"HCLOCATOR30481\",\"destWarehouseLocatorNum\":\"FC009\",\"destWarehouseLocatorType\":\"1\",\"detailId\":\"732574334141198340\",\"enterpriseId\":\"106\",\"expiredDate\":1699027200000,\"headerId\":\"732574334116032512\",\"height\":50,\"itemCode\":\"FXDZJ0206\",\"itemId\":\"0021296483\",\"length\":60,\"manufacturerLotNum\":\"20211105\",\"moveType\":\"4\",\"productionDate\":1636041600000,\"qty\":10,\"srcItemPlaceType\":\"整件地堆\",\"srcWarehouseAreaCategory\":\"ZJK\",\"srcWarehouseAreaId\":\"726832737340092416\",\"srcWarehouseAreaNum\":\"ZJ4\",\"srcWarehouseLocatorId\":\"HCLOCATOR30267\",\"srcWarehouseLocatorNum\":\"FYP005\",\"srcWarehouseLocatorType\":\"0\",\"uom\":\"桶\",\"volume\":0,\"warehouseId\":\"726788113300975616\",\"weight\":0,\"width\":50}]";
        //wmsMoveTaskRefListStr="[{\"billId\":\"732574183963365377\",\"gmtCreate\":1654825797839,\"id\":\"732574335718125568\",\"lineBillId\":\"732574184017891328\",\"moveBillId\":\"732574334116032512\",\"refBillId\":\"732574334116032512\",\"refLineBillId\":\"732574334141198336\",\"refQuantity\":1,\"srcCode\":\"SKPMDG00664648\",\"waveId\":\"732574182986739712\"},{\"billId\":\"732574183543934976\",\"gmtCreate\":1654825797839,\"id\":\"732574335831371776\",\"lineBillId\":\"732574183762038784\",\"moveBillId\":\"732574334116032512\",\"refBillId\":\"732574334116032512\",\"refLineBillId\":\"732574334141198337\",\"refQuantity\":5,\"srcCode\":\"SKPMDG00664433\",\"waveId\":\"732574182986739712\"},{\"billId\":\"732574183762038785\",\"gmtCreate\":1654825797839,\"id\":\"732574335969783808\",\"lineBillId\":\"732574183841730560\",\"moveBillId\":\"732574334116032512\",\"refBillId\":\"732574334116032512\",\"refLineBillId\":\"732574334141198338\",\"refQuantity\":20,\"srcCode\":\"SKPMDG00664497\",\"waveId\":\"732574182986739712\"},{\"billId\":\"732574183942393857\",\"gmtCreate\":1654825797839,\"id\":\"732574336104001536\",\"lineBillId\":\"732574183950782464\",\"moveBillId\":\"732574334116032512\",\"refBillId\":\"732574334116032512\",\"refLineBillId\":\"732574334141198339\",\"refQuantity\":100,\"srcCode\":\"SKPMDG00664635\",\"waveId\":\"732574182986739712\"},{\"billId\":\"732574183942393857\",\"gmtCreate\":1654825797839,\"id\":\"732574336225636352\",\"lineBillId\":\"732574183963365376\",\"moveBillId\":\"732574334116032512\",\"refBillId\":\"732574334116032512\",\"refLineBillId\":\"732574334141198340\",\"refQuantity\":1,\"srcCode\":\"SKPMDG00664635\",\"waveId\":\"732574182986739712\"}]";


        //moveTaskDODTOSStr="[{\"batchExpiredDateShow\":\"202404\",\"batchId\":\"729336318630432768\",\"batchNum\":\"729336318630432769\",\"batchProductionDateShow\":\"20210520\",\"billGroupId\":\"SKPQUC00318551\",\"bldgId\":\"599581810778836992\",\"cargoOwnerId\":\"E23A4BUUPPW\",\"conversionRate\":120,\"destFloor\":2,\"destItemPlaceType\":\"2\",\"destWarehouseAreaCategory\":\"LHK\",\"destWarehouseAreaId\":\"599642636126654475\",\"destWarehouseAreaNum\":\"LH2\",\"destWarehouseLocatorId\":\"KQLOCATOR08091\",\"destWarehouseLocatorNum\":\"2LH28-010605\",\"destWarehouseLocatorType\":\"1\",\"detailId\":\"732631264935145472\",\"enterpriseId\":\"106\",\"expiredDate\":1714752000000,\"headerId\":\"732631264914173952\",\"height\":33,\"itemCode\":\"YCYQR0397\",\"itemId\":\"0021247676\",\"length\":33,\"manufacturerLotNum\":\"210520B1\",\"moveType\":\"4\",\"productionDate\":1621440000000,\"qty\":120,\"srcFloor\":1,\"srcItemPlaceType\":\"1\",\"srcWarehouseAreaCategory\":\"ZJK\",\"srcWarehouseAreaId\":\"599642636126654472\",\"srcWarehouseAreaNum\":\"ZJ1\",\"srcWarehouseLocatorId\":\"KQLOCATOR00062\",\"srcWarehouseLocatorNum\":\"1ZJ06-13\",\"srcWarehouseLocatorType\":\"0\",\"uom\":\"盒\",\"volume\":0,\"warehouseId\":\"599581702716788736\",\"weight\":0,\"width\":33},{\"batchExpiredDateShow\":\"202401\",\"batchId\":\"729690130931126272\",\"batchNum\":\"729690130931126273\",\"batchProductionDateShow\":\"20220209\",\"billGroupId\":\"SKPQUC00318551\",\"bldgId\":\"599581810778836992\",\"cargoOwnerId\":\"E23A4BUUPPW\",\"conversionRate\":120,\"destFloor\":0,\"destItemPlaceType\":\"2\",\"destWarehouseAreaCategory\":\"LHK\",\"destWarehouseAreaId\":\"599642636126654475\",\"destWarehouseAreaNum\":\"LH2\",\"destWarehouseLocatorId\":\"KQLOCATOR11415\",\"destWarehouseLocatorNum\":\"2LH07-030505\",\"destWarehouseLocatorType\":\"1\",\"detailId\":\"732631264935145473\",\"enterpriseId\":\"106\",\"expiredDate\":1706544000000,\"headerId\":\"732631264914173952\",\"height\":33,\"itemCode\":\"YHXYZT40056_01\",\"itemId\":\"0021260351\",\"length\":33,\"manufacturerLotNum\":\"B220202C\",\"moveType\":\"4\",\"productionDate\":1644336000000,\"qty\":120,\"srcFloor\":2,\"srcItemPlaceType\":\"2\",\"srcWarehouseAreaCategory\":\"ZJK\",\"srcWarehouseAreaId\":\"599642636126654473\",\"srcWarehouseAreaNum\":\"ZJ2\",\"srcWarehouseLocatorId\":\"KQLOCATOR06258\",\"srcWarehouseLocatorNum\":\"2ZJ19-060102\",\"srcWarehouseLocatorType\":\"0\",\"uom\":\"盒\",\"volume\":0,\"warehouseId\":\"599581702716788736\",\"weight\":1,\"width\":33},{\"batchExpiredDateShow\":\"20240229\",\"batchId\":\"727520546908147712\",\"batchNum\":\"727520546908147713\",\"batchProductionDateShow\":\"20220301\",\"billGroupId\":\"SKPQUC00318551\",\"bldgId\":\"599581810778836992\",\"cargoOwnerId\":\"E23A4BUUPPW\",\"conversionRate\":1000,\"destFloor\":2,\"destItemPlaceType\":\"2\",\"destWarehouseAreaCategory\":\"LHK\",\"destWarehouseAreaId\":\"599642636126654475\",\"destWarehouseAreaNum\":\"LH2\",\"destWarehouseLocatorId\":\"KQLOCATOR11125\",\"destWarehouseLocatorNum\":\"2LH43-060203\",\"destWarehouseLocatorType\":\"1\",\"detailId\":\"732631264935145474\",\"enterpriseId\":\"106\",\"expiredDate\":1709136000000,\"headerId\":\"732631264914173952\",\"height\":26,\"itemCode\":\"YHYBD0100\",\"itemId\":\"0021248698\",\"length\":47,\"manufacturerLotNum\":\"20220301\",\"moveType\":\"4\",\"productionDate\":1646064000000,\"qty\":1000,\"srcFloor\":2,\"srcItemPlaceType\":\"2\",\"srcWarehouseAreaCategory\":\"ZJK\",\"srcWarehouseAreaId\":\"599642636126654473\",\"srcWarehouseAreaNum\":\"ZJ2\",\"srcWarehouseLocatorId\":\"KQLOCATOR05718\",\"srcWarehouseLocatorNum\":\"2ZJ17-020102\",\"srcWarehouseLocatorType\":\"0\",\"uom\":\"瓶\",\"volume\":0,\"warehouseId\":\"599581702716788736\",\"weight\":24,\"width\":18}]";
        //wmsMoveTaskRefListStr="[{\"billId\":\"732631141168844800\",\"gmtCreate\":1654839371143,\"id\":\"732631266281385984\",\"lineBillId\":\"732631141219176448\",\"moveBillId\":\"732631264914173952\",\"refBillId\":\"732631264914173952\",\"refLineBillId\":\"732631264935145472\",\"refQuantity\":5,\"srcCode\":\"SKPQUC00318551\",\"waveId\":\"732631140590678016\"},{\"billId\":\"732631141168844800\",\"gmtCreate\":1654839371143,\"id\":\"732631266423992320\",\"lineBillId\":\"732631141265313792\",\"moveBillId\":\"732631264914173952\",\"refBillId\":\"732631264914173952\",\"refLineBillId\":\"732631264935145473\",\"refQuantity\":5,\"srcCode\":\"SKPQUC00318551\",\"waveId\":\"732631140590678016\"},{\"billId\":\"732631141168844800\",\"gmtCreate\":1654839371143,\"id\":\"732631266549821440\",\"lineBillId\":\"732631141361782784\",\"moveBillId\":\"732631264914173952\",\"refBillId\":\"732631264914173952\",\"refLineBillId\":\"732631264935145474\",\"refQuantity\":40,\"srcCode\":\"SKPQUC00318551\",\"waveId\":\"732631140590678016\"}]";
        List<MoveTaskDODTO> moveTaskDODTOS=JSON.parseArray(moveTaskDODTOSStr,MoveTaskDODTO.class);
        List<WmsMoveTaskRef> wmsMoveTaskRefList=JSON.parseArray(wmsMoveTaskRefListStr,WmsMoveTaskRef.class);
        MoveTaskServiceImpl.addMoveTaskNoTx(moveTaskDODTOS, wmsMoveTaskRefList);
    }

    @Test
    public void addMoveTask1() throws Exception {
        String stockWaveReplenishTaskVOStr="{ \t\t\t\t\t\t\t\"headerId\": \"701157297611468800\", \t\t\t\t\t\t\t\"detailId\": \"701157297628246016\", \t\t\t\t\t\t\t\"pieceQuantity\": 80, \t\t\t\t\t\t\t\"chooseQuantity\": 8, \t\t\t\t\t\t\t\"srcWarehouseLocatorId\": \"ZTLOCATOR01552\", \t\t\t\t\t\t\t\"srcWarehouseLocatorCode\": \"1YLZ06-03-4\", \t\t\t\t\t\t\t\"srcWarehouseAreaId\": \"588715216612658954\", \t\t\t\t\t\t\t\"srcWarehouseAreaCode\": \"YLZJ1\", \t\t\t\t\t\t\t\"srcWarehouseAreaCategory\": \"ZJK\", \t\t\t\t\t\t\t\"srcWarehouseLocatorType\": \"0\", \t\t\t\t\t\t\t\"srcFloorNum\": 1, \t\t\t\t\t\t\t\"srcItemPlaceType\": \"2\", \t\t\t\t\t\t\t\"destWarehouseLocatorId\": \"ZTLOCATOR00916\", \t\t\t\t\t\t\t\"destWarehouseLocatorCode\": \"YLL04-08-3-4\", \t\t\t\t\t\t\t\"destWarehouseAreaId\": \"588715216612658951\", \t\t\t\t\t\t\t\"destWarehouseAreaCode\": \"LH1\", \t\t\t\t\t\t\t\"destWarehouseAreaCategory\": \"LHK\", \t\t\t\t\t\t\t\"destWarehouseLocatorType\": \"1\", \t\t\t\t\t\t\t\"destFloorNum\": 1, \t\t\t\t\t\t\t\"destItemPlaceType\": \"2\", \t\t\t\t\t\t\t\"pickRule\": null, \t\t\t\t\t\t\t\"batchId\": \"682264274252513294\", \t\t\t\t\t\t\t\"batchNum\": \"682264274252513295\", \t\t\t\t\t\t\t\"manufacturerLotNum\": \"20211261\", \t\t\t\t\t\t\t\"uom\": \"盒\", \t\t\t\t\t\t\t\"batchProductionDate\": 1640016000000, \t\t\t\t\t\t\t\"batchExpiredDate\": 1733328000000, \t\t\t\t\t\t\t\"batchExpiredDateShow\": \"202411\", \t\t\t\t\t\t\t\"batchProductionDateShow\": \"20211221\", \t\t\t\t\t\t\t\"shelfLifeDays\": 90, \t\t\t\t\t\t\t\"caseConvertionRate\": null, \t\t\t\t\t\t\t\"length\": 33, \t\t\t\t\t\t\t\"width\": 33, \t\t\t\t\t\t\t\"height\": 33, \t\t\t\t\t\t\t\"volume\": 0, \t\t\t\t\t\t\t\"isCaseOrPiece\": null, \t\t\t\t\t\t\t\"weight\": 0, \t\t\t\t\t\t\t\"buildingId\": \"658952568548545236\", \t\t\t\t\t\t\t\"buildingName\": \"昭通仓\", \t\t\t\t\t\t\t\"buildingCode\": \"004\" \t\t\t\t\t\t}";
        StockWaveReplenishTaskVO stockWaveReplenishTaskVO= JSON.parseObject(stockWaveReplenishTaskVOStr,StockWaveReplenishTaskVO.class);
        MoveTaskDODTO moveTaskDODTO=new MoveTaskDODTO();
        BeanUtils.copyProperties(stockWaveReplenishTaskVO,moveTaskDODTO);
        moveTaskDODTO.setBillGroupId("SKPWS400025319");
        moveTaskDODTO.setItemId("0021285073");
        moveTaskDODTO.setCargoOwnerId("E2UXG3AVQOO");
        moveTaskDODTO.setBldgId(stockWaveReplenishTaskVO.getBuildingId());
        moveTaskDODTO.setItemName("");
        moveTaskDODTO.setMoveType("4");
        moveTaskDODTO.setConversionRate(new BigDecimal("80"));
        moveTaskDODTO.setEnterpriseId("106");
        moveTaskDODTO.setWarehouseId("658952120325658545");
        moveTaskDODTO.setSrcFloor(stockWaveReplenishTaskVO.getSrcFloorNum());
        moveTaskDODTO.setSrcWarehouseAreaNum(stockWaveReplenishTaskVO.getSrcWarehouseAreaCode());
        moveTaskDODTO.setSrcWarehouseLocatorNum(stockWaveReplenishTaskVO.getSrcWarehouseLocatorCode());
        moveTaskDODTO.setDestFloor(stockWaveReplenishTaskVO.getDestFloorNum());
        moveTaskDODTO.setDestWarehouseAreaId(stockWaveReplenishTaskVO.getDestWarehouseAreaId());
        moveTaskDODTO.setDestWarehouseAreaNum(stockWaveReplenishTaskVO.getDestWarehouseAreaCode());
        moveTaskDODTO.setDestWarehouseLocatorId(stockWaveReplenishTaskVO.getDestWarehouseLocatorId());
        moveTaskDODTO.setDestWarehouseLocatorNum(stockWaveReplenishTaskVO.getDestWarehouseLocatorCode());
        moveTaskDODTO.setExpiredDate(stockWaveReplenishTaskVO.getBatchExpiredDate());
        moveTaskDODTO.setProductionDate(stockWaveReplenishTaskVO.getBatchProductionDate());
        moveTaskDODTO.setQty(stockWaveReplenishTaskVO.getPieceQuantity());
        List<String> itemIds = new ArrayList<String>();
        itemIds.add("0021285073");
        RestMessage<List<WaveItemInfoVO>> waveItemInfos = itemClient.getWaveItemInfo(itemIds);
        moveTaskDODTO.setItemCode(waveItemInfos.getData().get(0).getItemCode());
        List<MoveTaskDODTO> moveTaskDODTOS=new ArrayList<>();
        moveTaskDODTOS.add(moveTaskDODTO);
        MoveTaskServiceImpl.addMoveTaskNoTx(moveTaskDODTOS, null);
    }

    @Test
    public void addMoveTask2() throws Exception {
        String s="[ \t{ \t\t\"batchExpiredDateShow\": \"202404\", \t\t\"batchId\": \"729336318630432768\", \t\t\"batchNum\": \"729336318630432769\", \t\t\"batchProductionDateShow\": \"20210520\", \t\t\"billGroupId\": \"SKPQUC00318551\", \t\t\"bldgId\": \"599581810778836992\", \t\t\"cargoOwnerId\": \"E23A4BUUPPW\", \t\t\"conversionRate\": 120, \t\t\"destFloor\": 2, \t\t\"destItemPlaceType\": \"2\", \t\t\"destWarehouseAreaCategory\": \"LHK\", \t\t\"destWarehouseAreaId\": \"599642636126654475\", \t\t\"destWarehouseAreaNum\": \"LH2\", \t\t\"destWarehouseLocatorId\": \"KQLOCATOR08091\", \t\t\"destWarehouseLocatorNum\": \"2LH28-010605\", \t\t\"destWarehouseLocatorType\": \"1\", \t\t\"detailId\": \"732631264935145472\", \t\t\"enterpriseId\": \"106\", \t\t\"expiredDate\": 1714752000000, \t\t\"headerId\": \"732631264914173952\", \t\t\"height\": 33, \t\t\"itemCode\": \"YCYQR0397\", \t\t\"itemId\": \"0021247676\", \t\t\"length\": 33, \t\t\"manufacturerLotNum\": \"210520B1\", \t\t\"moveType\": \"4\", \t\t\"productionDate\": 1621440000000, \t\t\"qty\": 120, \t\t\"srcFloor\": 1, \t\t\"srcItemPlaceType\": \"1\", \t\t\"srcWarehouseAreaCategory\": \"ZJK\", \t\t\"srcWarehouseAreaId\": \"599642636126654472\", \t\t\"srcWarehouseAreaNum\": \"ZJ1\", \t\t\"srcWarehouseLocatorId\": \"KQLOCATOR00062\", \t\t\"srcWarehouseLocatorNum\": \"1ZJ06-13\", \t\t\"srcWarehouseLocatorType\": \"0\", \t\t\"uom\": \"盒\", \t\t\"volume\": 0, \t\t\"warehouseId\": \"599581702716788736\", \t\t\"weight\": 0, \t\t\"width\": 33 \t}]";
        List<MoveTaskDODTO> moveTaskDODTOS=JSON.parseArray(s,MoveTaskDODTO.class);
        MoveTaskServiceImpl.addMoveTaskNoTx(moveTaskDODTOS, null);
    }

    @Test
    public void handleWaveHandleResult() throws Exception {
        String s="{\"details\":[{\"billCode\":\"SJZFT0000029\",\"billGroupId\":\"SJZFT0000029\",\"billId\":\"678206205178294272\",\"cargoOwnerId\":\"ZDA\",\"itemDetails\":[{\"caseConversionRate\":10.0000,\"extData\":{\"caseConversionRate\":10.0,\"itemCode\":\"20035310\",\"length\":0.0,\"isCaseOrPiece\":1,\"itemCategoryCode\":\"医疗器械\",\"volume\":6.0,\"caseUom\":\"根\",\"itemId\":\"SPH00063420\",\"storeTemperature\":\"常温\",\"itemName\":\"金属接骨螺钉\",\"itemHealthCategory\":\"医疗器械\",\"width\":0.0,\"enterpriseId\":\"655026008575053824\",\"itemHealthIsDouble\":\"0\",\"height\":0.0},\"itemId\":\"SPH00063420\",\"lineBillId\":\"678206205610307584\",\"pickLocators\":[{\"batchExpiredDate\":1661875200000,\"batchExpiredDateShow\":\"20220831\",\"batchId\":\"655094552083959808\",\"batchNum\":\"655094552083959809\",\"batchProductionDate\":1630425600000,\"batchProductionDateShow\":\"20210901\",\"buildingCode\":\"003\",\"buildingId\":\"646346682396708864\",\"buildingName\":\"正方体测试仓\",\"locatorCode\":\"zftlhhw001\",\"locatorId\":\"676112492002414592\",\"manufacturerLotNum\":\"2021092801\",\"pickModel\":\"\",\"quantity\":8.0000,\"shelfLifeDays\":90,\"splitGroup\":\"\",\"uom\":\"根\",\"warehouseAreaCategory\":\"LHK\",\"warehouseAreaCode\":\"zftlhkq001\",\"warehouseLocatorType\":\"1\"}],\"pickRule\":\"FIFO\",\"refReplenishes\":[{\"billId\":\"678206205178294272\",\"lineBillId\":\"678206205610307584\",\"refBillId\":\"678206249724153856\",\"refLineBillId\":\"678206249984200704\",\"refQuantity\":7.00000000}],\"replenishTaskList\":[{\"batchExpiredDate\":1661875200000,\"batchExpiredDateShow\":\"20220831\",\"batchId\":\"655094552083959808\",\"batchNum\":\"655094552083959809\",\"batchProductionDate\":1630425600000,\"batchProductionDateShow\":\"20210901\",\"buildingCode\":\"003\",\"buildingId\":\"646346682396708864\",\"buildingName\":\"正方体测试仓\",\"chooseQuantity\":7.00000000,\"destWarehouseAreaCategory\":\"LHK\",\"destWarehouseAreaCode\":\"zftlhkq001\",\"destWarehouseAreaId\":\"676044178572054528\",\"destWarehouseLocatorCode\":\"zftlhhw001\",\"destWarehouseLocatorId\":\"676112492002414592\",\"destWarehouseLocatorType\":\"1\",\"detailId\":\"678206249984200704\",\"headerId\":\"678206249724153856\",\"height\":0.0,\"id\":\"678206248046432256\",\"length\":0.0,\"manufacturerLotNum\":\"2021092801\",\"pieceQuantity\":10.0000,\"shelfLifeDays\":90,\"srcWarehouseAreaCategory\":\"ZJK\",\"srcWarehouseAreaCode\":\"zftzjkq001\",\"srcWarehouseAreaId\":\"676043909822025728\",\"srcWarehouseLocatorCode\":\"zftzjhw001\",\"srcWarehouseLocatorId\":\"676112786333503488\",\"srcWarehouseLocatorType\":\"0\",\"uom\":\"根\",\"volume\":0,\"weight\":0,\"width\":0.0}],\"srcLineId\":\"SJZFT0000029\"}],\"srcCode\":\"SJZFT0000029\",\"srcId\":\"SJZFT0000029\",\"success\":true}],\"enterpriseId\":\"655026008575053824\",\"opUser\":\"cube_admin\",\"opUserId\":\"655026009594269696\",\"success\":true,\"warehouseId\":\"646346467442823168\",\"waveId\":\"678206200667574272\"}";
        s="{\"waveId\":\"678291099298697216\",\"enterpriseId\":\"655026008575053824\",\"warehouseId\":\"646346467442823168\",\"success\":true,\"errorMsg\":null,\"opUser\":\"cube_admin\",\"opUserId\":\"655026009594269696\",\"details\":[{\"billId\":\"678291104379842560\",\"billCode\":\"SJZFT0000024\",\"srcId\":\"SJZFT0000024\",\"srcCode\":\"SJZFT0000024\",\"billGroupId\":\"SJZFT0000024\",\"cargoOwnerId\":\"ZDA\",\"success\":true,\"errorMsg\":null,\"itemDetails\":[{\"lineBillId\":\"678291104409202688\",\"pickRule\":\"FIFO\",\"srcLineId\":\"SJZFT0000024\",\"itemId\":\"SPH00063420\",\"itemName\":null,\"itemHealthCategory\":null,\"isCaseOrPiece\":null,\"caseConversionRate\":10.0000,\"pickLocators\":[{\"locatorId\":\"676112492002414592\",\"locatorCode\":\"zftlhhw001\",\"batchId\":\"655094552083959808\",\"batchNum\":\"655094552083959809\",\"stockStatus\":null,\"quantity\":6.0000,\"warehouseLocatorType\":\"1\",\"batchExpiredDate\":1661875200000,\"batchProductionDate\":1630425600000,\"batchExpiredDateShow\":\"20220831\",\"batchProductionDateShow\":\"20210901\",\"shelfLifeDays\":90,\"warehouseAreaCode\":\"zftlhkq001\",\"warehouseAreaCategory\":\"LHK\",\"pickModel\":\"\",\"floorNum\":null,\"locatorLaneCode\":null,\"outIndex\":null,\"splitGroup\":\"\",\"buildingId\":\"646346682396708864\",\"buildingName\":\"正方体测试仓\",\"buildingCode\":\"003\",\"manufacturerLotNum\":\"2021092801\",\"uom\":\"根\",\"itemPlaceType\":null}],\"replenishTaskList\":[{\"id\":\"678291157461110784\",\"headerId\":\"678291161823186944\",\"detailId\":\"678291162464915456\",\"pieceQuantity\":10.0000,\"chooseQuantity\":2.00000000,\"srcWarehouseLocatorId\":\"676112786333503488\",\"srcWarehouseLocatorCode\":\"zftzjhw001\",\"srcWarehouseAreaId\":\"676043909822025728\",\"srcWarehouseAreaCode\":\"zftzjkq001\",\"srcWarehouseAreaCategory\":\"ZJK\",\"srcWarehouseLocatorType\":\"0\",\"srcFloorNum\":null,\"srcItemPlaceType\":null,\"destWarehouseLocatorId\":\"676112492002414592\",\"destWarehouseLocatorCode\":\"zftlhhw001\",\"destWarehouseAreaId\":\"676044178572054528\",\"destWarehouseAreaCode\":\"zftlhkq001\",\"destWarehouseAreaCategory\":\"LHK\",\"destWarehouseLocatorType\":\"1\",\"destFloorNum\":0,\"destItemPlaceType\":null,\"pickRule\":null,\"batchId\":\"655094552083959808\",\"batchNum\":\"655094552083959809\",\"manufacturerLotNum\":\"2021092801\",\"uom\":\"根\",\"batchProductionDate\":1630425600000,\"batchExpiredDate\":1661875200000,\"batchExpiredDateShow\":\"20220831\",\"batchProductionDateShow\":\"20210901\",\"shelfLifeDays\":90,\"caseConvertionRate\":null,\"length\":0.0,\"width\":0.0,\"height\":0.0,\"volume\":0,\"isCaseOrPiece\":null,\"weight\":0,\"buildingId\":\"646346682396708864\",\"buildingName\":\"正方体测试仓\",\"buildingCode\":\"003\"}],\"refReplenishes\":[{\"billId\":\"678291104379842560\",\"lineBillId\":\"678291104409202688\",\"refBillId\":\"678291161823186944\",\"refLineBillId\":\"678291162464915456\",\"refQuantity\":2.00000000}],\"extData\":{\"caseBarcode\":null,\"caseConversionRate\":10.0,\"itemCode\":\"20035310\",\"length\":0.0,\"weight\":null,\"isCaseOrPiece\":1,\"itemCategoryId\":null,\"itemCategoryCode\":\"医疗器械\",\"abcType\":null,\"volume\":0.6,\"caseUom\":\"根\",\"itemId\":\"SPH00063420\",\"storeTemperature\":\"常温\",\"itemName\":\"金属接骨螺钉\",\"itemIsSpecialSharped\":null,\"itemTemperatureHigh\":null,\"itemIsBatch\":null,\"itemTemperatureLow\":null,\"itemHealthCategory\":\"医疗器械\",\"width\":0.0,\"enterpriseId\":\"655026008575053824\",\"itemIsLot\":null,\"itemHealthIsDouble\":\"0\",\"height\":0.0}},{\"lineBillId\":\"678291104476311552\",\"pickRule\":\"FIFO\",\"srcLineId\":\"SJZFT0000024-1\",\"itemId\":\"SPH00063420\",\"itemName\":null,\"itemHealthCategory\":null,\"isCaseOrPiece\":null,\"caseConversionRate\":10.0000,\"pickLocators\":[{\"locatorId\":\"676112492002414592\",\"locatorCode\":\"zftlhhw001\",\"batchId\":\"655094552083959808\",\"batchNum\":\"655094552083959809\",\"stockStatus\":null,\"quantity\":7.0000,\"warehouseLocatorType\":\"1\",\"batchExpiredDate\":1661875200000,\"batchProductionDate\":1630425600000,\"batchExpiredDateShow\":\"20220831\",\"batchProductionDateShow\":\"20210901\",\"shelfLifeDays\":90,\"warehouseAreaCode\":\"zftlhkq001\",\"warehouseAreaCategory\":\"LHK\",\"pickModel\":\"\",\"floorNum\":null,\"locatorLaneCode\":null,\"outIndex\":null,\"splitGroup\":\"\",\"buildingId\":\"646346682396708864\",\"buildingName\":\"正方体测试仓\",\"buildingCode\":\"003\",\"manufacturerLotNum\":\"2021092801\",\"uom\":\"根\",\"itemPlaceType\":null}],\"replenishTaskList\":[{\"id\":\"678291157461110785\",\"headerId\":\"678291161823186944\",\"detailId\":\"678291162464915457\",\"pieceQuantity\":10.0000,\"chooseQuantity\":7.0000,\"srcWarehouseLocatorId\":\"676112786333503488\",\"srcWarehouseLocatorCode\":\"zftzjhw001\",\"srcWarehouseAreaId\":\"676043909822025728\",\"srcWarehouseAreaCode\":\"zftzjkq001\",\"srcWarehouseAreaCategory\":\"ZJK\",\"srcWarehouseLocatorType\":\"0\",\"srcFloorNum\":null,\"srcItemPlaceType\":null,\"destWarehouseLocatorId\":\"676112492002414592\",\"destWarehouseLocatorCode\":\"zftlhhw001\",\"destWarehouseAreaId\":\"676044178572054528\",\"destWarehouseAreaCode\":\"zftlhkq001\",\"destWarehouseAreaCategory\":\"LHK\",\"destWarehouseLocatorType\":\"1\",\"destFloorNum\":0,\"destItemPlaceType\":null,\"pickRule\":null,\"batchId\":\"655094552083959808\",\"batchNum\":\"655094552083959809\",\"manufacturerLotNum\":\"2021092801\",\"uom\":\"根\",\"batchProductionDate\":1630425600000,\"batchExpiredDate\":1661875200000,\"batchExpiredDateShow\":\"20220831\",\"batchProductionDateShow\":\"20210901\",\"shelfLifeDays\":90,\"caseConvertionRate\":null,\"length\":0.0,\"width\":0.0,\"height\":0.0,\"volume\":0,\"isCaseOrPiece\":null,\"weight\":0,\"buildingId\":\"646346682396708864\",\"buildingName\":\"正方体测试仓\",\"buildingCode\":\"003\"}],\"refReplenishes\":[{\"billId\":\"678291104379842560\",\"lineBillId\":\"678291104476311552\",\"refBillId\":\"678291161823186944\",\"refLineBillId\":\"678291162464915457\",\"refQuantity\":7.0000}],\"extData\":{\"caseBarcode\":null,\"caseConversionRate\":10.0,\"itemCode\":\"20035310\",\"length\":0.0,\"weight\":null,\"isCaseOrPiece\":1,\"itemCategoryId\":null,\"itemCategoryCode\":\"医疗器械\",\"abcType\":null,\"volume\":0.6,\"caseUom\":\"根\",\"itemId\":\"SPH00063420\",\"storeTemperature\":\"常温\",\"itemName\":\"金属接骨螺钉\",\"itemIsSpecialSharped\":null,\"itemTemperatureHigh\":null,\"itemIsBatch\":null,\"itemTemperatureLow\":null,\"itemHealthCategory\":\"医疗器械\",\"width\":0.0,\"enterpriseId\":\"655026008575053824\",\"itemIsLot\":null,\"itemHealthIsDouble\":\"0\",\"height\":0.0}}]}]}";
        s="{\"waveId\":\"678302085787291648\",\"enterpriseId\":\"655026008575053824\",\"warehouseId\":\"646346467442823168\",\"success\":true,\"errorMsg\":null,\"opUser\":\"cube_admin\",\"opUserId\":\"655026009594269696\",\"details\":[{\"billId\":\"678302088897114112\",\"billCode\":\"SJZFT0000024\",\"srcId\":\"SJZFT0000024\",\"srcCode\":\"SJZFT0000024\",\"billGroupId\":\"SJZFT0000024\",\"cargoOwnerId\":\"ZDA\",\"success\":true,\"errorMsg\":null,\"itemDetails\":[{\"lineBillId\":\"678302088926474240\",\"pickRule\":\"FIFO\",\"srcLineId\":\"SJZFT0000024\",\"itemId\":\"SPH00063420\",\"itemName\":null,\"itemHealthCategory\":null,\"isCaseOrPiece\":null,\"caseConversionRate\":10.0000,\"pickLocators\":[{\"locatorId\":\"676112492002414592\",\"locatorCode\":\"zftlhhw001\",\"batchId\":\"655094552083959808\",\"batchNum\":\"655094552083959809\",\"stockStatus\":null,\"quantity\":6.0000,\"warehouseLocatorType\":\"1\",\"batchExpiredDate\":1661875200000,\"batchProductionDate\":1630425600000,\"batchExpiredDateShow\":\"20220831\",\"batchProductionDateShow\":\"20210901\",\"shelfLifeDays\":90,\"warehouseAreaCode\":\"zftlhkq001\",\"warehouseAreaCategory\":\"LHK\",\"pickModel\":\"\",\"floorNum\":null,\"locatorLaneCode\":null,\"outIndex\":null,\"splitGroup\":\"\",\"buildingId\":\"646346682396708864\",\"buildingName\":\"正方体测试仓\",\"buildingCode\":\"003\",\"manufacturerLotNum\":\"2021092801\",\"uom\":\"根\",\"itemPlaceType\":null}],\"replenishTaskList\":[{\"id\":\"678305926897340416\",\"headerId\":\"678305946811895808\",\"detailId\":\"678305947239714816\",\"pieceQuantity\":10.0000,\"chooseQuantity\":6.0000,\"srcWarehouseLocatorId\":\"676112786333503488\",\"srcWarehouseLocatorCode\":\"zftzjhw001\",\"srcWarehouseAreaId\":\"676043909822025728\",\"srcWarehouseAreaCode\":\"zftzjkq001\",\"srcWarehouseAreaCategory\":\"ZJK\",\"srcWarehouseLocatorType\":\"0\",\"srcFloorNum\":null,\"srcItemPlaceType\":null,\"destWarehouseLocatorId\":\"676112492002414592\",\"destWarehouseLocatorCode\":\"zftlhhw001\",\"destWarehouseAreaId\":\"676044178572054528\",\"destWarehouseAreaCode\":\"zftlhkq001\",\"destWarehouseAreaCategory\":\"LHK\",\"destWarehouseLocatorType\":\"1\",\"destFloorNum\":0,\"destItemPlaceType\":null,\"pickRule\":null,\"batchId\":\"655094552083959808\",\"batchNum\":\"655094552083959809\",\"manufacturerLotNum\":\"2021092801\",\"uom\":\"根\",\"batchProductionDate\":1630425600000,\"batchExpiredDate\":1661875200000,\"batchExpiredDateShow\":\"20220831\",\"batchProductionDateShow\":\"20210901\",\"shelfLifeDays\":90,\"caseConvertionRate\":null,\"length\":0.0,\"width\":0.0,\"height\":0.0,\"volume\":0,\"isCaseOrPiece\":null,\"weight\":0,\"buildingId\":\"646346682396708864\",\"buildingName\":\"正方体测试仓\",\"buildingCode\":\"003\"}],\"refReplenishes\":[{\"billId\":\"678302088897114112\",\"lineBillId\":\"678302088926474240\",\"refBillId\":\"678305946811895808\",\"refLineBillId\":\"678305947239714816\",\"refQuantity\":6.0000}],\"extData\":{\"caseBarcode\":null,\"caseConversionRate\":10.0,\"itemCode\":\"20035310\",\"length\":0.0,\"weight\":null,\"isCaseOrPiece\":1,\"itemCategoryId\":null,\"itemCategoryCode\":\"医疗器械\",\"abcType\":null,\"volume\":0.6,\"caseUom\":\"根\",\"itemId\":\"SPH00063420\",\"storeTemperature\":\"常温\",\"itemName\":\"金属接骨螺钉\",\"itemIsSpecialSharped\":null,\"itemTemperatureHigh\":null,\"itemIsBatch\":null,\"itemTemperatureLow\":null,\"itemHealthCategory\":\"医疗器械\",\"width\":0.0,\"enterpriseId\":\"655026008575053824\",\"itemIsLot\":null,\"itemHealthIsDouble\":\"0\",\"height\":0.0}},{\"lineBillId\":\"678302088951640064\",\"pickRule\":\"FIFO\",\"srcLineId\":\"SJZFT0000024-1\",\"itemId\":\"SPH00063420\",\"itemName\":null,\"itemHealthCategory\":null,\"isCaseOrPiece\":null,\"caseConversionRate\":10.0000,\"pickLocators\":[{\"locatorId\":\"676112492002414592\",\"locatorCode\":\"zftlhhw001\",\"batchId\":\"655094552083959808\",\"batchNum\":\"655094552083959809\",\"stockStatus\":null,\"quantity\":7.0000,\"warehouseLocatorType\":\"1\",\"batchExpiredDate\":1661875200000,\"batchProductionDate\":1630425600000,\"batchExpiredDateShow\":\"20220831\",\"batchProductionDateShow\":\"20210901\",\"shelfLifeDays\":90,\"warehouseAreaCode\":\"zftlhkq001\",\"warehouseAreaCategory\":\"LHK\",\"pickModel\":\"\",\"floorNum\":null,\"locatorLaneCode\":null,\"outIndex\":null,\"splitGroup\":\"\",\"buildingId\":\"646346682396708864\",\"buildingName\":\"正方体测试仓\",\"buildingCode\":\"003\",\"manufacturerLotNum\":\"2021092801\",\"uom\":\"根\",\"itemPlaceType\":null}],\"replenishTaskList\":[{\"id\":\"678305926901534720\",\"headerId\":\"678305946811895808\",\"detailId\":\"678305947239714817\",\"pieceQuantity\":10.0000,\"chooseQuantity\":7.0000,\"srcWarehouseLocatorId\":\"676112786333503488\",\"srcWarehouseLocatorCode\":\"zftzjhw001\",\"srcWarehouseAreaId\":\"676043909822025728\",\"srcWarehouseAreaCode\":\"zftzjkq001\",\"srcWarehouseAreaCategory\":\"ZJK\",\"srcWarehouseLocatorType\":\"0\",\"srcFloorNum\":null,\"srcItemPlaceType\":null,\"destWarehouseLocatorId\":\"676112492002414592\",\"destWarehouseLocatorCode\":\"zftlhhw001\",\"destWarehouseAreaId\":\"676044178572054528\",\"destWarehouseAreaCode\":\"zftlhkq001\",\"destWarehouseAreaCategory\":\"LHK\",\"destWarehouseLocatorType\":\"1\",\"destFloorNum\":0,\"destItemPlaceType\":null,\"pickRule\":null,\"batchId\":\"655094552083959808\",\"batchNum\":\"655094552083959809\",\"manufacturerLotNum\":\"2021092801\",\"uom\":\"根\",\"batchProductionDate\":1630425600000,\"batchExpiredDate\":1661875200000,\"batchExpiredDateShow\":\"20220831\",\"batchProductionDateShow\":\"20210901\",\"shelfLifeDays\":90,\"caseConvertionRate\":null,\"length\":0.0,\"width\":0.0,\"height\":0.0,\"volume\":0,\"isCaseOrPiece\":null,\"weight\":0,\"buildingId\":\"646346682396708864\",\"buildingName\":\"正方体测试仓\",\"buildingCode\":\"003\"}],\"refReplenishes\":[{\"billId\":\"678302088897114112\",\"lineBillId\":\"678302088951640064\",\"refBillId\":\"678305946811895808\",\"refLineBillId\":\"678305947239714817\",\"refQuantity\":7.0000}],\"extData\":{\"caseBarcode\":null,\"caseConversionRate\":10.0,\"itemCode\":\"20035310\",\"length\":0.0,\"weight\":null,\"isCaseOrPiece\":1,\"itemCategoryId\":null,\"itemCategoryCode\":\"医疗器械\",\"abcType\":null,\"volume\":0.6,\"caseUom\":\"根\",\"itemId\":\"SPH00063420\",\"storeTemperature\":\"常温\",\"itemName\":\"金属接骨螺钉\",\"itemIsSpecialSharped\":null,\"itemTemperatureHigh\":null,\"itemIsBatch\":null,\"itemTemperatureLow\":null,\"itemHealthCategory\":\"医疗器械\",\"width\":0.0,\"enterpriseId\":\"655026008575053824\",\"itemIsLot\":null,\"itemHealthIsDouble\":\"0\",\"height\":0.0}}]}]}";
        s="{\"waveId\":\"678337189238673408\",\"enterpriseId\":\"655026008575053824\",\"warehouseId\":\"646346467442823168\",\"success\":true,\"errorMsg\":null,\"opUser\":\"cube_admin\",\"opUserId\":\"655026009594269696\",\"details\":[{\"billId\":\"678337191685795840\",\"billCode\":\"BHZFT000003\",\"srcId\":\"BHZFT000003\",\"srcCode\":\"BHZFT000003\",\"billGroupId\":\"BHZFT000003\",\"cargoOwnerId\":\"ZDA\",\"success\":true,\"errorMsg\":null,\"itemDetails\":[{\"lineBillId\":\"678337191744516096\",\"pickRule\":\"FIFO\",\"srcLineId\":\"BHZFT000003\",\"itemId\":\"SPH00063420\",\"itemName\":null,\"itemHealthCategory\":null,\"isCaseOrPiece\":null,\"caseConversionRate\":10.0000,\"pickLocators\":[{\"locatorId\":\"676112492002414592\",\"locatorCode\":\"zftlhhw001\",\"batchId\":\"655094552083959808\",\"batchNum\":\"655094552083959809\",\"stockStatus\":null,\"quantity\":9.0000,\"warehouseLocatorType\":\"1\",\"batchExpiredDate\":1661875200000,\"batchProductionDate\":1630425600000,\"batchExpiredDateShow\":\"20220831\",\"batchProductionDateShow\":\"20210901\",\"shelfLifeDays\":90,\"warehouseAreaCode\":\"zftlhkq001\",\"warehouseAreaCategory\":\"LHK\",\"pickModel\":\"\",\"floorNum\":null,\"locatorLaneCode\":null,\"outIndex\":null,\"splitGroup\":\"\",\"buildingId\":\"646346682396708864\",\"buildingName\":\"正方体测试仓\",\"buildingCode\":\"003\",\"manufacturerLotNum\":\"2021092801\",\"uom\":\"根\",\"itemPlaceType\":null}],\"replenishTaskList\":[],\"refReplenishes\":[{\"billId\":\"678337191685795840\",\"lineBillId\":\"678337191744516096\",\"refBillId\":\"678308252605353984\",\"refLineBillId\":\"678308274151493632\",\"refQuantity\":9.0000}],\"extData\":{\"caseBarcode\":null,\"caseConversionRate\":10.0,\"itemCode\":\"20035310\",\"length\":0.0,\"weight\":null,\"isCaseOrPiece\":1,\"itemCategoryId\":null,\"itemCategoryCode\":\"医疗器械\",\"abcType\":null,\"volume\":6.0,\"caseUom\":\"根\",\"itemId\":\"SPH00063420\",\"storeTemperature\":\"常温\",\"itemName\":\"金属接骨螺钉\",\"itemIsSpecialSharped\":null,\"itemTemperatureHigh\":null,\"itemIsBatch\":null,\"itemTemperatureLow\":null,\"itemHealthCategory\":\"医疗器械\",\"width\":0.0,\"enterpriseId\":\"655026008575053824\",\"itemIsLot\":null,\"itemHealthIsDouble\":\"0\",\"height\":0.0}}]}]}";
        s="{\"waveId\":\"678605458390519808\",\"enterpriseId\":\"655026008575053824\",\"warehouseId\":\"646346467442823168\",\"success\":true,\"errorMsg\":null,\"opUser\":\"cube_admin\",\"opUserId\":\"655026009594269696\",\"details\":[{\"billId\":\"678605461995270144\",\"billCode\":\"SJZFT0000024\",\"srcId\":\"SJZFT0000024\",\"srcCode\":\"SJZFT0000024\",\"billGroupId\":\"SJZFT0000024\",\"cargoOwnerId\":\"ZDA\",\"success\":true,\"errorMsg\":null,\"itemDetails\":[{\"lineBillId\":\"678605462037213184\",\"pickRule\":\"FIFO\",\"srcLineId\":\"SJZFT0000024\",\"itemId\":\"SPH00063420\",\"itemName\":null,\"itemHealthCategory\":null,\"isCaseOrPiece\":null,\"caseConversionRate\":10.0000,\"pickLocators\":[{\"locatorId\":\"676112492002414592\",\"locatorCode\":\"zftlhhw001\",\"batchId\":\"655094552083959808\",\"batchNum\":\"655094552083959809\",\"stockStatus\":null,\"quantity\":6.0000,\"warehouseLocatorType\":\"1\",\"batchExpiredDate\":1661875200000,\"batchProductionDate\":1630425600000,\"batchExpiredDateShow\":\"20220831\",\"batchProductionDateShow\":\"20210901\",\"shelfLifeDays\":90,\"warehouseAreaCode\":\"zftlhkq001\",\"warehouseAreaCategory\":\"LHK\",\"pickModel\":\"\",\"floorNum\":null,\"locatorLaneCode\":null,\"outIndex\":null,\"splitGroup\":\"\",\"buildingId\":\"646346682396708864\",\"buildingName\":\"正方体测试仓\",\"buildingCode\":\"003\",\"manufacturerLotNum\":\"2021092801\",\"uom\":\"根\",\"itemPlaceType\":null}],\"replenishTaskList\":[],\"refReplenishes\":[{\"billId\":\"678605461995270144\",\"lineBillId\":\"678605462037213184\",\"refBillId\":\"678604488088621056\",\"refLineBillId\":\"678604488491274240\",\"refQuantity\":5.0000},{\"billId\":\"678605461995270144\",\"lineBillId\":\"678605462037213184\",\"refBillId\":\"678604488088621056\",\"refLineBillId\":\"678604488491274241\",\"refQuantity\":1.0000}],\"extData\":{\"caseBarcode\":null,\"caseConversionRate\":10.0,\"itemCode\":\"20035310\",\"length\":0.0,\"weight\":null,\"isCaseOrPiece\":1,\"itemCategoryId\":null,\"itemCategoryCode\":\"医疗器械\",\"abcType\":null,\"volume\":0.6,\"caseUom\":\"根\",\"itemId\":\"SPH00063420\",\"storeTemperature\":\"常温\",\"itemName\":\"金属接骨螺钉\",\"itemIsSpecialSharped\":null,\"itemTemperatureHigh\":null,\"itemIsBatch\":null,\"itemTemperatureLow\":null,\"itemHealthCategory\":\"医疗器械\",\"width\":0.0,\"enterpriseId\":\"655026008575053824\",\"itemIsLot\":null,\"itemHealthIsDouble\":\"0\",\"height\":0.0}},{\"lineBillId\":\"678605462062379008\",\"pickRule\":\"FIFO\",\"srcLineId\":\"SJZFT0000024-1\",\"itemId\":\"SPH00063420\",\"itemName\":null,\"itemHealthCategory\":null,\"isCaseOrPiece\":null,\"caseConversionRate\":10.0000,\"pickLocators\":[{\"locatorId\":\"676112492002414592\",\"locatorCode\":\"zftlhhw001\",\"batchId\":\"655094552083959808\",\"batchNum\":\"655094552083959809\",\"stockStatus\":null,\"quantity\":7.0000,\"warehouseLocatorType\":\"1\",\"batchExpiredDate\":1661875200000,\"batchProductionDate\":1630425600000,\"batchExpiredDateShow\":\"20220831\",\"batchProductionDateShow\":\"20210901\",\"shelfLifeDays\":90,\"warehouseAreaCode\":\"zftlhkq001\",\"warehouseAreaCategory\":\"LHK\",\"pickModel\":\"\",\"floorNum\":null,\"locatorLaneCode\":null,\"outIndex\":null,\"splitGroup\":\"\",\"buildingId\":\"646346682396708864\",\"buildingName\":\"正方体测试仓\",\"buildingCode\":\"003\",\"manufacturerLotNum\":\"2021092801\",\"uom\":\"根\",\"itemPlaceType\":null}],\"replenishTaskList\":[{\"id\":\"678605514594193408\",\"headerId\":\"678605518096437248\",\"detailId\":\"678605518146768896\",\"pieceQuantity\":10.0000,\"chooseQuantity\":7.0000,\"srcWarehouseLocatorId\":\"676112786333503488\",\"srcWarehouseLocatorCode\":\"zftzjhw001\",\"srcWarehouseAreaId\":\"676043909822025728\",\"srcWarehouseAreaCode\":\"zftzjkq001\",\"srcWarehouseAreaCategory\":\"ZJK\",\"srcWarehouseLocatorType\":\"0\",\"srcFloorNum\":null,\"srcItemPlaceType\":null,\"destWarehouseLocatorId\":\"676112492002414592\",\"destWarehouseLocatorCode\":\"zftlhhw001\",\"destWarehouseAreaId\":\"676044178572054528\",\"destWarehouseAreaCode\":\"zftlhkq001\",\"destWarehouseAreaCategory\":\"LHK\",\"destWarehouseLocatorType\":\"1\",\"destFloorNum\":null,\"destItemPlaceType\":null,\"pickRule\":null,\"batchId\":\"655094552083959808\",\"batchNum\":\"655094552083959809\",\"manufacturerLotNum\":\"2021092801\",\"uom\":\"根\",\"batchProductionDate\":1630425600000,\"batchExpiredDate\":1661875200000,\"batchExpiredDateShow\":\"20220831\",\"batchProductionDateShow\":\"20210901\",\"shelfLifeDays\":90,\"caseConvertionRate\":null,\"length\":0.0,\"width\":0.0,\"height\":0.0,\"volume\":0,\"isCaseOrPiece\":null,\"weight\":0,\"buildingId\":\"646346682396708864\",\"buildingName\":\"正方体测试仓\",\"buildingCode\":\"003\"}],\"refReplenishes\":[{\"billId\":\"678605461995270144\",\"lineBillId\":\"678605462062379008\",\"refBillId\":\"678605518096437248\",\"refLineBillId\":\"678605518146768896\",\"refQuantity\":7.0000}],\"extData\":{\"caseBarcode\":null,\"caseConversionRate\":10.0,\"itemCode\":\"20035310\",\"length\":0.0,\"weight\":null,\"isCaseOrPiece\":1,\"itemCategoryId\":null,\"itemCategoryCode\":\"医疗器械\",\"abcType\":null,\"volume\":0.6,\"caseUom\":\"根\",\"itemId\":\"SPH00063420\",\"storeTemperature\":\"常温\",\"itemName\":\"金属接骨螺钉\",\"itemIsSpecialSharped\":null,\"itemTemperatureHigh\":null,\"itemIsBatch\":null,\"itemTemperatureLow\":null,\"itemHealthCategory\":\"医疗器械\",\"width\":0.0,\"enterpriseId\":\"655026008575053824\",\"itemIsLot\":null,\"itemHealthIsDouble\":\"0\",\"height\":0.0}}]}]}";
        s="{\"waveId\":\"709840768499585024\",\"enterpriseId\":\"106\",\"warehouseId\":\"599581702716788736\",\"success\":true,\"errorMsg\":null,\"opUser\":\"kzywms-admin\",\"opUserId\":\"599299328393220096\",\"details\":[{\"billId\":\"709840769627852800\",\"billCode\":\"709833731728347136\",\"srcId\":\"709833731740930048\",\"srcCode\":\"709833731728347136\",\"billGroupId\":\"709833731728347136\",\"cargoOwnerId\":\"E23A4BUUPPW\",\"success\":true,\"errorMsg\":null,\"itemDetails\":[{\"lineBillId\":\"709840769665601536\",\"pickRule\":\"FIFO\",\"srcLineId\":\"709833731728347137\",\"itemId\":\"0021246723\",\"itemName\":null,\"itemHealthCategory\":null,\"isCaseOrPiece\":null,\"caseConversionRate\":120,\"success\":true,\"errorMsg\":null,\"pickLocators\":[{\"locatorId\":\"KQLOCATOR00005\",\"locatorCode\":\"1ZJ01-05\",\"batchId\":\"676426593765343232\",\"batchNum\":\"676426593765343233\",\"stockStatus\":null,\"quantity\":240,\"warehouseLocatorType\":\"0\",\"batchExpiredDate\":1693238400000,\"batchProductionDate\":1631030400000,\"batchExpiredDateShow\":\"202308\",\"batchProductionDateShow\":\"20210908\",\"shelfLifeDays\":90,\"warehouseAreaCode\":\"ZJ1\",\"warehouseAreaCategory\":\"ZJK\",\"pickModel\":null,\"floorNum\":1,\"locatorLaneCode\":null,\"outIndex\":null,\"splitGroup\":null,\"buildingId\":\"599581810778836992\",\"buildingName\":\"曲靖康桥仓\",\"buildingCode\":\"001\",\"manufacturerLotNum\":\"B21090802B\",\"uom\":\"瓶\",\"itemPlaceType\":\"1\"}],\"replenishTaskList\":[],\"refReplenishes\":null,\"extData\":{\"caseBarcode\":\"20023117\",\"caseConversionRate\":120,\"itemCode\":\"YKSKJ0068\",\"isCaseOrPiece\":1,\"itemCategoryId\":\"洗鼻剂\",\"itemCategoryCode\":\"001\",\"caseUom\":\"瓶\",\"itemName\":\"替硝唑氯化钠注射液（聚丙烯输液瓶）\",\"itemIsSpecialSharped\":\"0\",\"itemTemperatureHigh\":null,\"itemTemperatureLow\":null,\"itemIsLot\":null,\"height\":null,\"itemIsUnpack\":1,\"length\":null,\"weight\":0,\"abcType\":null,\"volume\":299.475,\"itemId\":\"0021246723\",\"storeTemperature\":\"阴凉\",\"itemIsBatch\":null,\"itemHealthCategory\":\"001\",\"width\":null,\"enterpriseId\":\"106\",\"itemHealthIsDouble\":\"0\"}},{\"lineBillId\":\"709840769690767360\",\"pickRule\":\"FIFO\",\"srcLineId\":\"709833731728347138\",\"itemId\":\"0021259560\",\"itemName\":null,\"itemHealthCategory\":null,\"isCaseOrPiece\":null,\"caseConversionRate\":1000,\"success\":true,\"errorMsg\":null,\"pickLocators\":[{\"locatorId\":\"KQLOCATOR00060\",\"locatorCode\":\"1ZJ06-11\",\"batchId\":\"696053678624346112\",\"batchNum\":\"696053678624346113\",\"stockStatus\":null,\"quantity\":1000,\"warehouseLocatorType\":\"0\",\"batchExpiredDate\":1706716800000,\"batchProductionDate\":1644508800000,\"batchExpiredDateShow\":\"202401\",\"batchProductionDateShow\":\"20220211\",\"shelfLifeDays\":90,\"warehouseAreaCode\":\"ZJ1\",\"warehouseAreaCategory\":\"ZJK\",\"pickModel\":null,\"floorNum\":1,\"locatorLaneCode\":null,\"outIndex\":null,\"splitGroup\":null,\"buildingId\":\"599581810778836992\",\"buildingName\":\"曲靖康桥仓\",\"buildingCode\":\"001\",\"manufacturerLotNum\":\"2202001\",\"uom\":\"支\",\"itemPlaceType\":\"1\"}],\"replenishTaskList\":[],\"refReplenishes\":null,\"extData\":{\"caseBarcode\":null,\"caseConversionRate\":1000,\"itemCode\":\"YP110986\",\"isCaseOrPiece\":1,\"itemCategoryId\":\"洗鼻剂\",\"itemCategoryCode\":\"001\",\"caseUom\":\"支\",\"itemName\":\"注射用头孢匹胺钠\",\"itemIsSpecialSharped\":\"0\",\"itemTemperatureHigh\":null,\"itemTemperatureLow\":null,\"itemIsLot\":null,\"height\":33,\"itemIsUnpack\":1,\"length\":33,\"weight\":1,\"abcType\":null,\"volume\":35.937,\"itemId\":\"0021259560\",\"storeTemperature\":\"常温\",\"itemIsBatch\":null,\"itemHealthCategory\":\"001\",\"width\":33,\"enterpriseId\":\"106\",\"itemHealthIsDouble\":\"0\"}}]}]}";

        WorkStageServiceImpl.handleWaveHandleResult(s,null,0l);
    }

    public static void main(String[] args) {
//        List list= Arrays.asList(new Integer[]{1,2,3,4});
//        list.forEach(x -> {
//            if((Integer) x==2){
//                return;
//            }
//            System.out.println(x);
//        });

        System.out.println(new BigDecimal(51).divide(new BigDecimal(10),0,BigDecimal.ROUND_UP));
    }



}
