package com.prolog.cs.biz.outbound.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.google.common.collect.Lists;
import com.prolog.cs.basic.item.model.BaseMtlItemMst;
import com.prolog.cs.biz.outbound.model.OmsDoBillHDO;
import com.prolog.cs.biz.outbound.model.WmsMoveTaskRef;
import com.prolog.cs.biz.outbound.model.dto.WaveStorageDTO;
import com.prolog.cs.biz.outbound.model.entity.MoveTaskDO;
import com.prolog.cs.biz.outbound.service.impl.faceorder.JdKdFaceOrderHandler;
import com.prolog.entity.vo.OutBoundRequestItemVO;
import lombok.extern.slf4j.Slf4j;
import org.json.JSONException;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import javax.annotation.Resource;
import java.util.List;

@SpringBootTest
@Slf4j
@RunWith(SpringRunner.class)
public class PackServiceImplTest {

    @Resource
    PackServiceImpl service;
    @Autowired
    private JdKdFaceOrderHandler jdKdFaceOrderHandler;

    @Test
    public void createPickTask() {
        String msg = createPickTaskParams();
        List<WaveStorageDTO> list = JSONObject.parseArray(msg, WaveStorageDTO.class);
        service.createPickTask(Lists.partition(list, 1));
    }

    @Test
    public void createPickTaskAndSend2Eis() {
        String msg = createPickTaskParams();
        List<WaveStorageDTO> list = JSONObject.parseArray(msg, WaveStorageDTO.class);
        service.createPickTaskAndSaveEisParams(Lists.partition(list, 1));
    }

    private  String createPickTaskParams() {
        String msg = "[{\"id\":\"958155571754831872\",\"itemId\":\"949411304551092224\",\"warehouseId\":\"901884530611326976\",\"batchId\":\"958153577203896324\",\"batchNum\":\"958153577203896325\",\"qty\":120.0000,\"uom\":null,\"locatorId\":\"894289837786533888\",\"locatorType\":\"0\",\"expiredDate\":\"2024-08-24 00:00:00\",\"productionDate\":\"2022-08-24 00:00:00\",\"shelfLifeDays\":720,\"volume\":900000.0000,\"weight\":null,\"warehouseAreaCode\":\"AGVZ\",\"pickModel\":\"Device\",\"floorNum\":null,\"locatorLaneCode\":null,\"outIndex\":null,\"pickPieceGroup\":\"\",\"billId\":\"958155530814230528\",\"billDId\":\"958155530893922306\",\"segment3\":null,\"segment4\":null,\"segment5\":null,\"creator\":\"914946946052001792\",\"creatorName\":\"qingniu\",\"gmtCreate\":\"2024-02-22 21:29:16\",\"modifier\":\"EIS\",\"modifierName\":\"EIS\",\"gmtModified\":\"2024-02-22 21:30:20\",\"enterpriseId\":\"900356013474058240\",\"status\":\"1\",\"waveId\":\"958155529149091840\",\"locatorCode\":\"AGVZLOC001\",\"manufacturerLotNum\":\"\",\"buildingCode\":null,\"bldgName\":\"建筑物001\",\"bldgId\":\"901884621275402240\",\"moveTaskId\":null,\"type\":0,\"areaCategory\":\"AGVZ\",\"expiredDateShow\":\"20240824\",\"productionDateShow\":\"20220824\",\"itemPlaceType\":null,\"containerCode\":\"800495\",\"isFunctionRoom\":0,\"containerCodeQty\":800.0000,\"salespersonName\":null,\"preparedBy\":null,\"remark\":null,\"paymentdaytype\":null,\"warehouseLocatorType\":\"0\",\"CASECONVERSIONRATE\":8.0000,\"mergedBillId\":\"XSDD000012\"},{\"id\":\"958155572350423040\",\"itemId\":\"949411316488081408\",\"warehouseId\":\"901884530611326976\",\"batchId\":\"958153577203896320\",\"batchNum\":\"958153577203896321\",\"qty\":40.0000,\"uom\":null,\"locatorId\":\"894288698064113664\",\"locatorType\":\"1\",\"expiredDate\":\"2024-08-24 00:00:00\",\"productionDate\":\"2022-08-24 00:00:00\",\"shelfLifeDays\":720,\"volume\":30000.0000,\"weight\":null,\"warehouseAreaCode\":\"AGVL\",\"pickModel\":\"Device\",\"floorNum\":0,\"locatorLaneCode\":null,\"outIndex\":0,\"pickPieceGroup\":\"\",\"billId\":\"958155530814230528\",\"billDId\":\"958155530893922308\",\"segment3\":null,\"segment4\":null,\"segment5\":null,\"creator\":\"914946946052001792\",\"creatorName\":\"qingniu\",\"gmtCreate\":\"2024-02-22 21:29:16\",\"modifier\":\"914946946052001792\",\"modifierName\":\"qingniu\",\"gmtModified\":\"2024-02-22 21:29:16\",\"enterpriseId\":\"900356013474058240\",\"status\":\"1\",\"waveId\":\"958155529149091840\",\"locatorCode\":\"AGVLLOCLHQ001\",\"manufacturerLotNum\":\"\",\"buildingCode\":null,\"bldgName\":\"建筑物001\",\"bldgId\":\"901884621275402240\",\"moveTaskId\":null,\"type\":0,\"areaCategory\":\"AGVL\",\"expiredDateShow\":\"20240824\",\"productionDateShow\":\"20220824\",\"itemPlaceType\":null,\"containerCode\":\"N/A\",\"isFunctionRoom\":0,\"containerCodeQty\":80.0000,\"salespersonName\":null,\"preparedBy\":null,\"remark\":null,\"paymentdaytype\":null,\"warehouseLocatorType\":\"1\",\"CASECONVERSIONRATE\":80.0000,\"mergedBillId\":\"XSDD000012\"},{\"id\":\"958155572102959104\",\"itemId\":\"949411316488081408\",\"warehouseId\":\"901884530611326976\",\"batchId\":\"958153577203896320\",\"batchNum\":\"958153577203896321\",\"qty\":160.0000,\"uom\":null,\"locatorId\":\"894290490223104000\",\"locatorType\":\"0\",\"expiredDate\":\"2024-08-24 00:00:00\",\"productionDate\":\"2022-08-24 00:00:00\",\"shelfLifeDays\":720,\"volume\":120000.0000,\"weight\":null,\"warehouseAreaCode\":\"MJK\",\"pickModel\":\"Device\",\"floorNum\":null,\"locatorLaneCode\":null,\"outIndex\":null,\"pickPieceGroup\":\"\",\"billId\":\"958155530814230528\",\"billDId\":\"958155530893922308\",\"segment3\":null,\"segment4\":null,\"segment5\":null,\"creator\":\"914946946052001792\",\"creatorName\":\"qingniu\",\"gmtCreate\":\"2024-02-22 21:29:16\",\"modifier\":\"EIS\",\"modifierName\":\"EIS\",\"gmtModified\":\"2024-02-22 21:35:52\",\"enterpriseId\":\"900356013474058240\",\"status\":\"1\",\"waveId\":\"958155529149091840\",\"locatorCode\":\"MJKLOC001\",\"manufacturerLotNum\":\"\",\"buildingCode\":null,\"bldgName\":\"建筑物001\",\"bldgId\":\"901884621275402240\",\"moveTaskId\":null,\"type\":0,\"areaCategory\":\"MJK\",\"expiredDateShow\":\"20240824\",\"productionDateShow\":\"20220824\",\"itemPlaceType\":null,\"containerCode\":\"800497\",\"isFunctionRoom\":0,\"containerCodeQty\":8000.0000,\"salespersonName\":null,\"preparedBy\":null,\"remark\":null,\"paymentdaytype\":null,\"warehouseLocatorType\":\"0\",\"CASECONVERSIONRATE\":80.0000,\"mergedBillId\":\"XSDD000012\"},{\"id\":\"958155572467863552\",\"itemId\":\"949411323110887424\",\"warehouseId\":\"901884530611326976\",\"batchId\":\"958153577203896322\",\"batchNum\":\"958153577203896323\",\"qty\":12.0000,\"uom\":null,\"locatorId\":\"894288698064113664\",\"locatorType\":\"1\",\"expiredDate\":\"2024-08-24 00:00:00\",\"productionDate\":\"2022-08-24 00:00:00\",\"shelfLifeDays\":720,\"volume\":15000.0000,\"weight\":null,\"warehouseAreaCode\":\"AGVL\",\"pickModel\":\"Device\",\"floorNum\":0,\"locatorLaneCode\":null,\"outIndex\":0,\"pickPieceGroup\":\"\",\"billId\":\"958155530814230528\",\"billDId\":\"958155530889728000\",\"segment3\":null,\"segment4\":null,\"segment5\":null,\"creator\":\"914946946052001792\",\"creatorName\":\"qingniu\",\"gmtCreate\":\"2024-02-22 21:29:16\",\"modifier\":\"914946946052001792\",\"modifierName\":\"qingniu\",\"gmtModified\":\"2024-02-22 21:29:16\",\"enterpriseId\":\"900356013474058240\",\"status\":\"1\",\"waveId\":\"958155529149091840\",\"locatorCode\":\"AGVLLOCLHQ001\",\"manufacturerLotNum\":\"\",\"buildingCode\":null,\"bldgName\":\"建筑物001\",\"bldgId\":\"901884621275402240\",\"moveTaskId\":null,\"type\":0,\"areaCategory\":\"AGVL\",\"expiredDateShow\":\"20240824\",\"productionDateShow\":\"20220824\",\"itemPlaceType\":null,\"containerCode\":\"N/A\",\"isFunctionRoom\":0,\"containerCodeQty\":48.0000,\"salespersonName\":null,\"preparedBy\":null,\"remark\":null,\"paymentdaytype\":null,\"warehouseLocatorType\":\"1\",\"CASECONVERSIONRATE\":48.0000,\"mergedBillId\":\"XSDD000012\"},{\"id\":\"958155572308480000\",\"itemId\":\"949411323110887424\",\"warehouseId\":\"901884530611326976\",\"batchId\":\"958153577203896322\",\"batchNum\":\"958153577203896323\",\"qty\":48.0000,\"uom\":null,\"locatorId\":\"894290490223104000\",\"locatorType\":\"0\",\"expiredDate\":\"2024-08-24 00:00:00\",\"productionDate\":\"2022-08-24 00:00:00\",\"shelfLifeDays\":720,\"volume\":60000.0000,\"weight\":null,\"warehouseAreaCode\":\"MJK\",\"pickModel\":\"Device\",\"floorNum\":null,\"locatorLaneCode\":null,\"outIndex\":null,\"pickPieceGroup\":\"\",\"billId\":\"958155530814230528\",\"billDId\":\"958155530889728000\",\"segment3\":null,\"segment4\":null,\"segment5\":null,\"creator\":\"914946946052001792\",\"creatorName\":\"qingniu\",\"gmtCreate\":\"2024-02-22 21:29:16\",\"modifier\":\"EIS\",\"modifierName\":\"EIS\",\"gmtModified\":\"2024-02-22 21:35:11\",\"enterpriseId\":\"900356013474058240\",\"status\":\"1\",\"waveId\":\"958155529149091840\",\"locatorCode\":\"MJKLOC001\",\"manufacturerLotNum\":\"\",\"buildingCode\":null,\"bldgName\":\"建筑物001\",\"bldgId\":\"901884621275402240\",\"moveTaskId\":null,\"type\":0,\"areaCategory\":\"MJK\",\"expiredDateShow\":\"20240824\",\"productionDateShow\":\"20220824\",\"itemPlaceType\":null,\"containerCode\":\"800496\",\"isFunctionRoom\":0,\"containerCodeQty\":4800.0000,\"salespersonName\":null,\"preparedBy\":null,\"remark\":null,\"paymentdaytype\":null,\"warehouseLocatorType\":\"0\",\"CASECONVERSIONRATE\":48.0000,\"mergedBillId\":\"XSDD000012\"},{\"id\":\"958155572232982528\",\"itemId\":\"949411323878445056\",\"warehouseId\":\"901884530611326976\",\"batchId\":\"958153577199702020\",\"batchNum\":\"958153577199702021\",\"qty\":22.0000,\"uom\":null,\"locatorId\":\"894288698064113664\",\"locatorType\":\"1\",\"expiredDate\":\"2024-08-24 00:00:00\",\"productionDate\":\"2022-08-24 00:00:00\",\"shelfLifeDays\":720,\"volume\":55000.0000,\"weight\":null,\"warehouseAreaCode\":\"AGVL\",\"pickModel\":\"Device\",\"floorNum\":0,\"locatorLaneCode\":null,\"outIndex\":0,\"pickPieceGroup\":\"\",\"billId\":\"958155530814230528\",\"billDId\":\"958155530893922307\",\"segment3\":null,\"segment4\":null,\"segment5\":null,\"creator\":\"914946946052001792\",\"creatorName\":\"qingniu\",\"gmtCreate\":\"2024-02-22 21:29:16\",\"modifier\":\"914946946052001792\",\"modifierName\":\"qingniu\",\"gmtModified\":\"2024-02-22 21:29:16\",\"enterpriseId\":\"900356013474058240\",\"status\":\"1\",\"waveId\":\"958155529149091840\",\"locatorCode\":\"AGVLLOCLHQ001\",\"manufacturerLotNum\":\"\",\"buildingCode\":null,\"bldgName\":\"建筑物001\",\"bldgId\":\"901884621275402240\",\"moveTaskId\":null,\"type\":0,\"areaCategory\":\"AGVL\",\"expiredDateShow\":\"20240824\",\"productionDateShow\":\"20220824\",\"itemPlaceType\":null,\"containerCode\":\"N/A\",\"isFunctionRoom\":0,\"containerCodeQty\":24.0000,\"salespersonName\":null,\"preparedBy\":null,\"remark\":null,\"paymentdaytype\":null,\"warehouseLocatorType\":\"1\",\"CASECONVERSIONRATE\":24.0000,\"mergedBillId\":\"XSDD000012\"},{\"id\":\"958155572383977472\",\"itemId\":\"949411323878445056\",\"warehouseId\":\"901884530611326976\",\"batchId\":\"958153577199702020\",\"batchNum\":\"958153577199702021\",\"qty\":48.0000,\"uom\":null,\"locatorId\":\"894290490223104000\",\"locatorType\":\"0\",\"expiredDate\":\"2024-08-24 00:00:00\",\"productionDate\":\"2022-08-24 00:00:00\",\"shelfLifeDays\":720,\"volume\":120000.0000,\"weight\":null,\"warehouseAreaCode\":\"MJK\",\"pickModel\":\"Device\",\"floorNum\":null,\"locatorLaneCode\":null,\"outIndex\":null,\"pickPieceGroup\":\"\",\"billId\":\"958155530814230528\",\"billDId\":\"958155530893922307\",\"segment3\":null,\"segment4\":null,\"segment5\":null,\"creator\":\"914946946052001792\",\"creatorName\":\"qingniu\",\"gmtCreate\":\"2024-02-22 21:29:16\",\"modifier\":\"EIS\",\"modifierName\":\"EIS\",\"gmtModified\":\"2024-02-22 21:34:58\",\"enterpriseId\":\"900356013474058240\",\"status\":\"1\",\"waveId\":\"958155529149091840\",\"locatorCode\":\"MJKLOC001\",\"manufacturerLotNum\":\"\",\"buildingCode\":null,\"bldgName\":\"建筑物001\",\"bldgId\":\"901884621275402240\",\"moveTaskId\":null,\"type\":0,\"areaCategory\":\"MJK\",\"expiredDateShow\":\"20240824\",\"productionDateShow\":\"20220824\",\"itemPlaceType\":null,\"containerCode\":\"800498\",\"isFunctionRoom\":0,\"containerCodeQty\":2400.0000,\"salespersonName\":null,\"preparedBy\":null,\"remark\":null,\"paymentdaytype\":null,\"warehouseLocatorType\":\"0\",\"CASECONVERSIONRATE\":24.0000,\"mergedBillId\":\"XSDD000012\"},{\"id\":\"958155572270731264\",\"itemId\":\"949411328148246528\",\"warehouseId\":\"901884530611326976\",\"batchId\":\"958153577199702018\",\"batchNum\":\"958153577199702019\",\"qty\":40.0000,\"uom\":null,\"locatorId\":\"894288698064113664\",\"locatorType\":\"1\",\"expiredDate\":\"2024-08-24 00:00:00\",\"productionDate\":\"2022-08-24 00:00:00\",\"shelfLifeDays\":720,\"volume\":48000.0000,\"weight\":null,\"warehouseAreaCode\":\"AGVL\",\"pickModel\":\"Device\",\"floorNum\":0,\"locatorLaneCode\":null,\"outIndex\":0,\"pickPieceGroup\":\"\",\"billId\":\"958155530814230528\",\"billDId\":\"958155530893922305\",\"segment3\":null,\"segment4\":null,\"segment5\":null,\"creator\":\"914946946052001792\",\"creatorName\":\"qingniu\",\"gmtCreate\":\"2024-02-22 21:29:16\",\"modifier\":\"914946946052001792\",\"modifierName\":\"qingniu\",\"gmtModified\":\"2024-02-22 21:29:16\",\"enterpriseId\":\"900356013474058240\",\"status\":\"1\",\"waveId\":\"958155529149091840\",\"locatorCode\":\"AGVLLOCLHQ001\",\"manufacturerLotNum\":\"\",\"buildingCode\":null,\"bldgName\":\"建筑物001\",\"bldgId\":\"901884621275402240\",\"moveTaskId\":null,\"type\":0,\"areaCategory\":\"AGVL\",\"expiredDateShow\":\"20240824\",\"productionDateShow\":\"20220824\",\"itemPlaceType\":null,\"containerCode\":\"N/A\",\"isFunctionRoom\":0,\"containerCodeQty\":50.0000,\"salespersonName\":null,\"preparedBy\":null,\"remark\":null,\"paymentdaytype\":null,\"warehouseLocatorType\":\"1\",\"CASECONVERSIONRATE\":50.0000,\"mergedBillId\":\"XSDD000012\"},{\"id\":\"958155571704500224\",\"itemId\":\"949411328148246528\",\"warehouseId\":\"901884530611326976\",\"batchId\":\"958153577199702018\",\"batchNum\":\"958153577199702019\",\"qty\":50.0000,\"uom\":null,\"locatorId\":\"894289837786533888\",\"locatorType\":\"0\",\"expiredDate\":\"2024-08-24 00:00:00\",\"productionDate\":\"2022-08-24 00:00:00\",\"shelfLifeDays\":720,\"volume\":60000.0000,\"weight\":null,\"warehouseAreaCode\":\"AGVZ\",\"pickModel\":\"Device\",\"floorNum\":null,\"locatorLaneCode\":null,\"outIndex\":null,\"pickPieceGroup\":\"\",\"billId\":\"958155530814230528\",\"billDId\":\"958155530893922305\",\"segment3\":null,\"segment4\":null,\"segment5\":null,\"creator\":\"914946946052001792\",\"creatorName\":\"qingniu\",\"gmtCreate\":\"2024-02-22 21:29:16\",\"modifier\":\"EIS\",\"modifierName\":\"EIS\",\"gmtModified\":\"2024-02-22 21:30:25\",\"enterpriseId\":\"900356013474058240\",\"status\":\"1\",\"waveId\":\"958155529149091840\",\"locatorCode\":\"AGVZLOC001\",\"manufacturerLotNum\":\"\",\"buildingCode\":null,\"bldgName\":\"建筑物001\",\"bldgId\":\"901884621275402240\",\"moveTaskId\":null,\"type\":0,\"areaCategory\":\"AGVZ\",\"expiredDateShow\":\"20240824\",\"productionDateShow\":\"20220824\",\"itemPlaceType\":null,\"containerCode\":\"800499\",\"isFunctionRoom\":0,\"containerCodeQty\":5000.0000,\"salespersonName\":null,\"preparedBy\":null,\"remark\":null,\"paymentdaytype\":null,\"warehouseLocatorType\":\"0\",\"CASECONVERSIONRATE\":50.0000,\"mergedBillId\":\"XSDD000012\"},{\"id\":\"958155572425920512\",\"itemId\":\"949411333454041088\",\"warehouseId\":\"901884530611326976\",\"batchId\":\"958153577203896326\",\"batchNum\":\"958153577203896327\",\"qty\":27.0000,\"uom\":null,\"locatorId\":\"894288698064113664\",\"locatorType\":\"1\",\"expiredDate\":\"2024-08-24 00:00:00\",\"productionDate\":\"2022-08-24 00:00:00\",\"shelfLifeDays\":1080,\"volume\":33750.0000,\"weight\":null,\"warehouseAreaCode\":\"AGVL\",\"pickModel\":\"Device\",\"floorNum\":0,\"locatorLaneCode\":null,\"outIndex\":0,\"pickPieceGroup\":\"\",\"billId\":\"958155530814230528\",\"billDId\":\"958155530893922304\",\"segment3\":null,\"segment4\":null,\"segment5\":null,\"creator\":\"914946946052001792\",\"creatorName\":\"qingniu\",\"gmtCreate\":\"2024-02-22 21:29:16\",\"modifier\":\"914946946052001792\",\"modifierName\":\"qingniu\",\"gmtModified\":\"2024-02-22 21:29:16\",\"enterpriseId\":\"900356013474058240\",\"status\":\"1\",\"waveId\":\"958155529149091840\",\"locatorCode\":\"AGVLLOCLHQ001\",\"manufacturerLotNum\":\"\",\"buildingCode\":null,\"bldgName\":\"建筑物001\",\"bldgId\":\"901884621275402240\",\"moveTaskId\":null,\"type\":0,\"areaCategory\":\"AGVL\",\"expiredDateShow\":\"20240824\",\"productionDateShow\":\"20220824\",\"itemPlaceType\":null,\"containerCode\":\"N/A\",\"isFunctionRoom\":0,\"containerCodeQty\":48.0000,\"salespersonName\":null,\"preparedBy\":null,\"remark\":null,\"paymentdaytype\":null,\"warehouseLocatorType\":\"1\",\"CASECONVERSIONRATE\":48.0000,\"mergedBillId\":\"XSDD000012\"},{\"id\":\"958155572157485056\",\"itemId\":\"949411333454041088\",\"warehouseId\":\"901884530611326976\",\"batchId\":\"958153577203896326\",\"batchNum\":\"958153577203896327\",\"qty\":48.0000,\"uom\":null,\"locatorId\":\"894290490223104000\",\"locatorType\":\"0\",\"expiredDate\":\"2024-08-24 00:00:00\",\"productionDate\":\"2022-08-24 00:00:00\",\"shelfLifeDays\":1080,\"volume\":60000.0000,\"weight\":null,\"warehouseAreaCode\":\"MJK\",\"pickModel\":\"Device\",\"floorNum\":null,\"locatorLaneCode\":null,\"outIndex\":null,\"pickPieceGroup\":\"\",\"billId\":\"958155530814230528\",\"billDId\":\"958155530893922304\",\"segment3\":null,\"segment4\":null,\"segment5\":null,\"creator\":\"914946946052001792\",\"creatorName\":\"qingniu\",\"gmtCreate\":\"2024-02-22 21:29:16\",\"modifier\":\"EIS\",\"modifierName\":\"EIS\",\"gmtModified\":\"2024-02-22 21:35:17\",\"enterpriseId\":\"900356013474058240\",\"status\":\"1\",\"waveId\":\"958155529149091840\",\"locatorCode\":\"MJKLOC001\",\"manufacturerLotNum\":\"\",\"buildingCode\":null,\"bldgName\":\"建筑物001\",\"bldgId\":\"901884621275402240\",\"moveTaskId\":null,\"type\":0,\"areaCategory\":\"MJK\",\"expiredDateShow\":\"20240824\",\"productionDateShow\":\"20220824\",\"itemPlaceType\":null,\"containerCode\":\"800494\",\"isFunctionRoom\":0,\"containerCodeQty\":4800.0000,\"salespersonName\":null,\"preparedBy\":null,\"remark\":null,\"paymentdaytype\":null,\"warehouseLocatorType\":\"0\",\"CASECONVERSIONRATE\":48.0000,\"mergedBillId\":\"XSDD000012\"},{\"id\":\"958155572694355968\",\"itemId\":\"949411304551092224\",\"warehouseId\":\"901884530611326976\",\"batchId\":\"958153577203896324\",\"batchNum\":\"958153577203896325\",\"qty\":200.0000,\"uom\":null,\"locatorId\":\"894289837786533888\",\"locatorType\":\"0\",\"expiredDate\":\"2024-08-24 00:00:00\",\"productionDate\":\"2022-08-24 00:00:00\",\"shelfLifeDays\":720,\"volume\":1500000.0000,\"weight\":null,\"warehouseAreaCode\":\"AGVZ\",\"pickModel\":\"Device\",\"floorNum\":null,\"locatorLaneCode\":null,\"outIndex\":null,\"pickPieceGroup\":\"\",\"billId\":\"958155531028140032\",\"billDId\":\"958155531061694467\",\"segment3\":null,\"segment4\":null,\"segment5\":null,\"creator\":\"914946946052001792\",\"creatorName\":\"qingniu\",\"gmtCreate\":\"2024-02-22 21:29:16\",\"modifier\":\"EIS\",\"modifierName\":\"EIS\",\"gmtModified\":\"2024-02-22 21:30:20\",\"enterpriseId\":\"900356013474058240\",\"status\":\"1\",\"waveId\":\"958155529149091840\",\"locatorCode\":\"AGVZLOC001\",\"manufacturerLotNum\":\"\",\"buildingCode\":null,\"bldgName\":\"建筑物001\",\"bldgId\":\"901884621275402240\",\"moveTaskId\":null,\"type\":0,\"areaCategory\":\"AGVZ\",\"expiredDateShow\":\"20240824\",\"productionDateShow\":\"20220824\",\"itemPlaceType\":null,\"containerCode\":\"800495\",\"isFunctionRoom\":0,\"containerCodeQty\":800.0000,\"salespersonName\":null,\"preparedBy\":null,\"remark\":null,\"paymentdaytype\":null,\"warehouseLocatorType\":\"0\",\"CASECONVERSIONRATE\":8.0000,\"mergedBillId\":\"XSDD000013\"},{\"id\":\"958155573059260416\",\"itemId\":\"949411316488081408\",\"warehouseId\":\"901884530611326976\",\"batchId\":\"958153577203896320\",\"batchNum\":\"958153577203896321\",\"qty\":10.0000,\"uom\":null,\"locatorId\":\"894288698064113664\",\"locatorType\":\"1\",\"expiredDate\":\"2024-08-24 00:00:00\",\"productionDate\":\"2022-08-24 00:00:00\",\"shelfLifeDays\":720,\"volume\":7500.0000,\"weight\":null,\"warehouseAreaCode\":\"AGVL\",\"pickModel\":\"Device\",\"floorNum\":0,\"locatorLaneCode\":null,\"outIndex\":0,\"pickPieceGroup\":\"\",\"billId\":\"958155531028140032\",\"billDId\":\"958155531061694469\",\"segment3\":null,\"segment4\":null,\"segment5\":null,\"creator\":\"914946946052001792\",\"creatorName\":\"qingniu\",\"gmtCreate\":\"2024-02-22 21:29:16\",\"modifier\":\"914946946052001792\",\"modifierName\":\"qingniu\",\"gmtModified\":\"2024-02-22 21:29:16\",\"enterpriseId\":\"900356013474058240\",\"status\":\"1\",\"waveId\":\"958155529149091840\",\"locatorCode\":\"AGVLLOCLHQ001\",\"manufacturerLotNum\":\"\",\"buildingCode\":null,\"bldgName\":\"建筑物001\",\"bldgId\":\"901884621275402240\",\"moveTaskId\":null,\"type\":0,\"areaCategory\":\"AGVL\",\"expiredDateShow\":\"20240824\",\"productionDateShow\":\"20220824\",\"itemPlaceType\":null,\"containerCode\":\"N/A\",\"isFunctionRoom\":0,\"containerCodeQty\":80.0000,\"salespersonName\":null,\"preparedBy\":null,\"remark\":null,\"paymentdaytype\":null,\"warehouseLocatorType\":\"1\",\"CASECONVERSIONRATE\":80.0000,\"mergedBillId\":\"XSDD000013\"},{\"id\":\"958155573004734464\",\"itemId\":\"949411323110887424\",\"warehouseId\":\"901884530611326976\",\"batchId\":\"958153577203896322\",\"batchNum\":\"958153577203896323\",\"qty\":4.0000,\"uom\":null,\"locatorId\":\"894288698064113664\",\"locatorType\":\"1\",\"expiredDate\":\"2024-08-24 00:00:00\",\"productionDate\":\"2022-08-24 00:00:00\",\"shelfLifeDays\":720,\"volume\":5000.0000,\"weight\":null,\"warehouseAreaCode\":\"AGVL\",\"pickModel\":\"Device\",\"floorNum\":0,\"locatorLaneCode\":null,\"outIndex\":0,\"pickPieceGroup\":\"\",\"billId\":\"958155531028140032\",\"billDId\":\"958155531061694464\",\"segment3\":null,\"segment4\":null,\"segment5\":null,\"creator\":\"914946946052001792\",\"creatorName\":\"qingniu\",\"gmtCreate\":\"2024-02-22 21:29:16\",\"modifier\":\"914946946052001792\",\"modifierName\":\"qingniu\",\"gmtModified\":\"2024-02-22 21:29:16\",\"enterpriseId\":\"900356013474058240\",\"status\":\"1\",\"waveId\":\"958155529149091840\",\"locatorCode\":\"AGVLLOCLHQ001\",\"manufacturerLotNum\":\"\",\"buildingCode\":null,\"bldgName\":\"建筑物001\",\"bldgId\":\"901884621275402240\",\"moveTaskId\":null,\"type\":0,\"areaCategory\":\"AGVL\",\"expiredDateShow\":\"20240824\",\"productionDateShow\":\"20220824\",\"itemPlaceType\":null,\"containerCode\":\"N/A\",\"isFunctionRoom\":0,\"containerCodeQty\":48.0000,\"salespersonName\":null,\"preparedBy\":null,\"remark\":null,\"paymentdaytype\":null,\"warehouseLocatorType\":\"1\",\"CASECONVERSIONRATE\":48.0000,\"mergedBillId\":\"XSDD000013\"},{\"id\":\"958155573034094592\",\"itemId\":\"949411323110887424\",\"warehouseId\":\"901884530611326976\",\"batchId\":\"958153577203896322\",\"batchNum\":\"958153577203896323\",\"qty\":96.0000,\"uom\":null,\"locatorId\":\"894290490223104000\",\"locatorType\":\"0\",\"expiredDate\":\"2024-08-24 00:00:00\",\"productionDate\":\"2022-08-24 00:00:00\",\"shelfLifeDays\":720,\"volume\":120000.0000,\"weight\":null,\"warehouseAreaCode\":\"MJK\",\"pickModel\":\"Device\",\"floorNum\":null,\"locatorLaneCode\":null,\"outIndex\":null,\"pickPieceGroup\":\"\",\"billId\":\"958155531028140032\",\"billDId\":\"958155531061694464\",\"segment3\":null,\"segment4\":null,\"segment5\":null,\"creator\":\"914946946052001792\",\"creatorName\":\"qingniu\",\"gmtCreate\":\"2024-02-22 21:29:16\",\"modifier\":\"EIS\",\"modifierName\":\"EIS\",\"gmtModified\":\"2024-02-22 21:35:11\",\"enterpriseId\":\"900356013474058240\",\"status\":\"1\",\"waveId\":\"958155529149091840\",\"locatorCode\":\"MJKLOC001\",\"manufacturerLotNum\":\"\",\"buildingCode\":null,\"bldgName\":\"建筑物001\",\"bldgId\":\"901884621275402240\",\"moveTaskId\":null,\"type\":0,\"areaCategory\":\"MJK\",\"expiredDateShow\":\"20240824\",\"productionDateShow\":\"20220824\",\"itemPlaceType\":null,\"containerCode\":\"800496\",\"isFunctionRoom\":0,\"containerCodeQty\":4800.0000,\"salespersonName\":null,\"preparedBy\":null,\"remark\":null,\"paymentdaytype\":null,\"warehouseLocatorType\":\"0\",\"CASECONVERSIONRATE\":48.0000,\"mergedBillId\":\"XSDD000013\"},{\"id\":\"958155572966985728\",\"itemId\":\"949411323878445056\",\"warehouseId\":\"901884530611326976\",\"batchId\":\"958153577199702020\",\"batchNum\":\"958153577199702021\",\"qty\":120.0000,\"uom\":null,\"locatorId\":\"894290490223104000\",\"locatorType\":\"0\",\"expiredDate\":\"2024-08-24 00:00:00\",\"productionDate\":\"2022-08-24 00:00:00\",\"shelfLifeDays\":720,\"volume\":300000.0000,\"weight\":null,\"warehouseAreaCode\":\"MJK\",\"pickModel\":\"Device\",\"floorNum\":null,\"locatorLaneCode\":null,\"outIndex\":null,\"pickPieceGroup\":\"\",\"billId\":\"958155531028140032\",\"billDId\":\"958155531061694468\",\"segment3\":null,\"segment4\":null,\"segment5\":null,\"creator\":\"914946946052001792\",\"creatorName\":\"qingniu\",\"gmtCreate\":\"2024-02-22 21:29:16\",\"modifier\":\"EIS\",\"modifierName\":\"EIS\",\"gmtModified\":\"2024-02-22 21:34:58\",\"enterpriseId\":\"900356013474058240\",\"status\":\"1\",\"waveId\":\"958155529149091840\",\"locatorCode\":\"MJKLOC001\",\"manufacturerLotNum\":\"\",\"buildingCode\":null,\"bldgName\":\"建筑物001\",\"bldgId\":\"901884621275402240\",\"moveTaskId\":null,\"type\":0,\"areaCategory\":\"MJK\",\"expiredDateShow\":\"20240824\",\"productionDateShow\":\"20220824\",\"itemPlaceType\":null,\"containerCode\":\"800498\",\"isFunctionRoom\":0,\"containerCodeQty\":2400.0000,\"salespersonName\":null,\"preparedBy\":null,\"remark\":null,\"paymentdaytype\":null,\"warehouseLocatorType\":\"0\",\"CASECONVERSIONRATE\":24.0000,\"mergedBillId\":\"XSDD000013\"},{\"id\":\"958155572669190144\",\"itemId\":\"949411328148246528\",\"warehouseId\":\"901884530611326976\",\"batchId\":\"958153577199702018\",\"batchNum\":\"958153577199702019\",\"qty\":50.0000,\"uom\":null,\"locatorId\":\"894289837786533888\",\"locatorType\":\"0\",\"expiredDate\":\"2024-08-24 00:00:00\",\"productionDate\":\"2022-08-24 00:00:00\",\"shelfLifeDays\":720,\"volume\":60000.0000,\"weight\":null,\"warehouseAreaCode\":\"AGVZ\",\"pickModel\":\"Device\",\"floorNum\":null,\"locatorLaneCode\":null,\"outIndex\":null,\"pickPieceGroup\":\"\",\"billId\":\"958155531028140032\",\"billDId\":\"958155531061694466\",\"segment3\":null,\"segment4\":null,\"segment5\":null,\"creator\":\"914946946052001792\",\"creatorName\":\"qingniu\",\"gmtCreate\":\"2024-02-22 21:29:16\",\"modifier\":\"EIS\",\"modifierName\":\"EIS\",\"gmtModified\":\"2024-02-22 21:30:25\",\"enterpriseId\":\"900356013474058240\",\"status\":\"1\",\"waveId\":\"958155529149091840\",\"locatorCode\":\"AGVZLOC001\",\"manufacturerLotNum\":\"\",\"buildingCode\":null,\"bldgName\":\"建筑物001\",\"bldgId\":\"901884621275402240\",\"moveTaskId\":null,\"type\":0,\"areaCategory\":\"AGVZ\",\"expiredDateShow\":\"20240824\",\"productionDateShow\":\"20220824\",\"itemPlaceType\":null,\"containerCode\":\"800499\",\"isFunctionRoom\":0,\"containerCodeQty\":5000.0000,\"salespersonName\":null,\"preparedBy\":null,\"remark\":null,\"paymentdaytype\":null,\"warehouseLocatorType\":\"0\",\"CASECONVERSIONRATE\":50.0000,\"mergedBillId\":\"XSDD000013\"},{\"id\":\"958155573088620544\",\"itemId\":\"949411333454041088\",\"warehouseId\":\"901884530611326976\",\"batchId\":\"958153577203896326\",\"batchNum\":\"958153577203896327\",\"qty\":20.0000,\"uom\":null,\"locatorId\":\"894288698064113664\",\"locatorType\":\"1\",\"expiredDate\":\"2024-08-24 00:00:00\",\"productionDate\":\"2022-08-24 00:00:00\",\"shelfLifeDays\":1080,\"volume\":25000.0000,\"weight\":null,\"warehouseAreaCode\":\"AGVL\",\"pickModel\":\"Device\",\"floorNum\":0,\"locatorLaneCode\":null,\"outIndex\":0,\"pickPieceGroup\":\"\",\"billId\":\"958155531028140032\",\"billDId\":\"958155531061694465\",\"segment3\":null,\"segment4\":null,\"segment5\":null,\"creator\":\"914946946052001792\",\"creatorName\":\"qingniu\",\"gmtCreate\":\"2024-02-22 21:29:16\",\"modifier\":\"914946946052001792\",\"modifierName\":\"qingniu\",\"gmtModified\":\"2024-02-22 21:29:16\",\"enterpriseId\":\"900356013474058240\",\"status\":\"1\",\"waveId\":\"958155529149091840\",\"locatorCode\":\"AGVLLOCLHQ001\",\"manufacturerLotNum\":\"\",\"buildingCode\":null,\"bldgName\":\"建筑物001\",\"bldgId\":\"901884621275402240\",\"moveTaskId\":null,\"type\":0,\"areaCategory\":\"AGVL\",\"expiredDateShow\":\"20240824\",\"productionDateShow\":\"20220824\",\"itemPlaceType\":null,\"containerCode\":\"N/A\",\"isFunctionRoom\":0,\"containerCodeQty\":48.0000,\"salespersonName\":null,\"preparedBy\":null,\"remark\":null,\"paymentdaytype\":null,\"warehouseLocatorType\":\"1\",\"CASECONVERSIONRATE\":48.0000,\"mergedBillId\":\"XSDD000013\"}]";
        return msg;
    }

    @Test
    public void testJdkdConvert() {
        String  msg = "{\"code\":1000,\"data\":{\"needRetry\":false,\"promiseTimeType\":1,\"transType\":1,\"waybillNo\":\"JDV016610444559\"},\"message\":\"成功\",\"mills\":514,\"requestId\":\"5eb45f50-298f-479f-8a4a-f6605ee0971d\",\"success\":true}";
        OmsDoBillHDO omsDoBillHDO = new OmsDoBillHDO();
        omsDoBillHDO.setAttrStr8("JD_QINGNIU_YYKD");
        jdKdFaceOrderHandler.convertResult(JSONObject.parseObject(msg), omsDoBillHDO);

    }

    @Test
    public void filterEisParamsByReplenishmentTest() {
//        String msg = "[{\"billNo\":\"CKD2023102311601\",\"businessType\":\"DO_SO\",\"companyId\":\"XT00001166\",\"companyName\":\"师宗县老百姓大药房连锁有限公司\",\"containerNo\":\"\",\"enterpriseId\":\"891063172566487040\",\"inventoryShortageType\":2,\"isCheck\":\"0\",\"isMaterial\":\"1\",\"isOver\":\"0\",\"itemId\":\"2155036\",\"locNo\":\"AGVL_LOC_LHQ_001\",\"lotId\":\"904352619110207488\",\"originalArea\":\"\",\"ownerId\":\"748963439141064888\",\"packId\":\"UOM00053\",\"priority\":10.0,\"qty\":\"9.0000\",\"str1\":\"1\",\"str2\":\"1\",\"targetArea\":\"\",\"targetLocation\":\"AGVL\",\"taskId\":\"937058113075990528\",\"taskLineId\":\"937058113088000000\",\"waveNo\":\"937058001389490176\",\"wmsLocationCode\":\"AGVL\",\"workType\":\"20\"},{\"billNo\":\"CKD2023102311602\",\"businessType\":\"DO_SO\",\"companyId\":\"XT00001166\",\"companyName\":\"师宗县老百姓大药房连锁有限公司\",\"containerNo\":\"\",\"enterpriseId\":\"891063172566487040\",\"inventoryShortageType\":2,\"isCheck\":\"0\",\"isMaterial\":\"1\",\"isOver\":\"0\",\"itemId\":\"2155036\",\"locNo\":\"AGVL_LOC_LHQ_001\",\"lotId\":\"904352619110207488\",\"originalArea\":\"\",\"ownerId\":\"748963439141064888\",\"packId\":\"UOM00053\",\"priority\":10.0,\"qty\":\"9.0000\",\"str1\":\"1\",\"str2\":\"1\",\"targetArea\":\"\",\"targetLocation\":\"AGVL\",\"taskId\":\"937058113143099392\",\"taskLineId\":\"937058113142525952\",\"waveNo\":\"937058001389490176\",\"wmsLocationCode\":\"AGVL\",\"workType\":\"20\"},{\"billNo\":\"CKD2023102311603\",\"businessType\":\"DO_SO\",\"companyId\":\"XT00001166\",\"companyName\":\"师宗县老百姓大药房连锁有限公司\",\"containerNo\":\"\",\"enterpriseId\":\"891063172566487040\",\"inventoryShortageType\":2,\"isCheck\":\"0\",\"isMaterial\":\"1\",\"isOver\":\"0\",\"itemId\":\"2155036\",\"locNo\":\"AGVL_LOC_LHQ_001\",\"lotId\":\"904352619110207488\",\"originalArea\":\"\",\"ownerId\":\"748963439141064888\",\"packId\":\"UOM00053\",\"priority\":10.0,\"qty\":\"9.0000\",\"str1\":\"1\",\"str2\":\"1\",\"targetArea\":\"\",\"targetLocation\":\"AGVL\",\"taskId\":\"937058113143099394\",\"taskLineId\":\"937058113142525955\",\"waveNo\":\"937058001389490176\",\"wmsLocationCode\":\"AGVL\",\"workType\":\"20\"}]";
//        String msg = "[{\"billNo\":\"XSDD000018\",\"businessType\":\"DO_SO\",\"companyId\":\"949407294465118208\",\"companyName\":\"石家庄吉庆堂大药房\",\"containerNo\":\"\",\"enterpriseId\":\"900356013474058240\",\"inventoryShortageType\":2,\"isCheck\":\"0\",\"isMaterial\":\"1\",\"isOver\":\"0\",\"itemId\":\"sssssylyp001\",\"locNo\":\"AGVL_LOC_LHQ_001\",\"lotId\":\"958062398030352384\",\"originalArea\":\"\",\"ownerId\":\"748963439141064888\",\"packId\":\"sssssylyp001\",\"priority\":99.0,\"qty\":\"2.0000\",\"str1\":\"1\",\"str2\":\"1\",\"targetArea\":\"\",\"targetLocation\":\"AGVL\",\"taskId\":\"958064277142032384\",\"taskLineId\":\"958064277141458944\",\"waveNo\":\"958063666320773120\",\"wmsLocationCode\":\"AGVL\",\"workType\":\"20\"},{\"billNo\":\"XSDD000018\",\"businessType\":\"DO_SO\",\"companyId\":\"949407294465118208\",\"companyName\":\"石家庄吉庆堂大药房\",\"containerNo\":\"\",\"enterpriseId\":\"900356013474058240\",\"inventoryShortageType\":2,\"isCheck\":\"0\",\"isMaterial\":\"1\",\"isOver\":\"0\",\"itemId\":\"sssssylyp001\",\"locNo\":\"AGVZ_LOC_001\",\"lotId\":\"958062398030352384\",\"originalArea\":\"\",\"ownerId\":\"748963439141064888\",\"packId\":\"sssssylyp001\",\"priority\":99.0,\"qty\":\"10.0000\",\"str1\":\"1\",\"str2\":\"1\",\"targetArea\":\"\",\"targetLocation\":\"AGVZ\",\"taskId\":\"958064277142032385\",\"taskLineId\":\"958064277141458947\",\"waveNo\":\"958063666320773120\",\"wmsLocationCode\":\"AGVZ\",\"workType\":\"20\"},{\"billNo\":\"XSDD000019\",\"businessType\":\"DO_SO\",\"companyId\":\"949407265474088960\",\"companyName\":\"思南凰佳诊所\",\"containerNo\":\"\",\"enterpriseId\":\"900356013474058240\",\"inventoryShortageType\":2,\"isCheck\":\"0\",\"isMaterial\":\"1\",\"isOver\":\"0\",\"itemId\":\"sssssylyp001\",\"locNo\":\"AGVL_LOC_LHQ_001\",\"lotId\":\"958062398030352384\",\"originalArea\":\"\",\"ownerId\":\"748963439141064888\",\"packId\":\"sssssylyp001\",\"priority\":99.0,\"qty\":\"3.0000\",\"str1\":\"1\",\"str2\":\"1\",\"targetArea\":\"\",\"targetLocation\":\"AGVL\",\"taskId\":\"958064277142032386\",\"taskLineId\":\"958064277141458948\",\"waveNo\":\"958063666320773120\",\"wmsLocationCode\":\"AGVL\",\"workType\":\"20\"},{\"billNo\":\"XSDD000019\",\"businessType\":\"DO_SO\",\"companyId\":\"949407265474088960\",\"companyName\":\"思南凰佳诊所\",\"containerNo\":\"\",\"enterpriseId\":\"900356013474058240\",\"inventoryShortageType\":2,\"isCheck\":\"0\",\"isMaterial\":\"1\",\"isOver\":\"0\",\"itemId\":\"sssssylyp001\",\"locNo\":\"AGVZ_LOC_001\",\"lotId\":\"958062398030352384\",\"originalArea\":\"\",\"ownerId\":\"748963439141064888\",\"packId\":\"sssssylyp001\",\"priority\":99.0,\"qty\":\"10.0000\",\"str1\":\"1\",\"str2\":\"1\",\"targetArea\":\"\",\"targetLocation\":\"AGVZ\",\"taskId\":\"958064277142032387\",\"taskLineId\":\"958064277141458951\",\"waveNo\":\"958063666320773120\",\"wmsLocationCode\":\"AGVZ\",\"workType\":\"20\"}]";
        String msg = "[{\"billNo\":\"XSDD000226\",\"businessType\":\"DO_SO\",\"companyId\":\"949407265474088960\",\"companyName\":\"思南凰佳诊所\",\"containerNo\":\"\",\"enterpriseId\":\"900356013474058240\",\"inventoryShortageType\":2,\"isCheck\":\"0\",\"isMaterial\":\"1\",\"isOver\":\"0\",\"itemId\":\"ssssslhbh002\",\"locNo\":\"AGVL_LOC_LHQ_001\",\"lotId\":\"959199345918480386\",\"originalArea\":\"\",\"ownerId\":\"748963439141064888\",\"packId\":\"ssssslhbh002\",\"priority\":99.0,\"qty\":\"3.0000\",\"str1\":\"1\",\"str2\":\"1\",\"targetArea\":\"\",\"targetLocation\":\"AGVL\",\"taskId\":\"959200661005324288\",\"taskLineId\":\"959200661008945152\",\"waveNo\":\"959200619539861504\",\"wmsLocationCode\":\"AGVL\",\"workType\":\"20\"},{\"billNo\":\"XSDD000226\",\"businessType\":\"DO_SO\",\"companyId\":\"949407265474088960\",\"companyName\":\"思南凰佳诊所\",\"containerNo\":\"\",\"enterpriseId\":\"900356013474058240\",\"inventoryShortageType\":2,\"isCheck\":\"0\",\"isMaterial\":\"1\",\"isOver\":\"0\",\"itemId\":\"sssssylyp001\",\"locNo\":\"AGVL_LOC_LHQ_001\",\"lotId\":\"959199345914286080\",\"originalArea\":\"\",\"ownerId\":\"748963439141064888\",\"packId\":\"sssssylyp001\",\"priority\":99.0,\"qty\":\"3.0000\",\"str1\":\"1\",\"str2\":\"1\",\"targetArea\":\"\",\"targetLocation\":\"AGVL\",\"taskId\":\"959200661026295808\",\"taskLineId\":\"959200661029916672\",\"waveNo\":\"959200619539861504\",\"wmsLocationCode\":\"AGVL\",\"workType\":\"20\"},{\"billNo\":\"XSDD000226\",\"businessType\":\"DO_SO\",\"companyId\":\"949407265474088960\",\"companyName\":\"思南凰佳诊所\",\"containerNo\":\"\",\"enterpriseId\":\"900356013474058240\",\"inventoryShortageType\":2,\"isCheck\":\"0\",\"isMaterial\":\"1\",\"isOver\":\"0\",\"itemId\":\"sssssyp001\",\"locNo\":\"AGVL_LOC_LHQ_001\",\"lotId\":\"959199345918480388\",\"originalArea\":\"\",\"ownerId\":\"748963439141064888\",\"packId\":\"904060028632305664\",\"priority\":99.0,\"qty\":\"3.0000\",\"str1\":\"1\",\"str2\":\"1\",\"targetArea\":\"\",\"targetLocation\":\"AGVL\",\"taskId\":\"959200661030490112\",\"taskLineId\":\"959200661029916674\",\"waveNo\":\"959200619539861504\",\"wmsLocationCode\":\"AGVL\",\"workType\":\"20\"},{\"billNo\":\"XSDD000226\",\"businessType\":\"DO_SO\",\"companyId\":\"949407265474088960\",\"companyName\":\"思南凰佳诊所\",\"containerNo\":\"\",\"enterpriseId\":\"900356013474058240\",\"inventoryShortageType\":2,\"isCheck\":\"0\",\"isMaterial\":\"1\",\"isOver\":\"0\",\"itemId\":\"sssssyp002\",\"locNo\":\"MJK_LOC_001\",\"lotId\":\"959199345918480384\",\"originalArea\":\"\",\"ownerId\":\"748963439141064888\",\"packId\":\"927962043036864512\",\"priority\":99.0,\"qty\":\"20.0000\",\"str1\":\"1\",\"str2\":\"1\",\"targetArea\":\"\",\"targetLocation\":\"MJK\",\"taskId\":\"959200661030490113\",\"taskLineId\":\"959200661029916676\",\"waveNo\":\"959200619539861504\",\"wmsLocationCode\":\"MJZ\",\"workType\":\"20\"}]";
        List<OutBoundRequestItemVO> list = JSONObject.parseArray(msg, OutBoundRequestItemVO.class);
        List<OutBoundRequestItemVO> outParams = Lists.newArrayList();
        List<OutBoundRequestItemVO> eisReplenishmentParams = Lists.newArrayList();
        service.filterEisParamsByReplenishment("959200619539861504", list, outParams, eisReplenishmentParams);
//        Assert.assertEquals(outParams.size(), 3);
    }

    @Test
    public void addEisParamsByWlk() {
        List<OutBoundRequestItemVO> list = Lists.newArrayList();
        service.addEisParamsByWlk("962446222436732928", list);
        log.info("addEisParamsByWlk:{}", JSONObject.toJSONString(list));
    }

    @Test
    public void generatePickTasksByDevice() {
        service.generatePickTasksByDevice("962446222436732928", "900356013474058240", "901884530611326976");
    }

    @Test
    public void filterEisParams() {
        String waveId = "967897099528179712";
        String msg = "[{\"billNo\":\"CKD202404290949\",\"businessType\":\"DO_SO\",\"companyId\":\"XT00001166\",\"companyName\":\"师宗县老百姓大药房连锁有限公司\",\"containerNo\":\"\",\"enterpriseId\":\"900356013474058240\",\"inventoryShortageType\":2,\"isCheck\":\"0\",\"isMaterial\":\"1\",\"isOver\":\"0\",\"itemId\":\"ssssslhyp001\",\"locNo\":\"AGVL_LOC_LHQ_001\",\"lotId\":\"982418542374817792\",\"originalArea\":\"\",\"ownerId\":\"748963439141064888\",\"packId\":\"ssssslhyp001\",\"priority\":1,\"qty\":\"2.0000\",\"str1\":\"0\",\"str2\":\"1\",\"targetArea\":\"\",\"targetLocation\":\"AGVL\",\"taskId\":\"982419694227738624\",\"taskLineId\":\"982419694227165184\",\"waveNo\":\"982419500555177984\",\"wmsLocationCode\":\"AGVL\",\"workType\":\"20\"},{\"billNo\":\"CKD202404290950\",\"businessType\":\"DO_SO\",\"companyId\":\"XT00001166\",\"companyName\":\"师宗县老百姓大药房连锁有限公司\",\"containerNo\":\"\",\"enterpriseId\":\"900356013474058240\",\"inventoryShortageType\":2,\"isCheck\":\"0\",\"isMaterial\":\"1\",\"isOver\":\"0\",\"itemId\":\"ssssslhyp001\",\"locNo\":\"AGVL_LOC_LHQ_001\",\"lotId\":\"982418542374817792\",\"originalArea\":\"\",\"ownerId\":\"748963439141064888\",\"packId\":\"ssssslhyp001\",\"priority\":1,\"qty\":\"8.0000\",\"str1\":\"0\",\"str2\":\"1\",\"targetArea\":\"\",\"targetLocation\":\"AGVL\",\"taskId\":\"982419694227738626\",\"taskLineId\":\"982419694227165189\",\"waveNo\":\"982419500555177984\",\"wmsLocationCode\":\"AGVL\",\"workType\":\"20\"},{\"billNo\":\"CKD202404290949\",\"businessType\":\"DO_SO\",\"companyId\":\"XT00001166\",\"companyName\":\"师宗县老百姓大药房连锁有限公司\",\"containerNo\":\"\",\"enterpriseId\":\"900356013474058240\",\"inventoryShortageType\":2,\"isCheck\":\"0\",\"isMaterial\":\"1\",\"isOver\":\"0\",\"itemId\":\"ssssslhyp002\",\"locNo\":\"AGVL_LOC_LHQ_001\",\"lotId\":\"982418542379012096\",\"originalArea\":\"\",\"ownerId\":\"748963439141064888\",\"packId\":\"ssssslhyp002\",\"priority\":1,\"qty\":\"3.0000\",\"str1\":\"0\",\"str2\":\"1\",\"targetArea\":\"\",\"targetLocation\":\"AGVL\",\"taskId\":\"982419694227738625\",\"taskLineId\":\"982419694227165187\",\"waveNo\":\"982419500555177984\",\"wmsLocationCode\":\"AGVL\",\"workType\":\"20\"},{\"billNo\":\"CKD202404290950\",\"businessType\":\"DO_SO\",\"companyId\":\"XT00001166\",\"companyName\":\"师宗县老百姓大药房连锁有限公司\",\"containerNo\":\"\",\"enterpriseId\":\"900356013474058240\",\"inventoryShortageType\":2,\"isCheck\":\"0\",\"isMaterial\":\"1\",\"isOver\":\"0\",\"itemId\":\"ssssslhyp002\",\"locNo\":\"AGVL_LOC_LHQ_001\",\"lotId\":\"982418542379012096\",\"originalArea\":\"\",\"ownerId\":\"748963439141064888\",\"packId\":\"ssssslhyp002\",\"priority\":1,\"qty\":\"7.0000\",\"str1\":\"0\",\"str2\":\"1\",\"targetArea\":\"\",\"targetLocation\":\"AGVL\",\"taskId\":\"982419694227738627\",\"taskLineId\":\"982419694227165192\",\"waveNo\":\"982419500555177984\",\"wmsLocationCode\":\"AGVL\",\"workType\":\"20\"},{\"billNo\":\"982419690401959936\",\"businessType\":\"INV_RTM\",\"companyId\":\"XT00001166\",\"companyName\":\"师宗县老百姓大药房连锁有限公司\",\"containerNo\":\"\",\"enterpriseId\":\"900356013474058240\",\"inventoryShortageType\":2,\"isCheck\":\"0\",\"isMaterial\":\"1\",\"isOver\":\"0\",\"itemId\":\"ssssslhyp001\",\"locNo\":\"MJK_LOC_001\",\"lotId\":\"982418542374817792\",\"originalArea\":\"\",\"ownerId\":\"748963439141064888\",\"packId\":\"ssssslhyp001\",\"priority\":10,\"qty\":\"10.0000\",\"str1\":\"0\",\"str2\":\"0\",\"targetArea\":\"\",\"targetLocation\":\"AGVL\",\"taskId\":\"982419690401959936\",\"taskLineId\":\"982419690435514368\",\"waveNo\":\"982419500555177984\",\"wmsLocationCode\":\"MJZ\",\"workType\":\"30\"},{\"billNo\":\"982419690401959936\",\"businessType\":\"INV_RTM\",\"companyId\":\"XT00001166\",\"companyName\":\"师宗县老百姓大药房连锁有限公司\",\"containerNo\":\"\",\"enterpriseId\":\"900356013474058240\",\"inventoryShortageType\":2,\"isCheck\":\"0\",\"isMaterial\":\"1\",\"isOver\":\"0\",\"itemId\":\"ssssslhyp002\",\"locNo\":\"MJK_LOC_001\",\"lotId\":\"982418542379012096\",\"originalArea\":\"\",\"ownerId\":\"748963439141064888\",\"packId\":\"ssssslhyp002\",\"priority\":10,\"qty\":\"10.0000\",\"str1\":\"0\",\"str2\":\"0\",\"targetArea\":\"\",\"targetLocation\":\"AGVL\",\"taskId\":\"982419690401959936\",\"taskLineId\":\"982419690435514369\",\"waveNo\":\"982419500555177984\",\"wmsLocationCode\":\"MJZ\",\"workType\":\"30\"},{\"billNo\":\"CKD202404290950\",\"businessType\":\"DO_SO\",\"companyId\":\"XT00001166\",\"companyName\":\"师宗县老百姓大药房连锁有限公司\",\"containerNo\":\"N/A\",\"enterpriseId\":\"900356013474058240\",\"inventoryShortageType\":2,\"isCheck\":\"0\",\"isMaterial\":\"2\",\"isOver\":\"0\",\"itemId\":\"ssssswl001\",\"locNo\":\"WLK-20230921\",\"lotId\":\"982418770809196544\",\"originalArea\":\"\",\"ownerId\":\"748963439141064888\",\"packId\":\"0\",\"priority\":1,\"qty\":\"20.0000\",\"str1\":\"0\",\"str2\":\"1\",\"targetArea\":\"\",\"targetLocation\":\"WLK\",\"taskId\":\"982419693971886082\",\"taskLineId\":\"982419693971886083\",\"waveNo\":\"982419500555177984\",\"wmsLocationCode\":\"AGVL\",\"workType\":\"20\"},{\"billNo\":\"CKD202404290949\",\"businessType\":\"DO_SO\",\"companyId\":\"XT00001166\",\"companyName\":\"师宗县老百姓大药房连锁有限公司\",\"containerNo\":\"N/A\",\"enterpriseId\":\"900356013474058240\",\"inventoryShortageType\":2,\"isCheck\":\"0\",\"isMaterial\":\"2\",\"isOver\":\"0\",\"itemId\":\"ssssswl001\",\"locNo\":\"WLK-20230921\",\"lotId\":\"982418770809196544\",\"originalArea\":\"\",\"ownerId\":\"748963439141064888\",\"packId\":\"0\",\"priority\":1,\"qty\":\"10.0000\",\"str1\":\"0\",\"str2\":\"1\",\"targetArea\":\"\",\"targetLocation\":\"WLK\",\"taskId\":\"982419693971886080\",\"taskLineId\":\"982419693971886081\",\"waveNo\":\"982419500555177984\",\"wmsLocationCode\":\"AGVL\",\"workType\":\"20\"}]";
        String msg2 = "[{\"move_task_id\":\"967897185268715520\",\"warehouse_id\":\"901884530611326976\",\"status\":\"2\",\"waves_id\":null,\"cargo_owner_id\":\"748963439141064888\",\"item_id\":\"963581797176840192\",\"batch_id\":\"967122280951975936\",\"batch_num\":\"967122280968753152\",\"manufacturer_lot_num\":\"1\",\"qty\":24.0000,\"uom\":\"瓶\",\"src_warehouse_locator_id\":\"894290490223104000\",\"src_warehouse_locator_num\":\"MJK_LOC_001\",\"src_warehouse_area_id\":\"893909460186173440\",\"src_warehouse_area_num\":\"MJK\",\"src_warehouse_locator_type\":\"0\",\"dest_warehouse_locator_id\":\"894288698064113664\",\"dest_warehouse_locator_num\":\"AGVL_LOC_LHQ_001\",\"dest_warehouse_area_id\":\"893910231376072704\",\"dest_warehouse_area_num\":\"AGVL\",\"dest_warehouse_locator_type\":\"1\",\"pick_rule\":null,\"creator\":null,\"creator_name\":null,\"gmt_create\":\"2024-03-20 18:38:57\",\"modifier\":\"900356014887538688\",\"modifier_name\":\"青牛WMS\",\"gmt_modified\":\"2024-03-20 19:02:07\",\"enterprise_id\":\"900356013474058240\",\"bill_id\":\"967897182151774208\",\"bldg_name\":null,\"bldg_code\":null,\"bldg_id\":\"901884621275402240\",\"move_type\":\"4\",\"conversion_rate\":24.0000,\"bill_d_id\":\"967897182273409024\",\"src_warehouse_area_category\":\"MJK\",\"dest_warehouse_area_category\":\"AGVL\",\"header_id\":\"967897182151774208\",\"detail_id\":\"967897182273409024\",\"instore_worker_name\":null,\"outstore_worker_name\":null,\"src_floor\":null,\"dest_floor\":null,\"src_item_place_type\":null,\"dest_item_place_type\":null},{\"move_task_id\":\"967897185616842752\",\"warehouse_id\":\"901884530611326976\",\"status\":\"2\",\"waves_id\":null,\"cargo_owner_id\":\"748963439141064888\",\"item_id\":\"963581799026528256\",\"batch_id\":\"967894179906719744\",\"batch_num\":\"967894179906719745\",\"manufacturer_lot_num\":\"20240101\",\"qty\":24.0000,\"uom\":\"瓶\",\"src_warehouse_locator_id\":\"894289837786533888\",\"src_warehouse_locator_num\":\"AGVZ_LOC_001\",\"src_warehouse_area_id\":\"893909711672446976\",\"src_warehouse_area_num\":\"AGVZ\",\"src_warehouse_locator_type\":\"0\",\"dest_warehouse_locator_id\":\"894288698064113664\",\"dest_warehouse_locator_num\":\"AGVL_LOC_LHQ_001\",\"dest_warehouse_area_id\":\"893910231376072704\",\"dest_warehouse_area_num\":\"AGVL\",\"dest_warehouse_locator_type\":\"1\",\"pick_rule\":null,\"creator\":null,\"creator_name\":null,\"gmt_create\":\"2024-03-20 18:38:57\",\"modifier\":\"900356014887538688\",\"modifier_name\":\"青牛WMS\",\"gmt_modified\":\"2024-03-20 19:44:06\",\"enterprise_id\":\"900356013474058240\",\"bill_id\":\"967897182151774208\",\"bldg_name\":null,\"bldg_code\":null,\"bldg_id\":\"901884621275402240\",\"move_type\":\"4\",\"conversion_rate\":24.0000,\"bill_d_id\":\"967897182273409025\",\"src_warehouse_area_category\":\"AGVZ\",\"dest_warehouse_area_category\":\"AGVL\",\"header_id\":\"967897182151774208\",\"detail_id\":\"967897182273409025\",\"instore_worker_name\":null,\"outstore_worker_name\":null,\"src_floor\":null,\"dest_floor\":0,\"src_item_place_type\":null,\"dest_item_place_type\":null},{\"move_task_id\":\"967897185948192768\",\"warehouse_id\":\"901884530611326976\",\"status\":\"2\",\"waves_id\":null,\"cargo_owner_id\":\"748963439141064888\",\"item_id\":\"963581788045840384\",\"batch_id\":\"967526532060942336\",\"batch_num\":\"967526532060942337\",\"manufacturer_lot_num\":\"1\",\"qty\":24.0000,\"uom\":\"瓶\",\"src_warehouse_locator_id\":\"894289837786533888\",\"src_warehouse_locator_num\":\"AGVZ_LOC_001\",\"src_warehouse_area_id\":\"893909711672446976\",\"src_warehouse_area_num\":\"AGVZ\",\"src_warehouse_locator_type\":\"0\",\"dest_warehouse_locator_id\":\"894288698064113664\",\"dest_warehouse_locator_num\":\"AGVL_LOC_LHQ_001\",\"dest_warehouse_area_id\":\"893910231376072704\",\"dest_warehouse_area_num\":\"AGVL\",\"dest_warehouse_locator_type\":\"1\",\"pick_rule\":null,\"creator\":null,\"creator_name\":null,\"gmt_create\":\"2024-03-20 18:38:57\",\"modifier\":\"900356014887538688\",\"modifier_name\":\"青牛WMS\",\"gmt_modified\":\"2024-03-20 18:42:32\",\"enterprise_id\":\"900356013474058240\",\"bill_id\":\"967897182151774208\",\"bldg_name\":null,\"bldg_code\":null,\"bldg_id\":\"901884621275402240\",\"move_type\":\"4\",\"conversion_rate\":24.0000,\"bill_d_id\":\"967897182273409026\",\"src_warehouse_area_category\":\"AGVZ\",\"dest_warehouse_area_category\":\"AGVL\",\"header_id\":\"967897182151774208\",\"detail_id\":\"967897182273409026\",\"instore_worker_name\":null,\"outstore_worker_name\":null,\"src_floor\":null,\"dest_floor\":null,\"src_item_place_type\":null,\"dest_item_place_type\":null},{\"move_task_id\":\"967897186271154176\",\"warehouse_id\":\"901884530611326976\",\"status\":\"0\",\"waves_id\":null,\"cargo_owner_id\":\"748963439141064888\",\"item_id\":\"963581799026528256\",\"batch_id\":\"967894179906719744\",\"batch_num\":\"967894179906719745\",\"manufacturer_lot_num\":\"20240101\",\"qty\":24.0000,\"uom\":\"瓶\",\"src_warehouse_locator_id\":\"894289837786533888\",\"src_warehouse_locator_num\":\"AGVZ_LOC_001\",\"src_warehouse_area_id\":\"893909711672446976\",\"src_warehouse_area_num\":\"AGVZ\",\"src_warehouse_locator_type\":\"0\",\"dest_warehouse_locator_id\":\"894288698064113664\",\"dest_warehouse_locator_num\":\"AGVL_LOC_LHQ_001\",\"dest_warehouse_area_id\":\"893910231376072704\",\"dest_warehouse_area_num\":\"AGVL\",\"dest_warehouse_locator_type\":\"1\",\"pick_rule\":null,\"creator\":null,\"creator_name\":null,\"gmt_create\":\"2024-03-20 18:38:57\",\"modifier\":null,\"modifier_name\":null,\"gmt_modified\":null,\"enterprise_id\":\"900356013474058240\",\"bill_id\":\"967897182151774208\",\"bldg_name\":null,\"bldg_code\":null,\"bldg_id\":\"901884621275402240\",\"move_type\":\"4\",\"conversion_rate\":24.0000,\"bill_d_id\":\"967897182273409027\",\"src_warehouse_area_category\":\"AGVZ\",\"dest_warehouse_area_category\":\"AGVL\",\"header_id\":\"967897182151774208\",\"detail_id\":\"967897182273409027\",\"instore_worker_name\":null,\"outstore_worker_name\":null,\"src_floor\":null,\"dest_floor\":0,\"src_item_place_type\":null,\"dest_item_place_type\":null},{\"move_task_id\":\"967897186594115584\",\"warehouse_id\":\"901884530611326976\",\"status\":\"0\",\"waves_id\":null,\"cargo_owner_id\":\"748963439141064888\",\"item_id\":\"963581797176840192\",\"batch_id\":\"967122280951975936\",\"batch_num\":\"967122280968753152\",\"manufacturer_lot_num\":\"1\",\"qty\":24.0000,\"uom\":\"瓶\",\"src_warehouse_locator_id\":\"894290490223104000\",\"src_warehouse_locator_num\":\"MJK_LOC_001\",\"src_warehouse_area_id\":\"893909460186173440\",\"src_warehouse_area_num\":\"MJK\",\"src_warehouse_locator_type\":\"0\",\"dest_warehouse_locator_id\":\"894288698064113664\",\"dest_warehouse_locator_num\":\"AGVL_LOC_LHQ_001\",\"dest_warehouse_area_id\":\"893910231376072704\",\"dest_warehouse_area_num\":\"AGVL\",\"dest_warehouse_locator_type\":\"1\",\"pick_rule\":null,\"creator\":null,\"creator_name\":null,\"gmt_create\":\"2024-03-20 18:38:57\",\"modifier\":null,\"modifier_name\":null,\"gmt_modified\":null,\"enterprise_id\":\"900356013474058240\",\"bill_id\":\"967897182151774208\",\"bldg_name\":null,\"bldg_code\":null,\"bldg_id\":\"901884621275402240\",\"move_type\":\"4\",\"conversion_rate\":24.0000,\"bill_d_id\":\"967897182273409028\",\"src_warehouse_area_category\":\"MJK\",\"dest_warehouse_area_category\":\"AGVL\",\"header_id\":\"967897182151774208\",\"detail_id\":\"967897182273409028\",\"instore_worker_name\":null,\"outstore_worker_name\":null,\"src_floor\":null,\"dest_floor\":null,\"src_item_place_type\":null,\"dest_item_place_type\":null},{\"move_task_id\":\"967897187034517504\",\"warehouse_id\":\"901884530611326976\",\"status\":\"0\",\"waves_id\":null,\"cargo_owner_id\":\"748963439141064888\",\"item_id\":\"963581788045840384\",\"batch_id\":\"967526532060942336\",\"batch_num\":\"967526532060942337\",\"manufacturer_lot_num\":\"1\",\"qty\":24.0000,\"uom\":\"瓶\",\"src_warehouse_locator_id\":\"894289837786533888\",\"src_warehouse_locator_num\":\"AGVZ_LOC_001\",\"src_warehouse_area_id\":\"893909711672446976\",\"src_warehouse_area_num\":\"AGVZ\",\"src_warehouse_locator_type\":\"0\",\"dest_warehouse_locator_id\":\"894288698064113664\",\"dest_warehouse_locator_num\":\"AGVL_LOC_LHQ_001\",\"dest_warehouse_area_id\":\"893910231376072704\",\"dest_warehouse_area_num\":\"AGVL\",\"dest_warehouse_locator_type\":\"1\",\"pick_rule\":null,\"creator\":null,\"creator_name\":null,\"gmt_create\":\"2024-03-20 18:38:57\",\"modifier\":null,\"modifier_name\":null,\"gmt_modified\":null,\"enterprise_id\":\"900356013474058240\",\"bill_id\":\"967897182151774208\",\"bldg_name\":null,\"bldg_code\":null,\"bldg_id\":\"901884621275402240\",\"move_type\":\"4\",\"conversion_rate\":24.0000,\"bill_d_id\":\"967897182273409029\",\"src_warehouse_area_category\":\"AGVZ\",\"dest_warehouse_area_category\":\"AGVL\",\"header_id\":\"967897182151774208\",\"detail_id\":\"967897182273409029\",\"instore_worker_name\":null,\"outstore_worker_name\":null,\"src_floor\":null,\"dest_floor\":null,\"src_item_place_type\":null,\"dest_item_place_type\":null},{\"move_task_id\":\"967897187365867520\",\"warehouse_id\":\"901884530611326976\",\"status\":\"0\",\"waves_id\":null,\"cargo_owner_id\":\"748963439141064888\",\"item_id\":\"963581799026528256\",\"batch_id\":\"967893893746135040\",\"batch_num\":\"967893893746135041\",\"manufacturer_lot_num\":\"20240320\",\"qty\":24.0000,\"uom\":\"瓶\",\"src_warehouse_locator_id\":\"894289837786533888\",\"src_warehouse_locator_num\":\"AGVZ_LOC_001\",\"src_warehouse_area_id\":\"893909711672446976\",\"src_warehouse_area_num\":\"AGVZ\",\"src_warehouse_locator_type\":\"0\",\"dest_warehouse_locator_id\":\"894288698064113664\",\"dest_warehouse_locator_num\":\"AGVL_LOC_LHQ_001\",\"dest_warehouse_area_id\":\"893910231376072704\",\"dest_warehouse_area_num\":\"AGVL\",\"dest_warehouse_locator_type\":\"1\",\"pick_rule\":null,\"creator\":null,\"creator_name\":null,\"gmt_create\":\"2024-03-20 18:38:57\",\"modifier\":null,\"modifier_name\":null,\"gmt_modified\":null,\"enterprise_id\":\"900356013474058240\",\"bill_id\":\"967897182151774208\",\"bldg_name\":null,\"bldg_code\":null,\"bldg_id\":\"901884621275402240\",\"move_type\":\"4\",\"conversion_rate\":24.0000,\"bill_d_id\":\"967897182273409030\",\"src_warehouse_area_category\":\"AGVZ\",\"dest_warehouse_area_category\":\"AGVL\",\"header_id\":\"967897182151774208\",\"detail_id\":\"967897182273409030\",\"instore_worker_name\":null,\"outstore_worker_name\":null,\"src_floor\":null,\"dest_floor\":0,\"src_item_place_type\":null,\"dest_item_place_type\":null},{\"move_task_id\":\"967897187722383360\",\"warehouse_id\":\"901884530611326976\",\"status\":\"0\",\"waves_id\":null,\"cargo_owner_id\":\"748963439141064888\",\"item_id\":\"963581799026528256\",\"batch_id\":\"967893893746135040\",\"batch_num\":\"967893893746135041\",\"manufacturer_lot_num\":\"20240320\",\"qty\":24.0000,\"uom\":\"瓶\",\"src_warehouse_locator_id\":\"894289837786533888\",\"src_warehouse_locator_num\":\"AGVZ_LOC_001\",\"src_warehouse_area_id\":\"893909711672446976\",\"src_warehouse_area_num\":\"AGVZ\",\"src_warehouse_locator_type\":\"0\",\"dest_warehouse_locator_id\":\"894288698064113664\",\"dest_warehouse_locator_num\":\"AGVL_LOC_LHQ_001\",\"dest_warehouse_area_id\":\"893910231376072704\",\"dest_warehouse_area_num\":\"AGVL\",\"dest_warehouse_locator_type\":\"1\",\"pick_rule\":null,\"creator\":null,\"creator_name\":null,\"gmt_create\":\"2024-03-20 18:38:57\",\"modifier\":null,\"modifier_name\":null,\"gmt_modified\":null,\"enterprise_id\":\"900356013474058240\",\"bill_id\":\"967897182151774208\",\"bldg_name\":null,\"bldg_code\":null,\"bldg_id\":\"901884621275402240\",\"move_type\":\"4\",\"conversion_rate\":24.0000,\"bill_d_id\":\"967897182273409031\",\"src_warehouse_area_category\":\"AGVZ\",\"dest_warehouse_area_category\":\"AGVL\",\"header_id\":\"967897182151774208\",\"detail_id\":\"967897182273409031\",\"instore_worker_name\":null,\"outstore_worker_name\":null,\"src_floor\":null,\"dest_floor\":0,\"src_item_place_type\":null,\"dest_item_place_type\":null}]";
        String msg3 = "[{\"ID\":\"967897184387911680\",\"BILL_ID\":\"967897100308320256\",\"LINE_BILL_ID\":\"967897100329291778\",\"SRC_NO\":null,\"MOVE_BILL_ID\":\"967897182151774208\",\"REF_BILL_ID\":\"967897182151774208\",\"REF_LINE_BILL_ID\":\"967897182273409024\",\"REF_QUANTITY\":12.0000,\"GMT_CREATE\":\"2024-03-20 00:00:00\",\"BILL_TYPE\":null,\"REF_BILL_TYPE\":null,\"SRC_CODE\":\"XSDD011281\",\"WAVE_ID\":\"967897099528179712\",\"MOVE_TASK_ID\":\"967897185268715520\"},{\"ID\":\"967897184459214848\",\"BILL_ID\":\"967897101595971584\",\"LINE_BILL_ID\":\"967897101612748800\",\"SRC_NO\":null,\"MOVE_BILL_ID\":\"967897182151774208\",\"REF_BILL_ID\":\"967897182151774208\",\"REF_LINE_BILL_ID\":\"967897182273409025\",\"REF_QUANTITY\":4.0000,\"GMT_CREATE\":\"2024-03-20 00:00:00\",\"BILL_TYPE\":null,\"REF_BILL_TYPE\":null,\"SRC_CODE\":\"XSDD011296\",\"WAVE_ID\":\"967897099528179712\",\"MOVE_TASK_ID\":\"967897185616842752\"},{\"ID\":\"967897184459214852\",\"BILL_ID\":\"967897101688246272\",\"LINE_BILL_ID\":\"967897101709217793\",\"SRC_NO\":null,\"MOVE_BILL_ID\":\"967897182151774208\",\"REF_BILL_ID\":\"967897182151774208\",\"REF_LINE_BILL_ID\":\"967897182273409026\",\"REF_QUANTITY\":22.0000,\"GMT_CREATE\":\"2024-03-20 00:00:00\",\"BILL_TYPE\":null,\"REF_BILL_TYPE\":null,\"SRC_CODE\":\"XSDD011297\",\"WAVE_ID\":\"967897099528179712\",\"MOVE_TASK_ID\":\"967897185948192768\"},{\"ID\":\"967897184459214853\",\"BILL_ID\":\"967897100408983552\",\"LINE_BILL_ID\":\"967897100429955072\",\"SRC_NO\":null,\"MOVE_BILL_ID\":\"967897182151774208\",\"REF_BILL_ID\":\"967897182151774208\",\"REF_LINE_BILL_ID\":\"967897182273409027\",\"REF_QUANTITY\":12.0000,\"GMT_CREATE\":\"2024-03-20 00:00:00\",\"BILL_TYPE\":null,\"REF_BILL_TYPE\":null,\"SRC_CODE\":\"XSDD011282\",\"WAVE_ID\":\"967897099528179712\",\"MOVE_TASK_ID\":\"967897186271154176\"},{\"ID\":\"967897184459214854\",\"BILL_ID\":\"967897100115382272\",\"LINE_BILL_ID\":\"967897100132159490\",\"SRC_NO\":null,\"MOVE_BILL_ID\":\"967897182151774208\",\"REF_BILL_ID\":\"967897182151774208\",\"REF_LINE_BILL_ID\":\"967897182273409028\",\"REF_QUANTITY\":12.0000,\"GMT_CREATE\":\"2024-03-20 00:00:00\",\"BILL_TYPE\":null,\"REF_BILL_TYPE\":null,\"SRC_CODE\":\"XSDD011279\",\"WAVE_ID\":\"967897099528179712\",\"MOVE_TASK_ID\":\"967897186594115584\"},{\"ID\":\"967897184463409154\",\"BILL_ID\":\"967897101310758912\",\"LINE_BILL_ID\":\"967897101331730433\",\"SRC_NO\":null,\"MOVE_BILL_ID\":\"967897182151774208\",\"REF_BILL_ID\":\"967897182151774208\",\"REF_LINE_BILL_ID\":\"967897182273409029\",\"REF_QUANTITY\":10.0000,\"GMT_CREATE\":\"2024-03-20 00:00:00\",\"BILL_TYPE\":null,\"REF_BILL_TYPE\":null,\"SRC_CODE\":\"XSDD011290\",\"WAVE_ID\":\"967897099528179712\",\"MOVE_TASK_ID\":\"967897187034517504\"},{\"ID\":\"967897184463409155\",\"BILL_ID\":\"967897101784715264\",\"LINE_BILL_ID\":\"967897101805686784\",\"SRC_NO\":null,\"MOVE_BILL_ID\":\"967897182151774208\",\"REF_BILL_ID\":\"967897182151774208\",\"REF_LINE_BILL_ID\":\"967897182273409030\",\"REF_QUANTITY\":16.0000,\"GMT_CREATE\":\"2024-03-20 00:00:00\",\"BILL_TYPE\":null,\"REF_BILL_TYPE\":null,\"SRC_CODE\":\"XSDD011298\",\"WAVE_ID\":\"967897099528179712\",\"MOVE_TASK_ID\":\"967897187365867520\"},{\"ID\":\"967897184463409157\",\"BILL_ID\":\"967897100539006976\",\"LINE_BILL_ID\":\"967897100559978496\",\"SRC_NO\":null,\"MOVE_BILL_ID\":\"967897182151774208\",\"REF_BILL_ID\":\"967897182151774208\",\"REF_LINE_BILL_ID\":\"967897182273409031\",\"REF_QUANTITY\":12.0000,\"GMT_CREATE\":\"2024-03-20 00:00:00\",\"BILL_TYPE\":null,\"REF_BILL_TYPE\":null,\"SRC_CODE\":\"XSDD011283\",\"WAVE_ID\":\"967897099528179712\",\"MOVE_TASK_ID\":\"967897187722383360\"}]";
        String msg4 = "[{\"ID\":\"967897184387911680\",\"BILL_ID\":\"967897100308320256\",\"LINE_BILL_ID\":\"967897100329291778\",\"SRC_NO\":null,\"MOVE_BILL_ID\":\"967897182151774208\",\"REF_BILL_ID\":\"967897182151774208\",\"REF_LINE_BILL_ID\":\"967897182273409024\",\"REF_QUANTITY\":12.0000,\"GMT_CREATE\":\"2024-03-20 00:00:00\",\"BILL_TYPE\":null,\"REF_BILL_TYPE\":null,\"SRC_CODE\":\"XSDD011281\",\"WAVE_ID\":\"967897099528179712\",\"MOVE_TASK_ID\":\"967897185268715520\"},{\"ID\":\"967897184459214848\",\"BILL_ID\":\"967897101595971584\",\"LINE_BILL_ID\":\"967897101612748800\",\"SRC_NO\":null,\"MOVE_BILL_ID\":\"967897182151774208\",\"REF_BILL_ID\":\"967897182151774208\",\"REF_LINE_BILL_ID\":\"967897182273409025\",\"REF_QUANTITY\":4.0000,\"GMT_CREATE\":\"2024-03-20 00:00:00\",\"BILL_TYPE\":null,\"REF_BILL_TYPE\":null,\"SRC_CODE\":\"XSDD011296\",\"WAVE_ID\":\"967897099528179712\",\"MOVE_TASK_ID\":\"967897185616842752\"},{\"ID\":\"967897184459214852\",\"BILL_ID\":\"967897101688246272\",\"LINE_BILL_ID\":\"967897101709217793\",\"SRC_NO\":null,\"MOVE_BILL_ID\":\"967897182151774208\",\"REF_BILL_ID\":\"967897182151774208\",\"REF_LINE_BILL_ID\":\"967897182273409026\",\"REF_QUANTITY\":22.0000,\"GMT_CREATE\":\"2024-03-20 00:00:00\",\"BILL_TYPE\":null,\"REF_BILL_TYPE\":null,\"SRC_CODE\":\"XSDD011297\",\"WAVE_ID\":\"967897099528179712\",\"MOVE_TASK_ID\":\"967897185948192768\"},{\"ID\":\"967897184459214853\",\"BILL_ID\":\"967897100408983552\",\"LINE_BILL_ID\":\"967897100429955072\",\"SRC_NO\":null,\"MOVE_BILL_ID\":\"967897182151774208\",\"REF_BILL_ID\":\"967897182151774208\",\"REF_LINE_BILL_ID\":\"967897182273409027\",\"REF_QUANTITY\":12.0000,\"GMT_CREATE\":\"2024-03-20 00:00:00\",\"BILL_TYPE\":null,\"REF_BILL_TYPE\":null,\"SRC_CODE\":\"XSDD011282\",\"WAVE_ID\":\"967897099528179712\",\"MOVE_TASK_ID\":\"967897186271154176\"},{\"ID\":\"967897184459214854\",\"BILL_ID\":\"967897100115382272\",\"LINE_BILL_ID\":\"967897100132159490\",\"SRC_NO\":null,\"MOVE_BILL_ID\":\"967897182151774208\",\"REF_BILL_ID\":\"967897182151774208\",\"REF_LINE_BILL_ID\":\"967897182273409028\",\"REF_QUANTITY\":12.0000,\"GMT_CREATE\":\"2024-03-20 00:00:00\",\"BILL_TYPE\":null,\"REF_BILL_TYPE\":null,\"SRC_CODE\":\"XSDD011279\",\"WAVE_ID\":\"967897099528179712\",\"MOVE_TASK_ID\":\"967897186594115584\"},{\"ID\":\"967897184463409154\",\"BILL_ID\":\"967897101310758912\",\"LINE_BILL_ID\":\"967897101331730433\",\"SRC_NO\":null,\"MOVE_BILL_ID\":\"967897182151774208\",\"REF_BILL_ID\":\"967897182151774208\",\"REF_LINE_BILL_ID\":\"967897182273409029\",\"REF_QUANTITY\":10.0000,\"GMT_CREATE\":\"2024-03-20 00:00:00\",\"BILL_TYPE\":null,\"REF_BILL_TYPE\":null,\"SRC_CODE\":\"XSDD011290\",\"WAVE_ID\":\"967897099528179712\",\"MOVE_TASK_ID\":\"967897187034517504\"},{\"ID\":\"967897184463409155\",\"BILL_ID\":\"967897101784715264\",\"LINE_BILL_ID\":\"967897101805686784\",\"SRC_NO\":null,\"MOVE_BILL_ID\":\"967897182151774208\",\"REF_BILL_ID\":\"967897182151774208\",\"REF_LINE_BILL_ID\":\"967897182273409030\",\"REF_QUANTITY\":16.0000,\"GMT_CREATE\":\"2024-03-20 00:00:00\",\"BILL_TYPE\":null,\"REF_BILL_TYPE\":null,\"SRC_CODE\":\"XSDD011298\",\"WAVE_ID\":\"967897099528179712\",\"MOVE_TASK_ID\":\"967897187365867520\"},{\"ID\":\"967897184463409157\",\"BILL_ID\":\"967897100539006976\",\"LINE_BILL_ID\":\"967897100559978496\",\"SRC_NO\":null,\"MOVE_BILL_ID\":\"967897182151774208\",\"REF_BILL_ID\":\"967897182151774208\",\"REF_LINE_BILL_ID\":\"967897182273409031\",\"REF_QUANTITY\":12.0000,\"GMT_CREATE\":\"2024-03-20 00:00:00\",\"BILL_TYPE\":null,\"REF_BILL_TYPE\":null,\"SRC_CODE\":\"XSDD011283\",\"WAVE_ID\":\"967897099528179712\",\"MOVE_TASK_ID\":\"967897187722383360\"}]";
        List<OutBoundRequestItemVO> eisReplenishmentParams = Lists.newArrayList();
        List<OutBoundRequestItemVO> outParams = Lists.newArrayList();
        List<OutBoundRequestItemVO> eisParams = JSONObject.parseArray(msg, OutBoundRequestItemVO.class);
        List<MoveTaskDO> moveTasks = JSONObject.parseArray(msg2, MoveTaskDO.class);
        List<WmsMoveTaskRef> moveTaskRefs = JSONObject.parseArray(msg3, WmsMoveTaskRef.class);
        List<BaseMtlItemMst> items = JSONObject.parseArray(msg4, BaseMtlItemMst.class);
        service.filterEisParams(waveId, eisParams, outParams, eisReplenishmentParams, moveTasks, moveTaskRefs, items);
    }

    public static void main(String[] args) {
        String waveId = "982419500555177984";
        String msg = "[{\"billNo\":\"CKD202404290949\",\"businessType\":\"DO_SO\",\"companyId\":\"XT00001166\",\"companyName\":\"师宗县老百姓大药房连锁有限公司\",\"containerNo\":\"\",\"enterpriseId\":\"900356013474058240\",\"inventoryShortageType\":2,\"isCheck\":\"0\",\"isMaterial\":\"1\",\"isOver\":\"0\",\"itemId\":\"ssssslhyp001\",\"locNo\":\"AGVL_LOC_LHQ_001\",\"lotId\":\"982430930138435584\",\"originalArea\":\"\",\"ownerId\":\"748963439141064888\",\"packId\":\"ssssslhyp001\",\"priority\":1,\"qty\":\"2.0000\",\"str1\":\"0\",\"str2\":\"1\",\"targetArea\":\"\",\"targetLocation\":\"AGVL\",\"taskId\":\"982433198074679296\",\"taskLineId\":\"982433198074105856\",\"waveNo\":\"982433161520746496\",\"wmsLocationCode\":\"AGVL\",\"workType\":\"20\"},{\"billNo\":\"CKD202404290950\",\"businessType\":\"DO_SO\",\"companyId\":\"XT00001166\",\"companyName\":\"师宗县老百姓大药房连锁有限公司\",\"containerNo\":\"\",\"enterpriseId\":\"900356013474058240\",\"inventoryShortageType\":2,\"isCheck\":\"0\",\"isMaterial\":\"1\",\"isOver\":\"0\",\"itemId\":\"ssssslhyp001\",\"locNo\":\"AGVL_LOC_LHQ_001\",\"lotId\":\"982430930138435584\",\"originalArea\":\"\",\"ownerId\":\"748963439141064888\",\"packId\":\"ssssslhyp001\",\"priority\":1,\"qty\":\"8.0000\",\"str1\":\"0\",\"str2\":\"1\",\"targetArea\":\"\",\"targetLocation\":\"AGVL\",\"taskId\":\"982433198091456513\",\"taskLineId\":\"982433198090883076\",\"waveNo\":\"982433161520746496\",\"wmsLocationCode\":\"AGVL\",\"workType\":\"20\"},{\"billNo\":\"CKD202404290949\",\"businessType\":\"DO_SO\",\"companyId\":\"XT00001166\",\"companyName\":\"师宗县老百姓大药房连锁有限公司\",\"containerNo\":\"\",\"enterpriseId\":\"900356013474058240\",\"inventoryShortageType\":2,\"isCheck\":\"0\",\"isMaterial\":\"1\",\"isOver\":\"0\",\"itemId\":\"ssssslhyp002\",\"locNo\":\"AGVL_LOC_LHQ_001\",\"lotId\":\"982430930142629888\",\"originalArea\":\"\",\"ownerId\":\"748963439141064888\",\"packId\":\"ssssslhyp002\",\"priority\":1,\"qty\":\"3.0000\",\"str1\":\"0\",\"str2\":\"1\",\"targetArea\":\"\",\"targetLocation\":\"AGVL\",\"taskId\":\"982433198091456512\",\"taskLineId\":\"982433198090883074\",\"waveNo\":\"982433161520746496\",\"wmsLocationCode\":\"AGVL\",\"workType\":\"20\"},{\"billNo\":\"CKD202404290950\",\"businessType\":\"DO_SO\",\"companyId\":\"XT00001166\",\"companyName\":\"师宗县老百姓大药房连锁有限公司\",\"containerNo\":\"\",\"enterpriseId\":\"900356013474058240\",\"inventoryShortageType\":2,\"isCheck\":\"0\",\"isMaterial\":\"1\",\"isOver\":\"0\",\"itemId\":\"ssssslhyp002\",\"locNo\":\"AGVL_LOC_LHQ_001\",\"lotId\":\"982430930142629888\",\"originalArea\":\"\",\"ownerId\":\"748963439141064888\",\"packId\":\"ssssslhyp002\",\"priority\":1,\"qty\":\"7.0000\",\"str1\":\"0\",\"str2\":\"1\",\"targetArea\":\"\",\"targetLocation\":\"AGVL\",\"taskId\":\"982433198091456514\",\"taskLineId\":\"982433198090883079\",\"waveNo\":\"982433161520746496\",\"wmsLocationCode\":\"AGVL\",\"workType\":\"20\"},{\"billNo\":\"CKD202404290951\",\"businessType\":\"DO_SO\",\"companyId\":\"XT00001166\",\"companyName\":\"师宗县老百姓大药房连锁有限公司\",\"containerNo\":\"\",\"enterpriseId\":\"900356013474058240\",\"inventoryShortageType\":2,\"isCheck\":\"0\",\"isMaterial\":\"1\",\"isOver\":\"0\",\"itemId\":\"ssssslhyp007\",\"locNo\":\"AGVL_LOC_LHQ_001\",\"lotId\":\"982431324608532480\",\"originalArea\":\"\",\"ownerId\":\"748963439141064888\",\"packId\":\"ssssslhyp007\",\"priority\":1,\"qty\":\"3.0000\",\"str1\":\"0\",\"str2\":\"1\",\"targetArea\":\"\",\"targetLocation\":\"AGVL\",\"taskId\":\"982433198091456515\",\"taskLineId\":\"982433198090883081\",\"waveNo\":\"982433161520746496\",\"wmsLocationCode\":\"AGVL\",\"workType\":\"20\"},{\"billNo\":\"CKD202404290950\",\"businessType\":\"DO_SO\",\"companyId\":\"XT00001166\",\"companyName\":\"师宗县老百姓大药房连锁有限公司\",\"containerNo\":\"N/A\",\"enterpriseId\":\"900356013474058240\",\"inventoryShortageType\":2,\"isCheck\":\"0\",\"isMaterial\":\"2\",\"isOver\":\"0\",\"itemId\":\"ssssswl001\",\"locNo\":\"WLK-20230921\",\"lotId\":\"982432898240090112\",\"originalArea\":\"\",\"ownerId\":\"748963439141064888\",\"packId\":\"0\",\"priority\":1,\"qty\":\"20.0000\",\"str1\":\"0\",\"str2\":\"1\",\"targetArea\":\"\",\"targetLocation\":\"WLK\",\"taskId\":\"982433196724113408\",\"taskLineId\":\"982433196724113409\",\"waveNo\":\"982433161520746496\",\"wmsLocationCode\":\"WLK\",\"workType\":\"20\"},{\"billNo\":\"CKD202404290949\",\"businessType\":\"DO_SO\",\"companyId\":\"XT00001166\",\"companyName\":\"师宗县老百姓大药房连锁有限公司\",\"containerNo\":\"N/A\",\"enterpriseId\":\"900356013474058240\",\"inventoryShortageType\":2,\"isCheck\":\"0\",\"isMaterial\":\"2\",\"isOver\":\"0\",\"itemId\":\"ssssswl001\",\"locNo\":\"WLK-20230921\",\"lotId\":\"982432898240090112\",\"originalArea\":\"\",\"ownerId\":\"748963439141064888\",\"packId\":\"0\",\"priority\":1,\"qty\":\"10.0000\",\"str1\":\"0\",\"str2\":\"1\",\"targetArea\":\"\",\"targetLocation\":\"WLK\",\"taskId\":\"982433196715724800\",\"taskLineId\":\"982433196715724801\",\"waveNo\":\"982433161520746496\",\"wmsLocationCode\":\"WLK\",\"workType\":\"20\"}]";
        String msg2 = "[{\"move_task_id\":\"982419692185112576\",\"warehouse_id\":\"901884530611326976\",\"status\":\"0\",\"waves_id\":null,\"cargo_owner_id\":\"748963439141064888\",\"item_id\":\"ssssslhyp001\",\"batch_id\":\"982418542374817792\",\"batch_num\":\"982418542374817793\",\"manufacturer_lot_num\":\"202310181148\",\"qty\":10.0000,\"uom\":\"袋\",\"src_warehouse_locator_id\":\"894290490223104000\",\"src_warehouse_locator_num\":\"MJK_LOC_001\",\"src_warehouse_area_id\":\"893909460186173440\",\"src_warehouse_area_num\":\"MJK\",\"src_warehouse_locator_type\":\"0\",\"dest_warehouse_locator_id\":\"894288698064113664\",\"dest_warehouse_locator_num\":\"AGVL_LOC_LHQ_001\",\"dest_warehouse_area_id\":\"893910231376072704\",\"dest_warehouse_area_num\":\"AGVL\",\"dest_warehouse_locator_type\":\"1\",\"pick_rule\":null,\"creator\":null,\"creator_name\":null,\"gmt_create\":\"2024-04-29 20:26:13\",\"modifier\":null,\"modifier_name\":null,\"gmt_modified\":null,\"enterprise_id\":\"900356013474058240\",\"bill_id\":\"982419690401959936\",\"bldg_name\":null,\"bldg_code\":null,\"bldg_id\":\"901884621275402240\",\"move_type\":\"4\",\"conversion_rate\":10.0000,\"bill_d_id\":\"982419690435514368\",\"src_warehouse_area_category\":\"MJK\",\"dest_warehouse_area_category\":\"AGVL\",\"header_id\":\"982419690401959936\",\"detail_id\":\"982419690435514368\",\"instore_worker_name\":null,\"outstore_worker_name\":null,\"src_floor\":null,\"dest_floor\":0,\"src_item_place_type\":null,\"dest_item_place_type\":null},{\"move_task_id\":\"982419692419993600\",\"warehouse_id\":\"901884530611326976\",\"status\":\"0\",\"waves_id\":null,\"cargo_owner_id\":\"748963439141064888\",\"item_id\":\"ssssslhyp002\",\"batch_id\":\"982418542379012096\",\"batch_num\":\"982418542379012097\",\"manufacturer_lot_num\":\"202310181149\",\"qty\":10.0000,\"uom\":\"袋\",\"src_warehouse_locator_id\":\"894290490223104000\",\"src_warehouse_locator_num\":\"MJK_LOC_001\",\"src_warehouse_area_id\":\"893909460186173440\",\"src_warehouse_area_num\":\"MJK\",\"src_warehouse_locator_type\":\"0\",\"dest_warehouse_locator_id\":\"894288698064113664\",\"dest_warehouse_locator_num\":\"AGVL_LOC_LHQ_001\",\"dest_warehouse_area_id\":\"893910231376072704\",\"dest_warehouse_area_num\":\"AGVL\",\"dest_warehouse_locator_type\":\"1\",\"pick_rule\":null,\"creator\":null,\"creator_name\":null,\"gmt_create\":\"2024-04-29 20:26:13\",\"modifier\":null,\"modifier_name\":null,\"gmt_modified\":null,\"enterprise_id\":\"900356013474058240\",\"bill_id\":\"982419690401959936\",\"bldg_name\":null,\"bldg_code\":null,\"bldg_id\":\"901884621275402240\",\"move_type\":\"4\",\"conversion_rate\":10.0000,\"bill_d_id\":\"982419690435514369\",\"src_warehouse_area_category\":\"MJK\",\"dest_warehouse_area_category\":\"AGVL\",\"header_id\":\"982419690401959936\",\"detail_id\":\"982419690435514369\",\"instore_worker_name\":null,\"outstore_worker_name\":null,\"src_floor\":null,\"dest_floor\":0,\"src_item_place_type\":null,\"dest_item_place_type\":null}]";
        String msg3 = "[{\"ID\":\"982419691140730880\",\"BILL_ID\":\"982419501851217920\",\"LINE_BILL_ID\":\"982419501863800832\",\"SRC_NO\":null,\"MOVE_BILL_ID\":\"982419690401959936\",\"REF_BILL_ID\":\"982419690401959936\",\"REF_LINE_BILL_ID\":\"982419690435514368\",\"REF_QUANTITY\":8.0000,\"GMT_CREATE\":\"2024-04-29 00:00:00\",\"BILL_TYPE\":null,\"REF_BILL_TYPE\":null,\"SRC_CODE\":\"CKD202404290950\",\"WAVE_ID\":\"982419500555177984\",\"MOVE_TASK_ID\":\"982419692185112576\"},{\"ID\":\"982419691161702400\",\"BILL_ID\":\"982419501851217920\",\"LINE_BILL_ID\":\"982419501863800833\",\"SRC_NO\":null,\"MOVE_BILL_ID\":\"982419690401959936\",\"REF_BILL_ID\":\"982419690401959936\",\"REF_LINE_BILL_ID\":\"982419690435514369\",\"REF_QUANTITY\":7.0000,\"GMT_CREATE\":\"2024-04-29 00:00:00\",\"BILL_TYPE\":null,\"REF_BILL_TYPE\":null,\"SRC_CODE\":\"CKD202404290950\",\"WAVE_ID\":\"982419500555177984\",\"MOVE_TASK_ID\":\"982419692419993600\"}]";
        String msg4 = "[{\"ITEM_ID\":\"963581797176840192\",\"ENTERPRISE_ID\":\"891063172566487040\",\"ITEM_CODE\":\"YY-wkkz01\",\"ITEM_NAME\":\"医用外科口罩\",\"ITEM_NAME_EN\":null,\"ITEM_SHORT_NAME\":null,\"ITEM_ASSISTANT_CODE\":\"YYWKKZ\",\"ITEM_DESC\":null,\"ITEM_CATEGORY_ID\":\"医疗器械\",\"ITEM_CATEGORY_CODE\":\"013\",\"PIECE_BARCODE\":null,\"CASE_BARCODE\":null,\"STATUS\":\"1\",\"IS_ENABLE\":1,\"MANUFACTURER_ID\":\"仙桃鼎成无纺布织品有限公司\",\"TAX_RATE_ID\":null,\"TAX_RATE_VALUE\":null,\"COUNTRY_ORIGIN_ID\":\"湖北省仙桃市\",\"ACCESS_LEVEL\":\"9\",\"GMT_CREATE\":\"2022-04-17 13:39:56\",\"CREATOR\":\"SYS\",\"CREATOR_NAME\":\"SYS\",\"GMT_MODIFIED\":\"2022-04-17 13:39:59\",\"MODIFIER\":\"SYS\",\"MODIFIER_NAME\":\"SYS\",\"SEGMENT1\":null,\"SEGMENT2\":null,\"SEGMENT3\":null,\"SEGMENT4\":null,\"SEGMENT5\":null,\"ATTRIBUTE1\":null,\"ATTRIBUTE2\":null,\"ATTRIBUTE3\":null,\"ATTRIBUTE4\":null,\"ATTRIBUTE5\":\"Y\",\"CASE_UOM\":\"盒\",\"CASE_CONVERSION_RATE\":50.0000,\"PIECE_UOM\":\"盒\",\"PIECE_CONVERSION_RATE\":50.0000,\"CARGO_OWNER_ID\":\"748963439141064888\",\"SPECIFICATION\":\"无菌型耳带式17.5cm*9.5cm\",\"ITEM_CATEGORY_NAME\":\"医疗器械\",\"DATASOURCE\":\"1\",\"DATASOURCE_ID\":null},{\"ITEM_ID\":\"963581799026528256\",\"ENTERPRISE_ID\":\"891063172566487040\",\"ITEM_CODE\":\"YY-wkkz01\",\"ITEM_NAME\":\"医用外科口罩\",\"ITEM_NAME_EN\":null,\"ITEM_SHORT_NAME\":null,\"ITEM_ASSISTANT_CODE\":\"YYWKKZ\",\"ITEM_DESC\":null,\"ITEM_CATEGORY_ID\":\"医疗器械\",\"ITEM_CATEGORY_CODE\":\"013\",\"PIECE_BARCODE\":null,\"CASE_BARCODE\":null,\"STATUS\":\"1\",\"IS_ENABLE\":1,\"MANUFACTURER_ID\":\"仙桃鼎成无纺布织品有限公司\",\"TAX_RATE_ID\":null,\"TAX_RATE_VALUE\":null,\"COUNTRY_ORIGIN_ID\":\"湖北省仙桃市\",\"ACCESS_LEVEL\":\"9\",\"GMT_CREATE\":\"2022-04-17 13:39:56\",\"CREATOR\":\"SYS\",\"CREATOR_NAME\":\"SYS\",\"GMT_MODIFIED\":\"2022-04-17 13:39:59\",\"MODIFIER\":\"SYS\",\"MODIFIER_NAME\":\"SYS\",\"SEGMENT1\":null,\"SEGMENT2\":null,\"SEGMENT3\":null,\"SEGMENT4\":null,\"SEGMENT5\":null,\"ATTRIBUTE1\":null,\"ATTRIBUTE2\":null,\"ATTRIBUTE3\":null,\"ATTRIBUTE4\":null,\"ATTRIBUTE5\":\"Y\",\"CASE_UOM\":\"盒\",\"CASE_CONVERSION_RATE\":50.0000,\"PIECE_UOM\":\"盒\",\"PIECE_CONVERSION_RATE\":50.0000,\"CARGO_OWNER_ID\":\"748963439141064888\",\"SPECIFICATION\":\"无菌型耳带式17.5cm*9.5cm\",\"ITEM_CATEGORY_NAME\":\"医疗器械\",\"DATASOURCE\":\"1\",\"DATASOURCE_ID\":null},{\"ITEM_ID\":\"963581788045840384\",\"ENTERPRISE_ID\":\"891063172566487040\",\"ITEM_CODE\":\"YY-wkkz01\",\"ITEM_NAME\":\"医用外科口罩\",\"ITEM_NAME_EN\":null,\"ITEM_SHORT_NAME\":null,\"ITEM_ASSISTANT_CODE\":\"YYWKKZ\",\"ITEM_DESC\":null,\"ITEM_CATEGORY_ID\":\"医疗器械\",\"ITEM_CATEGORY_CODE\":\"013\",\"PIECE_BARCODE\":null,\"CASE_BARCODE\":null,\"STATUS\":\"1\",\"IS_ENABLE\":1,\"MANUFACTURER_ID\":\"仙桃鼎成无纺布织品有限公司\",\"TAX_RATE_ID\":null,\"TAX_RATE_VALUE\":null,\"COUNTRY_ORIGIN_ID\":\"湖北省仙桃市\",\"ACCESS_LEVEL\":\"9\",\"GMT_CREATE\":\"2022-04-17 13:39:56\",\"CREATOR\":\"SYS\",\"CREATOR_NAME\":\"SYS\",\"GMT_MODIFIED\":\"2022-04-17 13:39:59\",\"MODIFIER\":\"SYS\",\"MODIFIER_NAME\":\"SYS\",\"SEGMENT1\":null,\"SEGMENT2\":null,\"SEGMENT3\":null,\"SEGMENT4\":null,\"SEGMENT5\":null,\"ATTRIBUTE1\":null,\"ATTRIBUTE2\":null,\"ATTRIBUTE3\":null,\"ATTRIBUTE4\":null,\"ATTRIBUTE5\":\"Y\",\"CASE_UOM\":\"盒\",\"CASE_CONVERSION_RATE\":50.0000,\"PIECE_UOM\":\"盒\",\"PIECE_CONVERSION_RATE\":50.0000,\"CARGO_OWNER_ID\":\"748963439141064888\",\"SPECIFICATION\":\"无菌型耳带式17.5cm*9.5cm\",\"ITEM_CATEGORY_NAME\":\"医疗器械\",\"DATASOURCE\":\"1\",\"DATASOURCE_ID\":null},{\"ITEM_ID\":\"963581801522139136\",\"ENTERPRISE_ID\":\"891063172566487040\",\"ITEM_CODE\":\"YY-wkkz01\",\"ITEM_NAME\":\"医用外科口罩\",\"ITEM_NAME_EN\":null,\"ITEM_SHORT_NAME\":null,\"ITEM_ASSISTANT_CODE\":\"YYWKKZ\",\"ITEM_DESC\":null,\"ITEM_CATEGORY_ID\":\"医疗器械\",\"ITEM_CATEGORY_CODE\":\"013\",\"PIECE_BARCODE\":null,\"CASE_BARCODE\":null,\"STATUS\":\"1\",\"IS_ENABLE\":1,\"MANUFACTURER_ID\":\"仙桃鼎成无纺布织品有限公司\",\"TAX_RATE_ID\":null,\"TAX_RATE_VALUE\":null,\"COUNTRY_ORIGIN_ID\":\"湖北省仙桃市\",\"ACCESS_LEVEL\":\"9\",\"GMT_CREATE\":\"2022-04-17 13:39:56\",\"CREATOR\":\"SYS\",\"CREATOR_NAME\":\"SYS\",\"GMT_MODIFIED\":\"2022-04-17 13:39:59\",\"MODIFIER\":\"SYS\",\"MODIFIER_NAME\":\"SYS\",\"SEGMENT1\":null,\"SEGMENT2\":null,\"SEGMENT3\":null,\"SEGMENT4\":null,\"SEGMENT5\":null,\"ATTRIBUTE1\":null,\"ATTRIBUTE2\":null,\"ATTRIBUTE3\":null,\"ATTRIBUTE4\":null,\"ATTRIBUTE5\":\"Y\",\"CASE_UOM\":\"盒\",\"CASE_CONVERSION_RATE\":50.0000,\"PIECE_UOM\":\"盒\",\"PIECE_CONVERSION_RATE\":50.0000,\"CARGO_OWNER_ID\":\"748963439141064888\",\"SPECIFICATION\":\"无菌型耳带式17.5cm*9.5cm\",\"ITEM_CATEGORY_NAME\":\"医疗器械\",\"DATASOURCE\":\"1\",\"DATASOURCE_ID\":null}]";
        List<OutBoundRequestItemVO> eisReplenishmentParams = Lists.newArrayList();
        List<OutBoundRequestItemVO> outParams = Lists.newArrayList();
        List<OutBoundRequestItemVO> eisParams = JSONObject.parseArray(msg, OutBoundRequestItemVO.class);
        List<MoveTaskDO> moveTasks = JSONObject.parseArray(msg2, MoveTaskDO.class);
        List<WmsMoveTaskRef> moveTaskRefs = JSONObject.parseArray(msg3, WmsMoveTaskRef.class);
        List<BaseMtlItemMst> items = JSONObject.parseArray(msg4, BaseMtlItemMst.class);
        PackServiceImpl service1 = new PackServiceImpl();
        service1.filterEisParams(waveId, eisParams, outParams, eisReplenishmentParams, moveTasks, moveTaskRefs, items);
    }
}