package com.prolog.cs.biz.outbound.service.impl;

import com.alibaba.fastjson.JSON;
import com.prolog.cs.biz.outbound.Application;
import com.prolog.cs.biz.outbound.dao.OutcomingRecordDMapper;
import com.prolog.cs.biz.outbound.dao.WaveBillMapper;
import com.prolog.cs.biz.outbound.model.OutcomingRecordD;
import com.prolog.upcloud.base.inventory.vo.StockWaveResultVO;
import lombok.extern.slf4j.Slf4j;
import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;
import org.springframework.test.context.web.WebAppConfiguration;
import org.springframework.test.web.servlet.MockMvc;
import org.springframework.test.web.servlet.setup.MockMvcBuilders;
import org.springframework.web.context.WebApplicationContext;

import java.math.BigDecimal;
import java.util.List;


/**
 * 基础测试类
 *
 * @author stylefeng
 * @Date 2017/5/21 16:10
 */
@RunWith(SpringRunner.class)
@SpringBootTest(classes = Application.class)
@WebAppConfiguration
@Slf4j
//@Transactional //打开的话测试之后数据可自动回滚
public class WorkStageServiceImplTest {

    @Autowired
    WebApplicationContext webApplicationContext;
    @Autowired
    PickTaskAppServiceImpl PickTaskAppServiceImpl;
    @Autowired
    WorkStageServiceImpl WorkStageServiceImpl;
    @Autowired
    com.prolog.cs.biz.outbound.service.impl.WavesServiceImpl WavesServiceImpl;

    protected MockMvc mockMvc;

    @Autowired
    private WaveBillMapper billMapper;

    @Autowired
    private OutcomingRecordDMapper outcomingRecordDMapper;
    
    @Before
    public void setupMockMvc(){
        mockMvc = MockMvcBuilders.webAppContextSetup(webApplicationContext).build();
    }

    @Before
    public void initDatabase(){
    }

    private static Logger logger = LoggerFactory.getLogger(WorkStageServiceImplTest.class);

//    DISTRIBUTED
    @Test
    public void testWavesCreate() throws Exception {
        String s = "{\"waveId\":\"931981767945097216\",\"enterpriseId\":\"891063172566487040\",\"warehouseId\":\"891420072483098624\",\"success\":true,\"errorMsg\":null,\"opUser\":\"qnadmin\",\"opUserId\":\"891063173388570624\",\"details\":[{\"billId\":\"931975134644932608\",\"billCode\":\"CKD202312111723\",\"srcId\":\"CKD202312111723\",\"srcCode\":\"CKD202312111723\",\"billGroupId\":\"CKD202312111723\",\"cargoOwnerId\":\"748963439141064888\",\"success\":true,\"errorMsg\":null,\"itemDetails\":[{\"lineBillId\":\"931975134741401600\",\"pickRule\":\"FIFO\",\"srcLineId\":\"CKD202312111723\",\"itemId\":\"2155036\",\"itemName\":null,\"itemHealthCategory\":null,\"isCaseOrPiece\":null,\"caseConversionRate\":10.0000,\"success\":true,\"errorMsg\":null,\"pickLocators\":[{\"id\":null,\"locatorId\":\"894288698064113664\",\"locatorCode\":\"AGVL_LOC_LHQ_001\",\"batchId\":\"901919285239222272\",\"batchNum\":\"901919285239222273\",\"stockStatus\":null,\"quantity\":2.0000,\"warehouseLocatorType\":\"1\",\"batchExpiredDate\":1704038400000,\"batchProductionDate\":1692806400000,\"batchExpiredDateShow\":\"20240824\",\"batchProductionDateShow\":\"20230824\",\"shelfLifeDays\":700,\"warehouseAreaCode\":\"AGVL\",\"warehouseAreaCategory\":\"AGVL\",\"pickModel\":\"Device\",\"floorNum\":0,\"locatorLaneCode\":null,\"outIndex\":0,\"splitGroup\":\"\",\"buildingId\":\"893835222016200704\",\"buildingName\":\"江西赣州仓\",\"buildingCode\":\"J001\",\"manufacturerLotNum\":\"20231211\",\"uom\":\"箱\",\"itemPlaceType\":null,\"refBillId\":null,\"refLineBillId\":null,\"containerCode\":null,\"containerCodeQty\":10.0000}],\"replenishTaskList\":[{\"headerId\":\"931975259551305728\",\"detailId\":\"931975259786186752\",\"pieceQuantity\":10.0000,\"chooseQuantity\":2.0000,\"srcWarehouseLocatorId\":\"894290490223104000\",\"srcWarehouseLocatorCode\":\"MJK_LOC_001\",\"srcWarehouseAreaId\":\"893909460186173440\",\"srcWarehouseAreaCode\":\"MJZ\",\"srcWarehouseAreaCategory\":\"MJK\",\"srcWarehouseLocatorType\":\"0\",\"srcFloorNum\":null,\"srcItemPlaceType\":null,\"destWarehouseLocatorId\":\"894288698064113664\",\"destWarehouseLocatorCode\":\"AGVL_LOC_LHQ_001\",\"destWarehouseAreaId\":\"893910231376072704\",\"destWarehouseAreaCode\":\"AGVL\",\"destWarehouseAreaCategory\":\"AGVL\",\"destWarehouseLocatorType\":\"1\",\"destFloorNum\":0,\"destItemPlaceType\":null,\"pickRule\":null,\"batchId\":\"901919285239222272\",\"batchNum\":\"901919285239222273\",\"manufacturerLotNum\":\"20231211\",\"uom\":\"箱\",\"batchProductionDate\":1692806400000,\"batchExpiredDate\":1704038400000,\"batchExpiredDateShow\":\"20240824\",\"batchProductionDateShow\":\"20230824\",\"shelfLifeDays\":700,\"caseConvertionRate\":null,\"length\":50.0,\"width\":50.0,\"height\":50.0,\"volume\":0,\"isCaseOrPiece\":null,\"weight\":0.0,\"buildingId\":\"893835222016200704\",\"buildingName\":\"江西赣州仓\",\"buildingCode\":\"J001\",\"containerCode\":\"N/A\"}],\"containerCode\":null,\"refReplenishes\":[{\"billId\":\"931975134644932608\",\"lineBillId\":\"931975134741401600\",\"refBillId\":\"931975259551305728\",\"refLineBillId\":\"931975259786186752\",\"refQuantity\":2.0000}],\"extData\":{\"caseBarcode\":\"123\",\"caseConversionRate\":10.0,\"itemCode\":\"TW22005\",\"isCaseOrPiece\":1,\"itemCategoryId\":\"001\",\"itemCategoryCode\":\"013\",\"caseUom\":\"箱\",\"itemName\":\"999感冒灵（石）\",\"itemIsSpecialSharped\":\"0\",\"itemTemperatureHigh\":null,\"itemTemperatureLow\":null,\"itemIsLot\":null,\"height\":50.0,\"itemIsUnpack\":null,\"length\":50.0,\"weight\":0.0,\"abcType\":\"A\",\"volume\":9.0,\"itemId\":\"2155036\",\"storeTemperature\":\"常温\",\"itemIsBatch\":null,\"itemHealthCategory\":\"013\",\"width\":50.0,\"shelfLifeDays\":null,\"enterpriseId\":\"891063172566487040\",\"itemHealthIsDouble\":\"0\"}}]}]}";
        WorkStageServiceImpl.handle(JSON.parseObject(s, StockWaveResultVO.class), false);
    }

    public static void main(String[] args) {
//        List list= Arrays.asList(new Integer[]{1,2,3,4});
//        list.forEach(x -> {
//            if((Integer) x==2){
//                return;
//            }
//            System.out.println(x);
//        });

        System.out.println(new BigDecimal(51).divide(new BigDecimal(10),0,BigDecimal.ROUND_UP));
    }

    @Test
    public void handleWaveHandleResult() throws Exception {//DISTRIBUTED
        String s="{\"details\":[{\"billCode\":\"SJZFT0000029\",\"billGroupId\":\"SJZFT0000029\",\"billId\":\"678206205178294272\",\"cargoOwnerId\":\"ZDA\",\"itemDetails\":[{\"caseConversionRate\":10.0000,\"extData\":{\"caseConversionRate\":10.0,\"itemCode\":\"20035310\",\"length\":0.0,\"isCaseOrPiece\":1,\"itemCategoryCode\":\"医疗器械\",\"volume\":6.0,\"caseUom\":\"根\",\"itemId\":\"SPH00063420\",\"storeTemperature\":\"常温\",\"itemName\":\"金属接骨螺钉\",\"itemHealthCategory\":\"医疗器械\",\"width\":0.0,\"enterpriseId\":\"655026008575053824\",\"itemHealthIsDouble\":\"0\",\"height\":0.0},\"itemId\":\"SPH00063420\",\"lineBillId\":\"678206205610307584\",\"pickLocators\":[{\"batchExpiredDate\":1661875200000,\"batchExpiredDateShow\":\"20220831\",\"batchId\":\"655094552083959808\",\"batchNum\":\"655094552083959809\",\"batchProductionDate\":1630425600000,\"batchProductionDateShow\":\"20210901\",\"buildingCode\":\"003\",\"buildingId\":\"646346682396708864\",\"buildingName\":\"正方体测试仓\",\"locatorCode\":\"zftlhhw001\",\"locatorId\":\"676112492002414592\",\"manufacturerLotNum\":\"2021092801\",\"pickModel\":\"\",\"quantity\":8.0000,\"shelfLifeDays\":90,\"splitGroup\":\"\",\"uom\":\"根\",\"warehouseAreaCategory\":\"LHK\",\"warehouseAreaCode\":\"zftlhkq001\",\"warehouseLocatorType\":\"1\"}],\"pickRule\":\"FIFO\",\"refReplenishes\":[{\"billId\":\"678206205178294272\",\"lineBillId\":\"678206205610307584\",\"refBillId\":\"678206249724153856\",\"refLineBillId\":\"678206249984200704\",\"refQuantity\":7.00000000}],\"replenishTaskList\":[{\"batchExpiredDate\":1661875200000,\"batchExpiredDateShow\":\"20220831\",\"batchId\":\"655094552083959808\",\"batchNum\":\"655094552083959809\",\"batchProductionDate\":1630425600000,\"batchProductionDateShow\":\"20210901\",\"buildingCode\":\"003\",\"buildingId\":\"646346682396708864\",\"buildingName\":\"正方体测试仓\",\"chooseQuantity\":7.00000000,\"destWarehouseAreaCategory\":\"LHK\",\"destWarehouseAreaCode\":\"zftlhkq001\",\"destWarehouseAreaId\":\"676044178572054528\",\"destWarehouseLocatorCode\":\"zftlhhw001\",\"destWarehouseLocatorId\":\"676112492002414592\",\"destWarehouseLocatorType\":\"1\",\"detailId\":\"678206249984200704\",\"headerId\":\"678206249724153856\",\"height\":0.0,\"id\":\"678206248046432256\",\"length\":0.0,\"manufacturerLotNum\":\"2021092801\",\"pieceQuantity\":10.0000,\"shelfLifeDays\":90,\"srcWarehouseAreaCategory\":\"ZJK\",\"srcWarehouseAreaCode\":\"zftzjkq001\",\"srcWarehouseAreaId\":\"676043909822025728\",\"srcWarehouseLocatorCode\":\"zftzjhw001\",\"srcWarehouseLocatorId\":\"676112786333503488\",\"srcWarehouseLocatorType\":\"0\",\"uom\":\"根\",\"volume\":0,\"weight\":0,\"width\":0.0}],\"srcLineId\":\"SJZFT0000029\"}],\"srcCode\":\"SJZFT0000029\",\"srcId\":\"SJZFT0000029\",\"success\":true}],\"enterpriseId\":\"655026008575053824\",\"opUser\":\"cube_admin\",\"opUserId\":\"655026009594269696\",\"success\":true,\"warehouseId\":\"646346467442823168\",\"waveId\":\"678206200667574272\"}";
        s="{\"waveId\":\"678291099298697216\",\"enterpriseId\":\"655026008575053824\",\"warehouseId\":\"646346467442823168\",\"success\":true,\"errorMsg\":null,\"opUser\":\"cube_admin\",\"opUserId\":\"655026009594269696\",\"details\":[{\"billId\":\"678291104379842560\",\"billCode\":\"SJZFT0000024\",\"srcId\":\"SJZFT0000024\",\"srcCode\":\"SJZFT0000024\",\"billGroupId\":\"SJZFT0000024\",\"cargoOwnerId\":\"ZDA\",\"success\":true,\"errorMsg\":null,\"itemDetails\":[{\"lineBillId\":\"678291104409202688\",\"pickRule\":\"FIFO\",\"srcLineId\":\"SJZFT0000024\",\"itemId\":\"SPH00063420\",\"itemName\":null,\"itemHealthCategory\":null,\"isCaseOrPiece\":null,\"caseConversionRate\":10.0000,\"pickLocators\":[{\"locatorId\":\"676112492002414592\",\"locatorCode\":\"zftlhhw001\",\"batchId\":\"655094552083959808\",\"batchNum\":\"655094552083959809\",\"stockStatus\":null,\"quantity\":6.0000,\"warehouseLocatorType\":\"1\",\"batchExpiredDate\":1661875200000,\"batchProductionDate\":1630425600000,\"batchExpiredDateShow\":\"20220831\",\"batchProductionDateShow\":\"20210901\",\"shelfLifeDays\":90,\"warehouseAreaCode\":\"zftlhkq001\",\"warehouseAreaCategory\":\"LHK\",\"pickModel\":\"\",\"floorNum\":null,\"locatorLaneCode\":null,\"outIndex\":null,\"splitGroup\":\"\",\"buildingId\":\"646346682396708864\",\"buildingName\":\"正方体测试仓\",\"buildingCode\":\"003\",\"manufacturerLotNum\":\"2021092801\",\"uom\":\"根\",\"itemPlaceType\":null}],\"replenishTaskList\":[{\"id\":\"678291157461110784\",\"headerId\":\"678291161823186944\",\"detailId\":\"678291162464915456\",\"pieceQuantity\":10.0000,\"chooseQuantity\":2.00000000,\"srcWarehouseLocatorId\":\"676112786333503488\",\"srcWarehouseLocatorCode\":\"zftzjhw001\",\"srcWarehouseAreaId\":\"676043909822025728\",\"srcWarehouseAreaCode\":\"zftzjkq001\",\"srcWarehouseAreaCategory\":\"ZJK\",\"srcWarehouseLocatorType\":\"0\",\"srcFloorNum\":null,\"srcItemPlaceType\":null,\"destWarehouseLocatorId\":\"676112492002414592\",\"destWarehouseLocatorCode\":\"zftlhhw001\",\"destWarehouseAreaId\":\"676044178572054528\",\"destWarehouseAreaCode\":\"zftlhkq001\",\"destWarehouseAreaCategory\":\"LHK\",\"destWarehouseLocatorType\":\"1\",\"destFloorNum\":0,\"destItemPlaceType\":null,\"pickRule\":null,\"batchId\":\"655094552083959808\",\"batchNum\":\"655094552083959809\",\"manufacturerLotNum\":\"2021092801\",\"uom\":\"根\",\"batchProductionDate\":1630425600000,\"batchExpiredDate\":1661875200000,\"batchExpiredDateShow\":\"20220831\",\"batchProductionDateShow\":\"20210901\",\"shelfLifeDays\":90,\"caseConvertionRate\":null,\"length\":0.0,\"width\":0.0,\"height\":0.0,\"volume\":0,\"isCaseOrPiece\":null,\"weight\":0,\"buildingId\":\"646346682396708864\",\"buildingName\":\"正方体测试仓\",\"buildingCode\":\"003\"}],\"refReplenishes\":[{\"billId\":\"678291104379842560\",\"lineBillId\":\"678291104409202688\",\"refBillId\":\"678291161823186944\",\"refLineBillId\":\"678291162464915456\",\"refQuantity\":2.00000000}],\"extData\":{\"caseBarcode\":null,\"caseConversionRate\":10.0,\"itemCode\":\"20035310\",\"length\":0.0,\"weight\":null,\"isCaseOrPiece\":1,\"itemCategoryId\":null,\"itemCategoryCode\":\"医疗器械\",\"abcType\":null,\"volume\":0.6,\"caseUom\":\"根\",\"itemId\":\"SPH00063420\",\"storeTemperature\":\"常温\",\"itemName\":\"金属接骨螺钉\",\"itemIsSpecialSharped\":null,\"itemTemperatureHigh\":null,\"itemIsBatch\":null,\"itemTemperatureLow\":null,\"itemHealthCategory\":\"医疗器械\",\"width\":0.0,\"enterpriseId\":\"655026008575053824\",\"itemIsLot\":null,\"itemHealthIsDouble\":\"0\",\"height\":0.0}},{\"lineBillId\":\"678291104476311552\",\"pickRule\":\"FIFO\",\"srcLineId\":\"SJZFT0000024-1\",\"itemId\":\"SPH00063420\",\"itemName\":null,\"itemHealthCategory\":null,\"isCaseOrPiece\":null,\"caseConversionRate\":10.0000,\"pickLocators\":[{\"locatorId\":\"676112492002414592\",\"locatorCode\":\"zftlhhw001\",\"batchId\":\"655094552083959808\",\"batchNum\":\"655094552083959809\",\"stockStatus\":null,\"quantity\":7.0000,\"warehouseLocatorType\":\"1\",\"batchExpiredDate\":1661875200000,\"batchProductionDate\":1630425600000,\"batchExpiredDateShow\":\"20220831\",\"batchProductionDateShow\":\"20210901\",\"shelfLifeDays\":90,\"warehouseAreaCode\":\"zftlhkq001\",\"warehouseAreaCategory\":\"LHK\",\"pickModel\":\"\",\"floorNum\":null,\"locatorLaneCode\":null,\"outIndex\":null,\"splitGroup\":\"\",\"buildingId\":\"646346682396708864\",\"buildingName\":\"正方体测试仓\",\"buildingCode\":\"003\",\"manufacturerLotNum\":\"2021092801\",\"uom\":\"根\",\"itemPlaceType\":null}],\"replenishTaskList\":[{\"id\":\"678291157461110785\",\"headerId\":\"678291161823186944\",\"detailId\":\"678291162464915457\",\"pieceQuantity\":10.0000,\"chooseQuantity\":7.0000,\"srcWarehouseLocatorId\":\"676112786333503488\",\"srcWarehouseLocatorCode\":\"zftzjhw001\",\"srcWarehouseAreaId\":\"676043909822025728\",\"srcWarehouseAreaCode\":\"zftzjkq001\",\"srcWarehouseAreaCategory\":\"ZJK\",\"srcWarehouseLocatorType\":\"0\",\"srcFloorNum\":null,\"srcItemPlaceType\":null,\"destWarehouseLocatorId\":\"676112492002414592\",\"destWarehouseLocatorCode\":\"zftlhhw001\",\"destWarehouseAreaId\":\"676044178572054528\",\"destWarehouseAreaCode\":\"zftlhkq001\",\"destWarehouseAreaCategory\":\"LHK\",\"destWarehouseLocatorType\":\"1\",\"destFloorNum\":0,\"destItemPlaceType\":null,\"pickRule\":null,\"batchId\":\"655094552083959808\",\"batchNum\":\"655094552083959809\",\"manufacturerLotNum\":\"2021092801\",\"uom\":\"根\",\"batchProductionDate\":1630425600000,\"batchExpiredDate\":1661875200000,\"batchExpiredDateShow\":\"20220831\",\"batchProductionDateShow\":\"20210901\",\"shelfLifeDays\":90,\"caseConvertionRate\":null,\"length\":0.0,\"width\":0.0,\"height\":0.0,\"volume\":0,\"isCaseOrPiece\":null,\"weight\":0,\"buildingId\":\"646346682396708864\",\"buildingName\":\"正方体测试仓\",\"buildingCode\":\"003\"}],\"refReplenishes\":[{\"billId\":\"678291104379842560\",\"lineBillId\":\"678291104476311552\",\"refBillId\":\"678291161823186944\",\"refLineBillId\":\"678291162464915457\",\"refQuantity\":7.0000}],\"extData\":{\"caseBarcode\":null,\"caseConversionRate\":10.0,\"itemCode\":\"20035310\",\"length\":0.0,\"weight\":null,\"isCaseOrPiece\":1,\"itemCategoryId\":null,\"itemCategoryCode\":\"医疗器械\",\"abcType\":null,\"volume\":0.6,\"caseUom\":\"根\",\"itemId\":\"SPH00063420\",\"storeTemperature\":\"常温\",\"itemName\":\"金属接骨螺钉\",\"itemIsSpecialSharped\":null,\"itemTemperatureHigh\":null,\"itemIsBatch\":null,\"itemTemperatureLow\":null,\"itemHealthCategory\":\"医疗器械\",\"width\":0.0,\"enterpriseId\":\"655026008575053824\",\"itemIsLot\":null,\"itemHealthIsDouble\":\"0\",\"height\":0.0}}]}]}";
        s="{\"waveId\":\"678302085787291648\",\"enterpriseId\":\"655026008575053824\",\"warehouseId\":\"646346467442823168\",\"success\":true,\"errorMsg\":null,\"opUser\":\"cube_admin\",\"opUserId\":\"655026009594269696\",\"details\":[{\"billId\":\"678302088897114112\",\"billCode\":\"SJZFT0000024\",\"srcId\":\"SJZFT0000024\",\"srcCode\":\"SJZFT0000024\",\"billGroupId\":\"SJZFT0000024\",\"cargoOwnerId\":\"ZDA\",\"success\":true,\"errorMsg\":null,\"itemDetails\":[{\"lineBillId\":\"678302088926474240\",\"pickRule\":\"FIFO\",\"srcLineId\":\"SJZFT0000024\",\"itemId\":\"SPH00063420\",\"itemName\":null,\"itemHealthCategory\":null,\"isCaseOrPiece\":null,\"caseConversionRate\":10.0000,\"pickLocators\":[{\"locatorId\":\"676112492002414592\",\"locatorCode\":\"zftlhhw001\",\"batchId\":\"655094552083959808\",\"batchNum\":\"655094552083959809\",\"stockStatus\":null,\"quantity\":6.0000,\"warehouseLocatorType\":\"1\",\"batchExpiredDate\":1661875200000,\"batchProductionDate\":1630425600000,\"batchExpiredDateShow\":\"20220831\",\"batchProductionDateShow\":\"20210901\",\"shelfLifeDays\":90,\"warehouseAreaCode\":\"zftlhkq001\",\"warehouseAreaCategory\":\"LHK\",\"pickModel\":\"\",\"floorNum\":null,\"locatorLaneCode\":null,\"outIndex\":null,\"splitGroup\":\"\",\"buildingId\":\"646346682396708864\",\"buildingName\":\"正方体测试仓\",\"buildingCode\":\"003\",\"manufacturerLotNum\":\"2021092801\",\"uom\":\"根\",\"itemPlaceType\":null}],\"replenishTaskList\":[{\"id\":\"678305926897340416\",\"headerId\":\"678305946811895808\",\"detailId\":\"678305947239714816\",\"pieceQuantity\":10.0000,\"chooseQuantity\":6.0000,\"srcWarehouseLocatorId\":\"676112786333503488\",\"srcWarehouseLocatorCode\":\"zftzjhw001\",\"srcWarehouseAreaId\":\"676043909822025728\",\"srcWarehouseAreaCode\":\"zftzjkq001\",\"srcWarehouseAreaCategory\":\"ZJK\",\"srcWarehouseLocatorType\":\"0\",\"srcFloorNum\":null,\"srcItemPlaceType\":null,\"destWarehouseLocatorId\":\"676112492002414592\",\"destWarehouseLocatorCode\":\"zftlhhw001\",\"destWarehouseAreaId\":\"676044178572054528\",\"destWarehouseAreaCode\":\"zftlhkq001\",\"destWarehouseAreaCategory\":\"LHK\",\"destWarehouseLocatorType\":\"1\",\"destFloorNum\":0,\"destItemPlaceType\":null,\"pickRule\":null,\"batchId\":\"655094552083959808\",\"batchNum\":\"655094552083959809\",\"manufacturerLotNum\":\"2021092801\",\"uom\":\"根\",\"batchProductionDate\":1630425600000,\"batchExpiredDate\":1661875200000,\"batchExpiredDateShow\":\"20220831\",\"batchProductionDateShow\":\"20210901\",\"shelfLifeDays\":90,\"caseConvertionRate\":null,\"length\":0.0,\"width\":0.0,\"height\":0.0,\"volume\":0,\"isCaseOrPiece\":null,\"weight\":0,\"buildingId\":\"646346682396708864\",\"buildingName\":\"正方体测试仓\",\"buildingCode\":\"003\"}],\"refReplenishes\":[{\"billId\":\"678302088897114112\",\"lineBillId\":\"678302088926474240\",\"refBillId\":\"678305946811895808\",\"refLineBillId\":\"678305947239714816\",\"refQuantity\":6.0000}],\"extData\":{\"caseBarcode\":null,\"caseConversionRate\":10.0,\"itemCode\":\"20035310\",\"length\":0.0,\"weight\":null,\"isCaseOrPiece\":1,\"itemCategoryId\":null,\"itemCategoryCode\":\"医疗器械\",\"abcType\":null,\"volume\":0.6,\"caseUom\":\"根\",\"itemId\":\"SPH00063420\",\"storeTemperature\":\"常温\",\"itemName\":\"金属接骨螺钉\",\"itemIsSpecialSharped\":null,\"itemTemperatureHigh\":null,\"itemIsBatch\":null,\"itemTemperatureLow\":null,\"itemHealthCategory\":\"医疗器械\",\"width\":0.0,\"enterpriseId\":\"655026008575053824\",\"itemIsLot\":null,\"itemHealthIsDouble\":\"0\",\"height\":0.0}},{\"lineBillId\":\"678302088951640064\",\"pickRule\":\"FIFO\",\"srcLineId\":\"SJZFT0000024-1\",\"itemId\":\"SPH00063420\",\"itemName\":null,\"itemHealthCategory\":null,\"isCaseOrPiece\":null,\"caseConversionRate\":10.0000,\"pickLocators\":[{\"locatorId\":\"676112492002414592\",\"locatorCode\":\"zftlhhw001\",\"batchId\":\"655094552083959808\",\"batchNum\":\"655094552083959809\",\"stockStatus\":null,\"quantity\":7.0000,\"warehouseLocatorType\":\"1\",\"batchExpiredDate\":1661875200000,\"batchProductionDate\":1630425600000,\"batchExpiredDateShow\":\"20220831\",\"batchProductionDateShow\":\"20210901\",\"shelfLifeDays\":90,\"warehouseAreaCode\":\"zftlhkq001\",\"warehouseAreaCategory\":\"LHK\",\"pickModel\":\"\",\"floorNum\":null,\"locatorLaneCode\":null,\"outIndex\":null,\"splitGroup\":\"\",\"buildingId\":\"646346682396708864\",\"buildingName\":\"正方体测试仓\",\"buildingCode\":\"003\",\"manufacturerLotNum\":\"2021092801\",\"uom\":\"根\",\"itemPlaceType\":null}],\"replenishTaskList\":[{\"id\":\"678305926901534720\",\"headerId\":\"678305946811895808\",\"detailId\":\"678305947239714817\",\"pieceQuantity\":10.0000,\"chooseQuantity\":7.0000,\"srcWarehouseLocatorId\":\"676112786333503488\",\"srcWarehouseLocatorCode\":\"zftzjhw001\",\"srcWarehouseAreaId\":\"676043909822025728\",\"srcWarehouseAreaCode\":\"zftzjkq001\",\"srcWarehouseAreaCategory\":\"ZJK\",\"srcWarehouseLocatorType\":\"0\",\"srcFloorNum\":null,\"srcItemPlaceType\":null,\"destWarehouseLocatorId\":\"676112492002414592\",\"destWarehouseLocatorCode\":\"zftlhhw001\",\"destWarehouseAreaId\":\"676044178572054528\",\"destWarehouseAreaCode\":\"zftlhkq001\",\"destWarehouseAreaCategory\":\"LHK\",\"destWarehouseLocatorType\":\"1\",\"destFloorNum\":0,\"destItemPlaceType\":null,\"pickRule\":null,\"batchId\":\"655094552083959808\",\"batchNum\":\"655094552083959809\",\"manufacturerLotNum\":\"2021092801\",\"uom\":\"根\",\"batchProductionDate\":1630425600000,\"batchExpiredDate\":1661875200000,\"batchExpiredDateShow\":\"20220831\",\"batchProductionDateShow\":\"20210901\",\"shelfLifeDays\":90,\"caseConvertionRate\":null,\"length\":0.0,\"width\":0.0,\"height\":0.0,\"volume\":0,\"isCaseOrPiece\":null,\"weight\":0,\"buildingId\":\"646346682396708864\",\"buildingName\":\"正方体测试仓\",\"buildingCode\":\"003\"}],\"refReplenishes\":[{\"billId\":\"678302088897114112\",\"lineBillId\":\"678302088951640064\",\"refBillId\":\"678305946811895808\",\"refLineBillId\":\"678305947239714817\",\"refQuantity\":7.0000}],\"extData\":{\"caseBarcode\":null,\"caseConversionRate\":10.0,\"itemCode\":\"20035310\",\"length\":0.0,\"weight\":null,\"isCaseOrPiece\":1,\"itemCategoryId\":null,\"itemCategoryCode\":\"医疗器械\",\"abcType\":null,\"volume\":0.6,\"caseUom\":\"根\",\"itemId\":\"SPH00063420\",\"storeTemperature\":\"常温\",\"itemName\":\"金属接骨螺钉\",\"itemIsSpecialSharped\":null,\"itemTemperatureHigh\":null,\"itemIsBatch\":null,\"itemTemperatureLow\":null,\"itemHealthCategory\":\"医疗器械\",\"width\":0.0,\"enterpriseId\":\"655026008575053824\",\"itemIsLot\":null,\"itemHealthIsDouble\":\"0\",\"height\":0.0}}]}]}";
        s="{\"waveId\":\"678337189238673408\",\"enterpriseId\":\"655026008575053824\",\"warehouseId\":\"646346467442823168\",\"success\":true,\"errorMsg\":null,\"opUser\":\"cube_admin\",\"opUserId\":\"655026009594269696\",\"details\":[{\"billId\":\"678337191685795840\",\"billCode\":\"BHZFT000003\",\"srcId\":\"BHZFT000003\",\"srcCode\":\"BHZFT000003\",\"billGroupId\":\"BHZFT000003\",\"cargoOwnerId\":\"ZDA\",\"success\":true,\"errorMsg\":null,\"itemDetails\":[{\"lineBillId\":\"678337191744516096\",\"pickRule\":\"FIFO\",\"srcLineId\":\"BHZFT000003\",\"itemId\":\"SPH00063420\",\"itemName\":null,\"itemHealthCategory\":null,\"isCaseOrPiece\":null,\"caseConversionRate\":10.0000,\"pickLocators\":[{\"locatorId\":\"676112492002414592\",\"locatorCode\":\"zftlhhw001\",\"batchId\":\"655094552083959808\",\"batchNum\":\"655094552083959809\",\"stockStatus\":null,\"quantity\":9.0000,\"warehouseLocatorType\":\"1\",\"batchExpiredDate\":1661875200000,\"batchProductionDate\":1630425600000,\"batchExpiredDateShow\":\"20220831\",\"batchProductionDateShow\":\"20210901\",\"shelfLifeDays\":90,\"warehouseAreaCode\":\"zftlhkq001\",\"warehouseAreaCategory\":\"LHK\",\"pickModel\":\"\",\"floorNum\":null,\"locatorLaneCode\":null,\"outIndex\":null,\"splitGroup\":\"\",\"buildingId\":\"646346682396708864\",\"buildingName\":\"正方体测试仓\",\"buildingCode\":\"003\",\"manufacturerLotNum\":\"2021092801\",\"uom\":\"根\",\"itemPlaceType\":null}],\"replenishTaskList\":[],\"refReplenishes\":[{\"billId\":\"678337191685795840\",\"lineBillId\":\"678337191744516096\",\"refBillId\":\"678308252605353984\",\"refLineBillId\":\"678308274151493632\",\"refQuantity\":9.0000}],\"extData\":{\"caseBarcode\":null,\"caseConversionRate\":10.0,\"itemCode\":\"20035310\",\"length\":0.0,\"weight\":null,\"isCaseOrPiece\":1,\"itemCategoryId\":null,\"itemCategoryCode\":\"医疗器械\",\"abcType\":null,\"volume\":6.0,\"caseUom\":\"根\",\"itemId\":\"SPH00063420\",\"storeTemperature\":\"常温\",\"itemName\":\"金属接骨螺钉\",\"itemIsSpecialSharped\":null,\"itemTemperatureHigh\":null,\"itemIsBatch\":null,\"itemTemperatureLow\":null,\"itemHealthCategory\":\"医疗器械\",\"width\":0.0,\"enterpriseId\":\"655026008575053824\",\"itemIsLot\":null,\"itemHealthIsDouble\":\"0\",\"height\":0.0}}]}]}";
        s="{\"waveId\":\"678605458390519808\",\"enterpriseId\":\"655026008575053824\",\"warehouseId\":\"646346467442823168\",\"success\":true,\"errorMsg\":null,\"opUser\":\"cube_admin\",\"opUserId\":\"655026009594269696\",\"details\":[{\"billId\":\"678605461995270144\",\"billCode\":\"SJZFT0000024\",\"srcId\":\"SJZFT0000024\",\"srcCode\":\"SJZFT0000024\",\"billGroupId\":\"SJZFT0000024\",\"cargoOwnerId\":\"ZDA\",\"success\":true,\"errorMsg\":null,\"itemDetails\":[{\"lineBillId\":\"678605462037213184\",\"pickRule\":\"FIFO\",\"srcLineId\":\"SJZFT0000024\",\"itemId\":\"SPH00063420\",\"itemName\":null,\"itemHealthCategory\":null,\"isCaseOrPiece\":null,\"caseConversionRate\":10.0000,\"pickLocators\":[{\"locatorId\":\"676112492002414592\",\"locatorCode\":\"zftlhhw001\",\"batchId\":\"655094552083959808\",\"batchNum\":\"655094552083959809\",\"stockStatus\":null,\"quantity\":6.0000,\"warehouseLocatorType\":\"1\",\"batchExpiredDate\":1661875200000,\"batchProductionDate\":1630425600000,\"batchExpiredDateShow\":\"20220831\",\"batchProductionDateShow\":\"20210901\",\"shelfLifeDays\":90,\"warehouseAreaCode\":\"zftlhkq001\",\"warehouseAreaCategory\":\"LHK\",\"pickModel\":\"\",\"floorNum\":null,\"locatorLaneCode\":null,\"outIndex\":null,\"splitGroup\":\"\",\"buildingId\":\"646346682396708864\",\"buildingName\":\"正方体测试仓\",\"buildingCode\":\"003\",\"manufacturerLotNum\":\"2021092801\",\"uom\":\"根\",\"itemPlaceType\":null}],\"replenishTaskList\":[],\"refReplenishes\":[{\"billId\":\"678605461995270144\",\"lineBillId\":\"678605462037213184\",\"refBillId\":\"678604488088621056\",\"refLineBillId\":\"678604488491274240\",\"refQuantity\":5.0000},{\"billId\":\"678605461995270144\",\"lineBillId\":\"678605462037213184\",\"refBillId\":\"678604488088621056\",\"refLineBillId\":\"678604488491274241\",\"refQuantity\":1.0000}],\"extData\":{\"caseBarcode\":null,\"caseConversionRate\":10.0,\"itemCode\":\"20035310\",\"length\":0.0,\"weight\":null,\"isCaseOrPiece\":1,\"itemCategoryId\":null,\"itemCategoryCode\":\"医疗器械\",\"abcType\":null,\"volume\":0.6,\"caseUom\":\"根\",\"itemId\":\"SPH00063420\",\"storeTemperature\":\"常温\",\"itemName\":\"金属接骨螺钉\",\"itemIsSpecialSharped\":null,\"itemTemperatureHigh\":null,\"itemIsBatch\":null,\"itemTemperatureLow\":null,\"itemHealthCategory\":\"医疗器械\",\"width\":0.0,\"enterpriseId\":\"655026008575053824\",\"itemIsLot\":null,\"itemHealthIsDouble\":\"0\",\"height\":0.0}},{\"lineBillId\":\"678605462062379008\",\"pickRule\":\"FIFO\",\"srcLineId\":\"SJZFT0000024-1\",\"itemId\":\"SPH00063420\",\"itemName\":null,\"itemHealthCategory\":null,\"isCaseOrPiece\":null,\"caseConversionRate\":10.0000,\"pickLocators\":[{\"locatorId\":\"676112492002414592\",\"locatorCode\":\"zftlhhw001\",\"batchId\":\"655094552083959808\",\"batchNum\":\"655094552083959809\",\"stockStatus\":null,\"quantity\":7.0000,\"warehouseLocatorType\":\"1\",\"batchExpiredDate\":1661875200000,\"batchProductionDate\":1630425600000,\"batchExpiredDateShow\":\"20220831\",\"batchProductionDateShow\":\"20210901\",\"shelfLifeDays\":90,\"warehouseAreaCode\":\"zftlhkq001\",\"warehouseAreaCategory\":\"LHK\",\"pickModel\":\"\",\"floorNum\":null,\"locatorLaneCode\":null,\"outIndex\":null,\"splitGroup\":\"\",\"buildingId\":\"646346682396708864\",\"buildingName\":\"正方体测试仓\",\"buildingCode\":\"003\",\"manufacturerLotNum\":\"2021092801\",\"uom\":\"根\",\"itemPlaceType\":null}],\"replenishTaskList\":[{\"id\":\"678605514594193408\",\"headerId\":\"678605518096437248\",\"detailId\":\"678605518146768896\",\"pieceQuantity\":10.0000,\"chooseQuantity\":7.0000,\"srcWarehouseLocatorId\":\"676112786333503488\",\"srcWarehouseLocatorCode\":\"zftzjhw001\",\"srcWarehouseAreaId\":\"676043909822025728\",\"srcWarehouseAreaCode\":\"zftzjkq001\",\"srcWarehouseAreaCategory\":\"ZJK\",\"srcWarehouseLocatorType\":\"0\",\"srcFloorNum\":null,\"srcItemPlaceType\":null,\"destWarehouseLocatorId\":\"676112492002414592\",\"destWarehouseLocatorCode\":\"zftlhhw001\",\"destWarehouseAreaId\":\"676044178572054528\",\"destWarehouseAreaCode\":\"zftlhkq001\",\"destWarehouseAreaCategory\":\"LHK\",\"destWarehouseLocatorType\":\"1\",\"destFloorNum\":null,\"destItemPlaceType\":null,\"pickRule\":null,\"batchId\":\"655094552083959808\",\"batchNum\":\"655094552083959809\",\"manufacturerLotNum\":\"2021092801\",\"uom\":\"根\",\"batchProductionDate\":1630425600000,\"batchExpiredDate\":1661875200000,\"batchExpiredDateShow\":\"20220831\",\"batchProductionDateShow\":\"20210901\",\"shelfLifeDays\":90,\"caseConvertionRate\":null,\"length\":0.0,\"width\":0.0,\"height\":0.0,\"volume\":0,\"isCaseOrPiece\":null,\"weight\":0,\"buildingId\":\"646346682396708864\",\"buildingName\":\"正方体测试仓\",\"buildingCode\":\"003\"}],\"refReplenishes\":[{\"billId\":\"678605461995270144\",\"lineBillId\":\"678605462062379008\",\"refBillId\":\"678605518096437248\",\"refLineBillId\":\"678605518146768896\",\"refQuantity\":7.0000}],\"extData\":{\"caseBarcode\":null,\"caseConversionRate\":10.0,\"itemCode\":\"20035310\",\"length\":0.0,\"weight\":null,\"isCaseOrPiece\":1,\"itemCategoryId\":null,\"itemCategoryCode\":\"医疗器械\",\"abcType\":null,\"volume\":0.6,\"caseUom\":\"根\",\"itemId\":\"SPH00063420\",\"storeTemperature\":\"常温\",\"itemName\":\"金属接骨螺钉\",\"itemIsSpecialSharped\":null,\"itemTemperatureHigh\":null,\"itemIsBatch\":null,\"itemTemperatureLow\":null,\"itemHealthCategory\":\"医疗器械\",\"width\":0.0,\"enterpriseId\":\"655026008575053824\",\"itemIsLot\":null,\"itemHealthIsDouble\":\"0\",\"height\":0.0}}]}]}";
        s="{\"waveId\":\"688436918853177344\",\"enterpriseId\":\"106\",\"warehouseId\":\"599581702716788736\",\"success\":true,\"errorMsg\":null,\"opUser\":\"test_hd02\",\"opUserId\":\"646337755466567680\",\"details\":[{\"billId\":\"688436920409264128\",\"billCode\":\"SJ1060000173\",\"srcId\":\"SJ1060000173\",\"srcCode\":\"SJ1060000173\",\"billGroupId\":\"SJ1060000173\",\"cargoOwnerId\":\"E23A4BUUPPW\",\"success\":true,\"errorMsg\":null,\"itemDetails\":[{\"lineBillId\":\"688436920442818560\",\"pickRule\":\"FIFO\",\"srcLineId\":\"SJ1060000173-1\",\"itemId\":\"0021256452\",\"itemName\":null,\"itemHealthCategory\":null,\"isCaseOrPiece\":null,\"caseConversionRate\":400,\"pickLocators\":[{\"locatorId\":\"KQLOCATOR11917\",\"locatorCode\":\"2LH09-080503\",\"batchId\":\"633031850528477184\",\"batchNum\":\"633031850528477185\",\"stockStatus\":null,\"quantity\":399,\"warehouseLocatorType\":\"1\",\"batchExpiredDate\":1672070400000,\"batchProductionDate\":1630425600000,\"batchExpiredDateShow\":\"20221227\",\"batchProductionDateShow\":\"20210901\",\"shelfLifeDays\":90,\"warehouseAreaCode\":\"LH2\",\"warehouseAreaCategory\":\"LHK\",\"pickModel\":null,\"floorNum\":null,\"locatorLaneCode\":null,\"outIndex\":null,\"splitGroup\":null,\"buildingId\":\"599581810778836992\",\"buildingName\":\"曲靖康桥仓\",\"buildingCode\":\"001\",\"manufacturerLotNum\":\"20210908\",\"uom\":\"盒\",\"itemPlaceType\":\"2\"}],\"replenishTaskList\":[{\"id\":\"688436981289586688\",\"headerId\":\"688436982132641792\",\"detailId\":\"688436982153613312\",\"pieceQuantity\":400,\"chooseQuantity\":397,\"srcWarehouseLocatorId\":\"KQLOCATOR01064\",\"srcWarehouseLocatorCode\":\"3ZJ12-040103\",\"srcWarehouseAreaId\":\"599642636126654474\",\"srcWarehouseAreaCode\":\"ZJ3\",\"srcWarehouseAreaCategory\":\"ZJK\",\"srcWarehouseLocatorType\":\"0\",\"srcFloorNum\":3,\"srcItemPlaceType\":\"2\",\"destWarehouseLocatorId\":\"KQLOCATOR11917\",\"destWarehouseLocatorCode\":\"2LH09-080503\",\"destWarehouseAreaId\":\"599642636126654475\",\"destWarehouseAreaCode\":\"LH2\",\"destWarehouseAreaCategory\":\"LHK\",\"destWarehouseLocatorType\":\"1\",\"destFloorNum\":null,\"destItemPlaceType\":\"2\",\"pickRule\":null,\"batchId\":\"633031850528477184\",\"batchNum\":\"633031850528477185\",\"manufacturerLotNum\":\"20210908\",\"uom\":\"盒\",\"batchProductionDate\":1630425600000,\"batchExpiredDate\":1672070400000,\"batchExpiredDateShow\":\"20221227\",\"batchProductionDateShow\":\"20210901\",\"shelfLifeDays\":90,\"caseConvertionRate\":null,\"length\":59,\"width\":7.3,\"height\":27,\"volume\":0,\"isCaseOrPiece\":null,\"weight\":42,\"buildingId\":\"599581810778836992\",\"buildingName\":\"曲靖康桥仓\",\"buildingCode\":\"001\"}],\"refReplenishes\":[{\"billId\":\"688436920409264128\",\"lineBillId\":\"688436920442818560\",\"refBillId\":\"688436982132641792\",\"refLineBillId\":\"688436982153613312\",\"refQuantity\":397}],\"extData\":{\"caseBarcode\":\"6920587904345\",\"caseConversionRate\":400,\"itemCode\":\"10201021685\",\"length\":59,\"weight\":42,\"isCaseOrPiece\":1,\"itemCategoryId\":null,\"itemCategoryCode\":\"001\",\"abcType\":null,\"volume\":0.0727,\"caseUom\":\"盒\",\"itemId\":\"0021256452\",\"storeTemperature\":\"常温\",\"itemName\":\"诺氟沙星胶囊\",\"itemIsSpecialSharped\":\"0\",\"itemTemperatureHigh\":null,\"itemIsBatch\":null,\"itemTemperatureLow\":null,\"itemHealthCategory\":\"001\",\"width\":7.3,\"enterpriseId\":\"106\",\"itemIsLot\":null,\"itemHealthIsDouble\":\"0\",\"height\":27}},{\"lineBillId\":\"688436920459595776\",\"pickRule\":\"FIFO\",\"srcLineId\":\"SJ1060000173\",\"itemId\":\"0021256452\",\"itemName\":null,\"itemHealthCategory\":null,\"isCaseOrPiece\":null,\"caseConversionRate\":400,\"pickLocators\":[{\"locatorId\":\"KQLOCATOR11917\",\"locatorCode\":\"2LH09-080503\",\"batchId\":\"633031850528477184\",\"batchNum\":\"633031850528477185\",\"stockStatus\":null,\"quantity\":1,\"warehouseLocatorType\":\"1\",\"batchExpiredDate\":1672070400000,\"batchProductionDate\":1630425600000,\"batchExpiredDateShow\":\"20221227\",\"batchProductionDateShow\":\"20210901\",\"shelfLifeDays\":90,\"warehouseAreaCode\":\"LH2\",\"warehouseAreaCategory\":\"LHK\",\"pickModel\":null,\"floorNum\":null,\"locatorLaneCode\":null,\"outIndex\":null,\"splitGroup\":null,\"buildingId\":\"599581810778836992\",\"buildingName\":\"曲靖康桥仓\",\"buildingCode\":\"001\",\"manufacturerLotNum\":\"20210908\",\"uom\":\"盒\",\"itemPlaceType\":\"2\"}],\"replenishTaskList\":[{\"id\":\"688436981289586689\",\"headerId\":\"688436982132641792\",\"detailId\":\"688436982153613313\",\"pieceQuantity\":400,\"chooseQuantity\":1,\"srcWarehouseLocatorId\":\"KQLOCATOR01064\",\"srcWarehouseLocatorCode\":\"3ZJ12-040103\",\"srcWarehouseAreaId\":\"599642636126654474\",\"srcWarehouseAreaCode\":\"ZJ3\",\"srcWarehouseAreaCategory\":\"ZJK\",\"srcWarehouseLocatorType\":\"0\",\"srcFloorNum\":3,\"srcItemPlaceType\":\"2\",\"destWarehouseLocatorId\":\"KQLOCATOR11917\",\"destWarehouseLocatorCode\":\"2LH09-080503\",\"destWarehouseAreaId\":\"599642636126654475\",\"destWarehouseAreaCode\":\"LH2\",\"destWarehouseAreaCategory\":\"LHK\",\"destWarehouseLocatorType\":\"1\",\"destFloorNum\":null,\"destItemPlaceType\":\"2\",\"pickRule\":null,\"batchId\":\"633031850528477184\",\"batchNum\":\"633031850528477185\",\"manufacturerLotNum\":\"20210908\",\"uom\":\"盒\",\"batchProductionDate\":1630425600000,\"batchExpiredDate\":1672070400000,\"batchExpiredDateShow\":\"20221227\",\"batchProductionDateShow\":\"20210901\",\"shelfLifeDays\":90,\"caseConvertionRate\":null,\"length\":59,\"width\":7.3,\"height\":27,\"volume\":0,\"isCaseOrPiece\":null,\"weight\":42,\"buildingId\":\"599581810778836992\",\"buildingName\":\"曲靖康桥仓\",\"buildingCode\":\"001\"}],\"refReplenishes\":[{\"billId\":\"688436920409264128\",\"lineBillId\":\"688436920459595776\",\"refBillId\":\"688436982132641792\",\"refLineBillId\":\"688436982153613313\",\"refQuantity\":1}],\"extData\":{\"caseBarcode\":\"6920587904345\",\"caseConversionRate\":400,\"itemCode\":\"10201021685\",\"length\":59,\"weight\":42,\"isCaseOrPiece\":1,\"itemCategoryId\":null,\"itemCategoryCode\":\"001\",\"abcType\":null,\"volume\":0.0727,\"caseUom\":\"盒\",\"itemId\":\"0021256452\",\"storeTemperature\":\"常温\",\"itemName\":\"诺氟沙星胶囊\",\"itemIsSpecialSharped\":\"0\",\"itemTemperatureHigh\":null,\"itemIsBatch\":null,\"itemTemperatureLow\":null,\"itemHealthCategory\":\"001\",\"width\":7.3,\"enterpriseId\":\"106\",\"itemIsLot\":null,\"itemHealthIsDouble\":\"0\",\"height\":27}}]}]}";
        s="{\"waveId\":\"699342161510010880\",\"enterpriseId\":\"106\",\"warehouseId\":\"599581702716788736\",\"success\":true,\"errorMsg\":null,\"opUser\":\"kzywms-admin\",\"opUserId\":\"599299328393220096\",\"details\":[{\"billId\":\"699342162827022336\",\"billCode\":\"SJ1060000070\",\"srcId\":\"SJ1060000070\",\"srcCode\":\"SJ1060000070\",\"billGroupId\":\"SJ1060000070\",\"cargoOwnerId\":\"E23A4BUUPPW\",\"success\":true,\"errorMsg\":null,\"itemDetails\":[{\"lineBillId\":\"699342162847993856\",\"pickRule\":\"FIFO\",\"srcLineId\":\"SJ1060000070\",\"itemId\":\"0021254212\",\"itemName\":null,\"itemHealthCategory\":null,\"isCaseOrPiece\":null,\"caseConversionRate\":300,\"pickLocators\":[{\"locatorId\":\"KQLOCATOR12078\",\"locatorCode\":\"2LH11-040202\",\"batchId\":\"625685797240225792\",\"batchNum\":\"625685797240225793\",\"stockStatus\":null,\"quantity\":11,\"warehouseLocatorType\":\"1\",\"batchExpiredDate\":1672502400000,\"batchProductionDate\":1609516800000,\"batchExpiredDateShow\":\"20230101\",\"batchProductionDateShow\":\"20210102\",\"shelfLifeDays\":90,\"warehouseAreaCode\":\"LH2\",\"warehouseAreaCategory\":\"LHK\",\"pickModel\":null,\"floorNum\":null,\"locatorLaneCode\":null,\"outIndex\":null,\"splitGroup\":null,\"buildingId\":\"599581810778836992\",\"buildingName\":\"曲靖康桥仓\",\"buildingCode\":\"001\",\"manufacturerLotNum\":\"2101003\",\"uom\":\"盒\",\"itemPlaceType\":\"2\"}],\"replenishTaskList\":[],\"refReplenishes\":null,\"extData\":{\"caseBarcode\":\"6922819620801\",\"caseConversionRate\":300,\"itemCode\":\"YP107281\",\"length\":56.5,\"weight\":34,\"isCaseOrPiece\":1,\"itemCategoryId\":null,\"itemCategoryCode\":\"001\",\"abcType\":null,\"volume\":292.105,\"caseUom\":\"盒\",\"itemId\":\"0021254212\",\"storeTemperature\":\"阴凉\",\"itemName\":\"盐酸西替利嗪片\",\"itemIsSpecialSharped\":\"0\",\"itemTemperatureHigh\":null,\"itemIsBatch\":null,\"itemTemperatureLow\":null,\"itemHealthCategory\":\"001\",\"width\":33,\"enterpriseId\":\"106\",\"itemIsLot\":null,\"itemHealthIsDouble\":\"0\",\"height\":47}}]}]}";
        s="{\"waveId\":\"706239246532481024\",\"enterpriseId\":\"106\",\"warehouseId\":\"599581702716788736\",\"success\":true,\"errorMsg\":null,\"opUser\":\"kzywms-admin\",\"opUserId\":\"599299328393220096\",\"details\":[{\"billId\":\"706239247455227904\",\"billCode\":\"SJ1060000139\",\"srcId\":\"SJ1060000139\",\"srcCode\":\"SJ1060000139\",\"billGroupId\":\"SJ1060000139\",\"cargoOwnerId\":\"E23A4BUUPPW\",\"success\":true,\"errorMsg\":null,\"itemDetails\":[{\"lineBillId\":\"706239247480393728\",\"pickRule\":\"FIFO\",\"srcLineId\":\"SJ1060000139\",\"itemId\":\"0021254212\",\"itemName\":null,\"itemHealthCategory\":null,\"isCaseOrPiece\":null,\"caseConversionRate\":300,\"pickLocators\":[{\"id\":null,\"locatorId\":\"KQLOCATOR06529\",\"locatorCode\":\"2LH20-060403\",\"batchId\":\"701790396816166914\",\"batchNum\":\"701790396816166915\",\"stockStatus\":null,\"quantity\":16,\"warehouseLocatorType\":\"1\",\"batchExpiredDate\":1696521600000,\"batchProductionDate\":1633536000000,\"batchExpiredDateShow\":\"20231006\",\"batchProductionDateShow\":\"20211007\",\"shelfLifeDays\":90,\"warehouseAreaCode\":\"LH2\",\"warehouseAreaCategory\":\"LHK\",\"pickModel\":null,\"floorNum\":2,\"locatorLaneCode\":null,\"outIndex\":null,\"splitGroup\":null,\"buildingId\":\"599581810778836992\",\"buildingName\":\"曲靖康桥仓\",\"buildingCode\":\"001\",\"manufacturerLotNum\":\"2110009\",\"uom\":\"盒\",\"itemPlaceType\":\"2\",\"refBillId\":null,\"refLineBillId\":null}],\"replenishTaskList\":[],\"refReplenishes\":null,\"extData\":{\"caseBarcode\":\"6922819620801\",\"caseConversionRate\":300,\"itemCode\":\"YP107281\",\"length\":56.5,\"weight\":34,\"isCaseOrPiece\":1,\"itemCategoryId\":null,\"itemCategoryCode\":\"001\",\"abcType\":null,\"volume\":292.105,\"caseUom\":\"盒\",\"itemId\":\"0021254212\",\"storeTemperature\":\"阴凉\",\"itemName\":\"盐酸西替利嗪片\",\"itemIsSpecialSharped\":\"0\",\"itemTemperatureHigh\":null,\"itemIsBatch\":null,\"itemTemperatureLow\":null,\"itemHealthCategory\":\"001\",\"width\":33,\"enterpriseId\":\"106\",\"itemIsLot\":null,\"itemHealthIsDouble\":\"0\",\"height\":47}}]}]}";
        s="{\"waveId\":\"706936348921171968\",\"enterpriseId\":\"106\",\"warehouseId\":\"599581702716788736\",\"success\":true,\"errorMsg\":null,\"opUser\":\"kzywms-admin\",\"opUserId\":\"599299328393220096\",\"details\":[{\"billId\":\"706936350598893568\",\"billCode\":\"SKPQUC00306103\",\"srcId\":\"16816292\",\"srcCode\":\"SKPQUC00306103\",\"billGroupId\":\"SKPQUC00306103\",\"cargoOwnerId\":\"E23A4BUUPPW\",\"success\":true,\"errorMsg\":null,\"itemDetails\":[{\"lineBillId\":\"706936350632448000\",\"pickRule\":\"FIFO\",\"srcLineId\":\"0010557901\",\"itemId\":\"0021253934\",\"itemName\":null,\"itemHealthCategory\":null,\"isCaseOrPiece\":null,\"caseConversionRate\":80,\"pickLocators\":[{\"id\":null,\"locatorId\":\"KQLOCATOR00030\",\"locatorCode\":\"1ZJ04-01\",\"batchId\":\"679001484863647744\",\"batchNum\":\"679001484863647745\",\"stockStatus\":null,\"quantity\":400,\"warehouseLocatorType\":\"0\",\"batchExpiredDate\":1701100800000,\"batchProductionDate\":1638892800000,\"batchExpiredDateShow\":\"202311\",\"batchProductionDateShow\":\"20211208\",\"shelfLifeDays\":90,\"warehouseAreaCode\":\"ZJ1\",\"warehouseAreaCategory\":\"ZJK\",\"pickModel\":null,\"floorNum\":1,\"locatorLaneCode\":null,\"outIndex\":null,\"splitGroup\":null,\"buildingId\":\"599581810778836992\",\"buildingName\":\"曲靖康桥仓\",\"buildingCode\":\"001\",\"manufacturerLotNum\":\"2112119Z\",\"uom\":\"盒\",\"itemPlaceType\":\"1\",\"refBillId\":null,\"refLineBillId\":null}],\"replenishTaskList\":[],\"refReplenishes\":null,\"extData\":{\"caseBarcode\":\"6921874367676\",\"caseConversionRate\":80,\"itemCode\":\"YYP000438\",\"isCaseOrPiece\":1,\"itemCategoryId\":\"洗鼻剂\",\"itemCategoryCode\":\"001\",\"caseUom\":\"盒\",\"itemName\":\"小儿氨酚黄那敏颗粒\",\"itemIsSpecialSharped\":\"0\",\"itemTemperatureHigh\":null,\"itemTemperatureLow\":null,\"itemIsLot\":null,\"height\":null,\"itemIsUnpack\":1,\"length\":null,\"weight\":0,\"abcType\":null,\"volume\":449.2125,\"itemId\":\"0021253934\",\"storeTemperature\":\"阴凉\",\"itemIsBatch\":null,\"itemHealthCategory\":\"001\",\"width\":null,\"enterpriseId\":\"106\",\"itemHealthIsDouble\":\"0\"}},{\"lineBillId\":\"706936350657613824\",\"pickRule\":\"FIFO\",\"srcLineId\":\"0010557902\",\"itemId\":\"0021258704\",\"itemName\":null,\"itemHealthCategory\":null,\"isCaseOrPiece\":null,\"caseConversionRate\":60,\"pickLocators\":[{\"id\":null,\"locatorId\":\"KQLOCATOR01575\",\"locatorCode\":\"4ZJ04-10\",\"batchId\":\"680380513705439232\",\"batchNum\":\"680380513705439233\",\"stockStatus\":null,\"quantity\":240,\"warehouseLocatorType\":\"0\",\"batchExpiredDate\":1728835200000,\"batchProductionDate\":1635523200000,\"batchExpiredDateShow\":\"202409\",\"batchProductionDateShow\":\"20211030\",\"shelfLifeDays\":90,\"warehouseAreaCode\":\"ZJ4\",\"warehouseAreaCategory\":\"ZJK\",\"pickModel\":null,\"floorNum\":4,\"locatorLaneCode\":null,\"outIndex\":null,\"splitGroup\":null,\"buildingId\":\"599581810778836992\",\"buildingName\":\"曲靖康桥仓\",\"buildingCode\":\"001\",\"manufacturerLotNum\":\"2110073\",\"uom\":\"盒\",\"itemPlaceType\":\"1\",\"refBillId\":null,\"refLineBillId\":null}],\"replenishTaskList\":[],\"refReplenishes\":null,\"extData\":{\"caseBarcode\":\"6928476702027\",\"caseConversionRate\":60,\"itemCode\":\"YCYZT0554\",\"isCaseOrPiece\":1,\"itemCategoryId\":\"洗鼻剂\",\"itemCategoryCode\":\"001\",\"caseUom\":\"盒\",\"itemName\":\"小儿感冒颗粒\",\"itemIsSpecialSharped\":\"0\",\"itemTemperatureHigh\":null,\"itemTemperatureLow\":null,\"itemIsLot\":null,\"height\":null,\"itemIsUnpack\":1,\"length\":null,\"weight\":0,\"abcType\":null,\"volume\":598.95,\"itemId\":\"0021258704\",\"storeTemperature\":\"常温\",\"itemIsBatch\":null,\"itemHealthCategory\":\"001\",\"width\":null,\"enterpriseId\":\"106\",\"itemHealthIsDouble\":\"0\"}}]}]}";
        s="{\"waveId\":\"707305665697288192\",\"enterpriseId\":\"106\",\"warehouseId\":\"599581702716788736\",\"success\":true,\"errorMsg\":null,\"opUser\":\"kzywms-admin\",\"opUserId\":\"599299328393220096\",\"details\":[{\"billId\":\"707305666590674944\",\"billCode\":\"Z10600082\",\"srcId\":\"Z10600082\",\"srcCode\":\"Z10600082\",\"billGroupId\":\"Z10600082\",\"cargoOwnerId\":\"E23A4BUUPPW\",\"success\":true,\"errorMsg\":null,\"itemDetails\":[{\"lineBillId\":\"707305666620035072\",\"pickRule\":\"FIFO\",\"srcLineId\":\"Z10600082\",\"itemId\":\"0021264341\",\"itemName\":null,\"itemHealthCategory\":null,\"isCaseOrPiece\":null,\"caseConversionRate\":80,\"pickLocators\":[{\"locatorId\":\"KQLOCATOR00066\",\"locatorCode\":\"1ZJ07-03\",\"batchId\":\"682981320556724224\",\"batchNum\":\"682981320556724225\",\"stockStatus\":null,\"quantity\":80,\"warehouseLocatorType\":\"0\",\"batchExpiredDate\":1697990400000,\"batchProductionDate\":1635782400000,\"batchExpiredDateShow\":\"202310\",\"batchProductionDateShow\":\"20211102\",\"shelfLifeDays\":90,\"warehouseAreaCode\":\"ZJ1\",\"warehouseAreaCategory\":\"ZJK\",\"pickModel\":null,\"floorNum\":1,\"locatorLaneCode\":null,\"outIndex\":null,\"splitGroup\":null,\"buildingId\":\"599581810778836992\",\"buildingName\":\"曲靖康桥仓\",\"buildingCode\":\"001\",\"manufacturerLotNum\":\"B211102A\",\"uom\":\"盒\",\"itemPlaceType\":\"1\"},{\"locatorId\":\"KQLOCATOR03743\",\"locatorCode\":\"2LH08-020201\",\"batchId\":\"679033600867483648\",\"batchNum\":\"679033600867483649\",\"stockStatus\":null,\"quantity\":40,\"warehouseLocatorType\":\"1\",\"batchExpiredDate\":1697904000000,\"batchProductionDate\":1635696000000,\"batchExpiredDateShow\":\"202310\",\"batchProductionDateShow\":\"20211101\",\"shelfLifeDays\":90,\"warehouseAreaCode\":\"LH2\",\"warehouseAreaCategory\":\"LHK\",\"pickModel\":null,\"floorNum\":2,\"locatorLaneCode\":null,\"outIndex\":null,\"splitGroup\":null,\"buildingId\":\"599581810778836992\",\"buildingName\":\"曲靖康桥仓\",\"buildingCode\":\"001\",\"manufacturerLotNum\":\"B211101K\",\"uom\":\"盒\",\"itemPlaceType\":\"2\"}],\"replenishTaskList\":[],\"refReplenishes\":null,\"extData\":{\"caseBarcode\":\"6944279788884\",\"caseConversionRate\":80,\"itemCode\":\"YHXYYY0357\",\"isCaseOrPiece\":1,\"itemCategoryId\":null,\"itemCategoryCode\":\"001\",\"caseUom\":\"盒\",\"itemName\":\"葡萄糖注射液\",\"itemIsSpecialSharped\":\"0\",\"itemTemperatureHigh\":null,\"itemTemperatureLow\":null,\"itemIsLot\":null,\"height\":33,\"itemIsUnpack\":1,\"length\":33,\"weight\":0,\"abcType\":null,\"volume\":449.2125,\"itemId\":\"0021264341\",\"storeTemperature\":\"常温\",\"itemIsBatch\":null,\"itemHealthCategory\":\"001\",\"width\":33,\"enterpriseId\":\"106\",\"itemHealthIsDouble\":\"0\"}}]}]}";
        s="{\"waveId\":\"711650161104916480\",\"enterpriseId\":\"106\",\"warehouseId\":\"599581702716788736\",\"success\":true,\"opUser\":\"kzywms-admin\",\"opUserId\":\"599299328393220096\",\"details\":[{\"billId\":\"711650161964748800\",\"billCode\":\"OMS00000002\",\"srcId\":\"OMS00000002\",\"srcCode\":\"OMS00000002\",\"billGroupId\":\"OMS00000002\",\"cargoOwnerId\":\"E23A4BUUPPW\",\"success\":true,\"itemDetails\":[{\"lineBillId\":\"711650161989914624\",\"pickRule\":\"FIFO\",\"srcLineId\":\"OMS00000002\",\"itemId\":\"0021254212\",\"caseConversionRate\":300,\"success\":true,\"pickLocators\":[{\"locatorId\":\"KQLOCATOR11037\",\"locatorCode\":\"2LH43-050505\",\"batchId\":\"701790396816166914\",\"batchNum\":\"701790396816166915\",\"quantity\":290,\"warehouseLocatorType\":\"1\",\"batchExpiredDate\":\"2022-01-01T00:00:00.000+0800\",\"batchProductionDate\":\"2021-10-07T00:00:00.000+0800\",\"batchExpiredDateShow\":\"20231006\",\"batchProductionDateShow\":\"20211007\",\"shelfLifeDays\":90,\"warehouseAreaCode\":\"LH2\",\"warehouseAreaCategory\":\"LHK\",\"floorNum\":2,\"buildingId\":\"599581810778836992\",\"buildingName\":\"曲靖康桥仓\",\"buildingCode\":\"001\",\"manufacturerLotNum\":\"2110009\",\"uom\":\"盒\",\"itemPlaceType\":\"2\"}],\"replenishTaskList\":[],\"extData\":{\"caseBarcode\":\"6922819620801\",\"caseConversionRate\":300,\"itemCode\":\"YP107281\",\"isCaseOrPiece\":1,\"itemCategoryCode\":\"001\",\"caseUom\":\"盒\",\"itemName\":\"盐酸西替利嗪片\",\"itemIsSpecialSharped\":\"0\",\"height\":47,\"itemIsUnpack\":1,\"length\":56.5,\"weight\":34,\"volume\":0.0033,\"itemId\":\"0021254212\",\"storeTemperature\":\"阴凉\",\"itemHealthCategory\":\"001\",\"width\":33,\"enterpriseId\":\"106\",\"itemHealthIsDouble\":\"0\"}},{\"lineBillId\":\"711650162010886144\",\"pickRule\":\"FIFO\",\"srcLineId\":\"OMS00000002-1\",\"itemId\":\"0021254212\",\"caseConversionRate\":300,\"success\":true,\"pickLocators\":[{\"locatorId\":\"KQLOCATOR11037\",\"locatorCode\":\"2LH43-050505\",\"batchId\":\"701790396816166914\",\"batchNum\":\"701790396816166915\",\"quantity\":280,\"warehouseLocatorType\":\"1\",\"batchExpiredDate\":\"2022-01-01T00:00:00.000+0800\",\"batchProductionDate\":\"2021-10-07T00:00:00.000+0800\",\"batchExpiredDateShow\":\"20231006\",\"batchProductionDateShow\":\"20211007\",\"shelfLifeDays\":90,\"warehouseAreaCode\":\"LH2\",\"warehouseAreaCategory\":\"LHK\",\"floorNum\":2,\"buildingId\":\"599581810778836992\",\"buildingName\":\"曲靖康桥仓\",\"buildingCode\":\"001\",\"manufacturerLotNum\":\"2110009\",\"uom\":\"盒\",\"itemPlaceType\":\"2\"}],\"replenishTaskList\":[],\"extData\":{\"caseBarcode\":\"6922819620801\",\"caseConversionRate\":300,\"itemCode\":\"YP107281\",\"isCaseOrPiece\":1,\"itemCategoryCode\":\"001\",\"caseUom\":\"盒\",\"itemName\":\"盐酸西替利嗪片\",\"itemIsSpecialSharped\":\"0\",\"height\":47,\"itemIsUnpack\":1,\"length\":56.5,\"weight\":34,\"volume\":0.0033,\"itemId\":\"0021254212\",\"storeTemperature\":\"阴凉\",\"itemHealthCategory\":\"001\",\"width\":33,\"enterpriseId\":\"106\",\"itemHealthIsDouble\":\"0\"}},{\"lineBillId\":\"711650162027663360\",\"pickRule\":\"FIFO\",\"srcLineId\":\"OMS00000002-2\",\"itemId\":\"0021254212\",\"caseConversionRate\":300,\"success\":true,\"pickLocators\":[{\"locatorId\":\"KQLOCATOR11037\",\"locatorCode\":\"2LH43-050505\",\"batchId\":\"701790396816166914\",\"batchNum\":\"701790396816166915\",\"quantity\":270,\"warehouseLocatorType\":\"1\",\"batchExpiredDate\":\"2022-01-01T00:00:00.000+0800\",\"batchProductionDate\":\"2021-10-07T00:00:00.000+0800\",\"batchExpiredDateShow\":\"20231006\",\"batchProductionDateShow\":\"20211007\",\"shelfLifeDays\":90,\"warehouseAreaCode\":\"LH2\",\"warehouseAreaCategory\":\"LHK\",\"floorNum\":2,\"buildingId\":\"599581810778836992\",\"buildingName\":\"曲靖康桥仓\",\"buildingCode\":\"001\",\"manufacturerLotNum\":\"2110009\",\"uom\":\"盒\",\"itemPlaceType\":\"2\"}],\"replenishTaskList\":[],\"extData\":{\"caseBarcode\":\"6922819620801\",\"caseConversionRate\":300,\"itemCode\":\"YP107281\",\"isCaseOrPiece\":1,\"itemCategoryCode\":\"001\",\"caseUom\":\"盒\",\"itemName\":\"盐酸西替利嗪片\",\"itemIsSpecialSharped\":\"0\",\"height\":47,\"itemIsUnpack\":1,\"length\":56.5,\"weight\":34,\"volume\":0.0033,\"itemId\":\"0021254212\",\"storeTemperature\":\"阴凉\",\"itemHealthCategory\":\"001\",\"width\":33,\"enterpriseId\":\"106\",\"itemHealthIsDouble\":\"0\"}}]}]}";
        s="{\"waveId\":\"712317094217256960\",\"enterpriseId\":\"106\",\"warehouseId\":\"599581702716788736\",\"success\":true,\"errorMsg\":null,\"opUser\":\"kzywms-admin\",\"opUserId\":\"599299328393220096\",\"details\":[{\"billId\":\"712317095110643712\",\"billCode\":\"Z10600008\",\"srcId\":\"Z10600008\",\"srcCode\":\"Z10600008\",\"billGroupId\":\"Z10600008\",\"cargoOwnerId\":\"E23A4BUUPPW\",\"success\":true,\"errorMsg\":null,\"itemDetails\":[{\"lineBillId\":\"712317095127420928\",\"pickRule\":\"FIFO\",\"srcLineId\":\"Z10600008\",\"itemId\":\"0021264341\",\"itemName\":null,\"itemHealthCategory\":null,\"isCaseOrPiece\":null,\"caseConversionRate\":80,\"success\":true,\"errorMsg\":null,\"pickLocators\":[{\"locatorId\":\"KQLOCATOR06375\",\"locatorCode\":\"2LH20-030205\",\"batchId\":\"682981320556724224\",\"batchNum\":\"682981320556724225\",\"stockStatus\":null,\"quantity\":60,\"warehouseLocatorType\":\"1\",\"batchExpiredDate\":1697990400000,\"batchProductionDate\":1635782400000,\"batchExpiredDateShow\":\"202310\",\"batchProductionDateShow\":\"20211102\",\"shelfLifeDays\":90,\"warehouseAreaCode\":\"LH2\",\"warehouseAreaCategory\":\"LHK\",\"pickModel\":null,\"floorNum\":2,\"locatorLaneCode\":null,\"outIndex\":null,\"splitGroup\":null,\"buildingId\":\"599581810778836992\",\"buildingName\":\"曲靖康桥仓\",\"buildingCode\":\"001\",\"manufacturerLotNum\":\"B211102A\",\"uom\":\"盒\",\"itemPlaceType\":\"2\"}],\"replenishTaskList\":[],\"refReplenishes\":[{\"billId\":\"712317095110643712\",\"lineBillId\":\"712317095127420928\",\"refBillId\":\"711692297347141632\",\"refLineBillId\":\"711692297405861888\",\"refQuantity\":60}],\"extData\":{\"caseBarcode\":\"6944279788884\",\"caseConversionRate\":80,\"itemCode\":\"YHXYYY0357\",\"isCaseOrPiece\":1,\"itemCategoryId\":null,\"itemCategoryCode\":\"001\",\"caseUom\":\"盒\",\"itemName\":\"葡萄糖注射液\",\"itemIsSpecialSharped\":\"0\",\"itemTemperatureHigh\":null,\"itemTemperatureLow\":null,\"itemIsLot\":null,\"height\":33,\"itemIsUnpack\":1,\"length\":33,\"weight\":0,\"abcType\":null,\"volume\":449.2125,\"itemId\":\"0021264341\",\"storeTemperature\":\"常温\",\"itemIsBatch\":null,\"itemHealthCategory\":\"001\",\"width\":33,\"enterpriseId\":\"106\",\"itemHealthIsDouble\":\"0\"}}]}]}";
        s="{\"waveId\":\"712350381350457344\",\"enterpriseId\":\"106\",\"warehouseId\":\"599581702716788736\",\"success\":true,\"errorMsg\":null,\"opUser\":\"kzywms-admin\",\"opUserId\":\"599299328393220096\",\"details\":[{\"billId\":\"712350382273204224\",\"billCode\":\"Z10600016\",\"srcId\":\"Z10600016\",\"srcCode\":\"Z10600016\",\"billGroupId\":\"Z10600016\",\"cargoOwnerId\":\"E23A4BUUPPW\",\"success\":true,\"errorMsg\":null,\"itemDetails\":[{\"lineBillId\":\"712350382298370048\",\"pickRule\":\"FIFO\",\"srcLineId\":\"Z10600016\",\"itemId\":\"0021264341\",\"itemName\":null,\"itemHealthCategory\":null,\"isCaseOrPiece\":null,\"caseConversionRate\":80,\"success\":true,\"errorMsg\":null,\"pickLocators\":[{\"locatorId\":\"KQLOCATOR00066\",\"locatorCode\":\"1ZJ07-03\",\"batchId\":\"682981320556724224\",\"batchNum\":\"682981320556724225\",\"stockStatus\":null,\"quantity\":80,\"warehouseLocatorType\":\"0\",\"batchExpiredDate\":1697990400000,\"batchProductionDate\":1635782400000,\"batchExpiredDateShow\":\"202310\",\"batchProductionDateShow\":\"20211102\",\"shelfLifeDays\":90,\"warehouseAreaCode\":\"ZJ1\",\"warehouseAreaCategory\":\"ZJK\",\"pickModel\":null,\"floorNum\":1,\"locatorLaneCode\":null,\"outIndex\":null,\"splitGroup\":null,\"buildingId\":\"599581810778836992\",\"buildingName\":\"曲靖康桥仓\",\"buildingCode\":\"001\",\"manufacturerLotNum\":\"B211102A\",\"uom\":\"盒\",\"itemPlaceType\":\"1\"},{\"locatorId\":\"KQLOCATOR06375\",\"locatorCode\":\"2LH20-030205\",\"batchId\":\"682981320556724224\",\"batchNum\":\"682981320556724225\",\"stockStatus\":null,\"quantity\":40,\"warehouseLocatorType\":\"1\",\"batchExpiredDate\":1697990400000,\"batchProductionDate\":1635782400000,\"batchExpiredDateShow\":\"202310\",\"batchProductionDateShow\":\"20211102\",\"shelfLifeDays\":90,\"warehouseAreaCode\":\"LH2\",\"warehouseAreaCategory\":\"LHK\",\"pickModel\":null,\"floorNum\":2,\"locatorLaneCode\":null,\"outIndex\":null,\"splitGroup\":null,\"buildingId\":\"599581810778836992\",\"buildingName\":\"曲靖康桥仓\",\"buildingCode\":\"001\",\"manufacturerLotNum\":\"B211102A\",\"uom\":\"盒\",\"itemPlaceType\":\"2\"}],\"replenishTaskList\":[{\"headerId\":\"712351399064768512\",\"detailId\":\"712351399081545728\",\"pieceQuantity\":80,\"chooseQuantity\":40,\"srcWarehouseLocatorId\":\"KQLOCATOR00066\",\"srcWarehouseLocatorCode\":\"1ZJ07-03\",\"srcWarehouseAreaId\":\"599642636126654472\",\"srcWarehouseAreaCode\":\"ZJ1\",\"srcWarehouseAreaCategory\":\"ZJK\",\"srcWarehouseLocatorType\":\"0\",\"srcFloorNum\":1,\"srcItemPlaceType\":\"1\",\"destWarehouseLocatorId\":\"KQLOCATOR06375\",\"destWarehouseLocatorCode\":\"2LH20-030205\",\"destWarehouseAreaId\":\"599642636126654475\",\"destWarehouseAreaCode\":\"LH2\",\"destWarehouseAreaCategory\":\"LHK\",\"destWarehouseLocatorType\":\"1\",\"destFloorNum\":2,\"destItemPlaceType\":\"2\",\"pickRule\":null,\"batchId\":\"682981320556724224\",\"batchNum\":\"682981320556724225\",\"manufacturerLotNum\":\"B211102A\",\"uom\":\"盒\",\"batchProductionDate\":1635782400000,\"batchExpiredDate\":1697990400000,\"batchExpiredDateShow\":\"202310\",\"batchProductionDateShow\":\"20211102\",\"shelfLifeDays\":90,\"caseConvertionRate\":null,\"length\":33,\"width\":33,\"height\":33,\"volume\":0,\"isCaseOrPiece\":null,\"weight\":0,\"buildingId\":\"599581810778836992\",\"buildingName\":\"曲靖康桥仓\",\"buildingCode\":\"001\"}],\"refReplenishes\":[{\"billId\":\"712350382273204224\",\"lineBillId\":\"712350382298370048\",\"refBillId\":\"712351399064768512\",\"refLineBillId\":\"712351399081545728\",\"refQuantity\":40}],\"extData\":{\"caseBarcode\":\"6944279788884\",\"caseConversionRate\":80,\"itemCode\":\"YHXYYY0357\",\"isCaseOrPiece\":1,\"itemCategoryId\":null,\"itemCategoryCode\":\"001\",\"caseUom\":\"盒\",\"itemName\":\"葡萄糖注射液\",\"itemIsSpecialSharped\":\"0\",\"itemTemperatureHigh\":null,\"itemTemperatureLow\":null,\"itemIsLot\":null,\"height\":33,\"itemIsUnpack\":1,\"length\":33,\"weight\":0,\"abcType\":null,\"volume\":449.2125,\"itemId\":\"0021264341\",\"storeTemperature\":\"常温\",\"itemIsBatch\":null,\"itemHealthCategory\":\"001\",\"width\":33,\"enterpriseId\":\"106\",\"itemHealthIsDouble\":\"0\"}}]}]}";
        s="{\"waveId\":\"713402511263928320\",\"enterpriseId\":\"106\",\"warehouseId\":\"599581702716788736\",\"success\":true,\"opUser\":\"kzywms-admin\",\"opUserId\":\"599299328393220096\",\"details\":[{\"billId\":\"713402512501248000\",\"billCode\":\"Z10600135\",\"srcId\":\"Z10600135\",\"srcCode\":\"Z10600135\",\"billGroupId\":\"Z10600135\",\"cargoOwnerId\":\"E23A4BUUPPW\",\"success\":true,\"itemDetails\":[{\"lineBillId\":\"713402512538996736\",\"pickRule\":\"FIFO\",\"srcLineId\":\"Z10600135\",\"itemId\":\"0021264341\",\"caseConversionRate\":80,\"success\":true,\"pickLocators\":[{\"locatorId\":\"KQLOCATOR00066\",\"locatorCode\":\"1ZJ07-03\",\"batchId\":\"682981320556724224\",\"batchNum\":\"682981320556724225\",\"quantity\":160,\"warehouseLocatorType\":\"0\",\"batchExpiredDate\":\"2022-05-18T00:00:00.000+0800\",\"batchProductionDate\":\"2021-11-02T00:00:00.000+0800\",\"batchExpiredDateShow\":\"202310\",\"batchProductionDateShow\":\"20211102\",\"shelfLifeDays\":90,\"warehouseAreaCode\":\"ZJ1\",\"warehouseAreaCategory\":\"ZJK\",\"floorNum\":1,\"buildingId\":\"599581810778836992\",\"buildingName\":\"曲靖康桥仓\",\"buildingCode\":\"001\",\"manufacturerLotNum\":\"B211102A\",\"uom\":\"盒\",\"itemPlaceType\":\"1\"},{\"locatorId\":\"KQLOCATOR06375\",\"locatorCode\":\"2LH20-030205\",\"batchId\":\"682981320556724224\",\"batchNum\":\"682981320556724225\",\"quantity\":20,\"warehouseLocatorType\":\"1\",\"batchExpiredDate\":\"2022-05-18T00:00:00.000+0800\",\"batchProductionDate\":\"2021-11-02T00:00:00.000+0800\",\"batchExpiredDateShow\":\"202310\",\"batchProductionDateShow\":\"20211102\",\"shelfLifeDays\":90,\"warehouseAreaCode\":\"LH2\",\"warehouseAreaCategory\":\"LHK\",\"floorNum\":2,\"buildingId\":\"599581810778836992\",\"buildingName\":\"曲靖康桥仓\",\"buildingCode\":\"001\",\"manufacturerLotNum\":\"B211102A\",\"uom\":\"盒\",\"itemPlaceType\":\"2\"}],\"replenishTaskList\":[],\"refReplenishes\":[{\"billId\":\"713402512501248000\",\"lineBillId\":\"713402512538996736\",\"refBillId\":\"711692297347141632\",\"refLineBillId\":\"711692297405861888\",\"refQuantity\":15},{\"billId\":\"713402512501248000\",\"lineBillId\":\"713402512538996736\",\"refBillId\":\"712351399064768512\",\"refLineBillId\":\"712351399081545728\",\"refQuantity\":5}],\"extData\":{\"caseBarcode\":\"6944279788884\",\"caseConversionRate\":80,\"itemCode\":\"YHXYYY0357\",\"isCaseOrPiece\":1,\"itemCategoryCode\":\"001\",\"caseUom\":\"盒\",\"itemName\":\"葡萄糖注射液\",\"itemIsSpecialSharped\":\"0\",\"height\":33,\"itemIsUnpack\":1,\"length\":33,\"weight\":0,\"volume\":449.2125,\"itemId\":\"0021264341\",\"storeTemperature\":\"常温\",\"itemHealthCategory\":\"001\",\"width\":33,\"enterpriseId\":\"106\",\"itemHealthIsDouble\":\"0\"}}]}]}";

        WorkStageServiceImpl.handleWaveHandleResult(s,null,0l);
    }

    @Test
    public void addMoveTask() throws Exception {
//        String moveTask = "[{\"batchExpiredDateShow\":\"20221227\",\"batchId\":\"633031850528477184\",\"batchNum\":\"633031850528477185\",\"batchProductionDateShow\":\"20210901\",\"bldgId\":\"599581810778836992\",\"cargoOwnerId\":\"E23A4BUUPPW\",\"conversionRate\":400,\"destItemPlaceType\":\"2\",\"destWarehouseAreaCategory\":\"LHK\",\"destWarehouseAreaId\":\"599642636126654475\",\"destWarehouseLocatorId\":\"KQLOCATOR02667\",\"destWarehouseLocatorType\":\"1\",\"detailId\":\"681225174649016320\",\"enterpriseId\":\"106\",\"expiredDate\":1672070400000,\"headerId\":\"681225174611267584\",\"height\":27,\"itemCode\":\"10201021685\",\"itemId\":\"0021256452\",\"length\":59,\"manufacturerLotNum\":\"20210908\",\"moveType\":\"4\",\"productionDate\":1630425600000,\"qty\":400,\"srcFloor\":3,\"srcItemPlaceType\":\"2\",\"srcWarehouseAreaCategory\":\"ZJK\",\"srcWarehouseAreaId\":\"599642636126654474\",\"srcWarehouseAreaNum\":\"ZJ3\",\"srcWarehouseLocatorId\":\"KQLOCATOR01064\",\"srcWarehouseLocatorNum\":\"ZJ3\",\"srcWarehouseLocatorType\":\"0\",\"uom\":\"盒\",\"volume\":0,\"warehouseId\":\"599581702716788736\",\"weight\":42,\"width\":7.3}]";
//        String moveTaskRef = "[{\"billId\":\"681224954083151872\",\"gmtCreate\":1642583203945,\"id\":\"681225175196119040\",\"lineBillId\":\"681224954116706304\",\"refBillId\":\"681225174611267584\",\"refLineBillId\":\"681225174649016320\",\"refQuantity\":59,\"srcCode\":\"SJ1000000203\",\"waveId\":\"681224952497704960\"}]";
//        JSONArray array = JSON.parseArray(moveTask);
//        List<MoveTaskDODTO> moveTaskDODTOS = array.toJavaList(MoveTaskDODTO.class);
//        JSONArray arrayRef = JSON.parseArray(moveTaskRef);
//        List<WmsMoveTaskRef> wmsMoveTaskRefList = arrayRef.toJavaList(WmsMoveTaskRef.class);
//        moveTaskServiceImpl.addMoveTask(moveTaskDODTOS,wmsMoveTaskRefList);

        List<OutcomingRecordD> listD = JSON.parseArray("[     {       \"LINEID\": \"0010467740\",       \"BILLID\": \"16312380\",       \"BILLNO\": \"SKPQUC00297492\",       \"SEQNO\": \"1\",       \"REF_BILLTYPE\": \"-1\",       \"REF_BILLID\": \"16312380\",       \"REF_BILLNO\": \"SKPQUC00297492\",       \"CONSIGNORID\": \"E23A4BUUPPW\",       \"CONSIGNORCODE\": \"E23A4BUUPPW\",       \"CONSIGNORNAME\": \"曲靖康桥\",       \"ITEMID\": \"0021258586\",       \"ITEMCODE\": \"YHXYHX0037\",       \"ITEMNAME\": \"盐酸氨溴索注射液\",       \"PARERNTITEMID\": \"\",       \"CATEGORYID\": \"\",       \"PACKSIZE\": \"800\",       \"PACKUNITS\": \"支\",       \"MACHTYPE\": \"\",       \"LOTNO\": \"P1/20200412\",       \"BATCHNO\": \"678590354961907713\",       \"PDATEFROM\": \"\",       \"VALIDUNTIL\": \"\",       \"MANUFACTURER\": \"云南龙海天然植物药业有限公司\",       \"AFFIRMEDPCS\": \"4\",       \"AFFIRMEDODD\": \"0\",       \"AFFIRMEDFREEQTY\": \"\",       \"AFFIRMEDQTY\": \"3200\",       \"AFFIRMEDWEIGHT\": \"0\",       \"AFFIRMEDVOLUME\": \"143748.16\",       \"PRICE\": \"0.392\",       \"TNIPRICE\": \"\",       \"AMT\": \"1254.4\",       \"TNI_AMT\": \"\",       \"PIECE_COST_TE\": \"\",       \"PIECE_COST_TI\": \"0.392\",       \"TAX_RATE\": \"13\",       \"MERGENUMBER\": \"0\",       \"REVIEWER\": \"\",       \"TWOREVIEWER\": \"\",       \"REVIEWSTAGENO\": \"\",       \"SORTER\": \"614516028512276480\",       \"PICKER_NO\": \"李爱丽\",       \"RUSHREDNUMB\": \"0\",       \"RUSHREDREASON\": \"\",       \"STAGAREADESCRIP\": \"\",       \"RTREASON\": \"-\",       \"RETURNGOODSTATUS\": \"-\",       \"DISPATCHER\": \"614517190158323712\",       \"EXTERREVIEWER\": \"614517503779016704\",       \"EXTERREVIEWER2\": \"\",       \"REMARK\": \"\",       \"CREATEBY\": \"SYSTEM\",       \"CREATEDATE\": \"2022-02-14 17:50:45\",       \"LASTMODIFYBY\": \"\",       \"LASTMODIFYDATE\": \"\",       \"ENTERPRISEID\": \"106\",       \"ENTERPRISENAME\": \"昆中药\",       \"SUMBOXNUM\": \"0\",       \"REFSEQNO\": \"1\"     },     {       \"LINEID\": \"0010467741\",       \"BILLID\": \"16312380\",       \"BILLNO\": \"SKPQUC00297492\",       \"SEQNO\": \"2\",       \"REF_BILLTYPE\": \"-1\",       \"REF_BILLID\": \"16312380\",       \"REF_BILLNO\": \"SKPQUC00297492\",       \"CONSIGNORID\": \"E23A4BUUPPW\",       \"CONSIGNORCODE\": \"E23A4BUUPPW\",       \"CONSIGNORNAME\": \"曲靖康桥\",       \"ITEMID\": \"0021248630\",       \"ITEMCODE\": \"YCYHX0736\",       \"ITEMNAME\": \"盐酸肾上腺素注射液\",       \"PARERNTITEMID\": \"\",       \"CATEGORYID\": \"\",       \"PACKSIZE\": \"\",       \"PACKUNITS\": \"盒\",       \"MACHTYPE\": \"\",       \"LOTNO\": \"\",       \"BATCHNO\": \"\",       \"PDATEFROM\": \"\",       \"VALIDUNTIL\": \"\",       \"MANUFACTURER\": \"远大医药（中国）有限公司\",       \"AFFIRMEDPCS\": \"0\",       \"AFFIRMEDODD\": \"3\",       \"AFFIRMEDFREEQTY\": \"\",       \"AFFIRMEDQTY\": \"0\",       \"AFFIRMEDWEIGHT\": \"0\",       \"AFFIRMEDVOLUME\": \"0\",       \"PRICE\": \"45.6\",       \"TNIPRICE\": \"\",       \"AMT\": \"\",       \"TNI_AMT\": \"\",       \"PIECE_COST_TE\": \"\",       \"PIECE_COST_TI\": \"45.6\",       \"TAX_RATE\": \"13\",       \"MERGENUMBER\": \"0\",       \"REVIEWER\": \"\",       \"TWOREVIEWER\": \"\",       \"REVIEWSTAGENO\": \"\",       \"SORTER\": \"614516028512276480\",       \"PICKER_NO\": \"李爱丽\",       \"RUSHREDNUMB\": \"3\",       \"RUSHREDREASON\": \"不要\",       \"STAGAREADESCRIP\": \"\",       \"RTREASON\": \"-\",       \"RETURNGOODSTATUS\": \"-\",       \"DISPATCHER\": \"614517190158323712\",       \"EXTERREVIEWER\": \"614517503779016704\",       \"EXTERREVIEWER2\": \"\",       \"REMARK\": \"\",       \"CREATEBY\": \"SYSTEM\",       \"CREATEDATE\": \"2022-02-14 17:50:45\",       \"LASTMODIFYBY\": \"\",       \"LASTMODIFYDATE\": \"\",       \"ENTERPRISEID\": \"106\",       \"ENTERPRISENAME\": \"昆中药\",       \"SUMBOXNUM\": \"0\",       \"REFSEQNO\": \"2\"     }   ]",OutcomingRecordD.class);
        if (listD.size() > 0)
            outcomingRecordDMapper.saveBatch(listD);
    }

    @Test
    public void sendEisIfExists() {
        WorkStageServiceImpl.sendEisIfExists("897582383300218880");
    }
}
